#!/bin/bash
#Check validity of the output file.  Do the bookkeeping.  Also copy logfiles back to bluarc

out_file=$1
out_dir=$2
hist_file=$3
log_base=$4
book_path=$5
book_name=$6
log_path=$7

root -l -b -q '$SRT_PUBLIC_CONTEXT/Utilities/batch/ValidateRootFile.C(\"$out_file\")' &> /dev/null

goodOut=$?

if [ $goodOut -eq 1 ]; then 
    echo "Making the output directory $out_dir"
    mkdir -p $out_dir
    echo "MVN -D $out_file $out_dir"
    ${CPN} -D $out_file $out_dir/
    echo "MVN -D $hist_file $out_dir"
    ${CPN} -D $hist_file $out_dir/
    mv $book_path/running/$book_name $book_path/completed/
    ${CPN} -D $log_base.out $log_path/completed/
    ${CPN} -D $log_base.err $log_path/completed/
    exit 1
else
    mv $book_path/running/$book_name $book_path/bad_output/
    ${CPN} -D $log_base.out $log_path/bad_output/
    ${CPN} -D $log_base.err $log_path/bad_output/
    echo "Something went wrong with the reconstruction output file is corrupted moving link, $book_name, to $book_path/bad_output/ " | mail -s "NOvA: Bad Reco Output File" $USER@fnal.gov
    exit 0
fi
