#!/bin/bash

# ./SubmitRecoMCForValidationDataset.sh <DATASET> <NUMFILES> <JOBFCL>

# Assumes one has made an output directory on bluearc, as novapro, here:
# /nova/prod/data/validation/<reco_tag>/{fd,nd}/genie/{fhc,rhc}
# /nova/prod/data/validation/<reco_tag>/{fd,nd}/cry

if [ $# -eq 1 ]
    then
    :
else
    echo Usage: $0 '<recotag>'
    exit 1
fi

RECO_TAG=$1
echo "RECONSTRUCTION tag is: $RECO_TAG"

source /grid/fermiapp/nova/novaart/novasvn/setup/setup_nova.sh -r $RECO_TAG -b maxopt

FCLDIR="Production/fcl"
DIR="Production/submission"

if [ "${NOVA_RELEASE}" == "FA14-10-03" ]; then
    FCLDIR="ProductionScripts/fhicl"
    DIR="ProductionScripts/submission"
fi

# Run same validation on COSMIC and GENIE
COSMICFCL="prod_reco_validation_job.fcl"
GENIEFCL=$COSMICFCL

#FD GENIE FHC
${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_fhc_fluxswap_validate 10 $FCLDIR/$GENIEFCL fd/genie/fhc

${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_fhc_tau_validate 10 $FCLDIR/$GENIEFCL fd/genie/fhc

${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_fhc_nonswap_validate 10 $FCLDIR/$GENIEFCL fd/genie/fhc

#FD GENIE RHC
${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_rhc_nonswap_validate 10 $FCLDIR/$GENIEFCL fd/genie/rhc

${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_rhc_fluxswap_validate 10 $FCLDIR/$GENIEFCL fd/genie/rhc

${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_genie_rhc_tau_validate 10 $FCLDIR/$GENIEFCL fd/genie/rhc

# ND CRY
${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_nd_cry_validate 20 $FCLDIR/$COSMICFCL nd/cry

# FD CRY
${SRT_PUBLIC_CONTEXT}/${DIR}/SubmitRecoMCForValidationDataset.sh prod_reco_${NOVA_RELEASE}_fd_cry_validate 10 $FCLDIR/$COSMICFCL fd/cry
