#! /usr/bin/env python 
import os, sys, shutil
import sys, datetime
import os
# all of root 
from ROOT import *
# My utilities
import canMan, cafe, HTMLTools as html 
import psycopg2
from WatchdogFx import *
from collections import OrderedDict 

os.umask(002)

webDir = "/nusoft/app/web/htdoc/nova/datacheck/processinghistory/"
tmpWebDir = "/nusoft/app/web/htdoc/nova/datacheck/processinghistory_test/"

index = os.path.join(pubContext, "Validation", "Watchdog", "index.html")

if not os.path.isdir(tmpWebDir): 
  os.mkdir(tmpWebDir)


thumbSize = "400"
endl = '\n'


intervalLength = 7

fullNames = OrderedDict()
fullNames["fardet"] = "Far Detector"
fullNames["neardet"] = "Near Detector"

outputDirs = OrderedDict()
for detector in fullNames.keys():
  outputDirs[detector] = os.path.join(tmpWebDir, detector)
  if not os.path.isdir(outputDirs[detector]): 
    os.mkdir(outputDirs[detector])


boundaries = OrderedDict()
timeStamps = OrderedDict()
timeStrs = OrderedDict()
for detector in fullNames.keys():  
  allTimeMinRun = fetchTable(db[detector].cur, "select min(run) from "+detector+".runs")[0][0]
  allTimeMaxRun = fetchTable(db[detector].cur, "select max(run) from "+detector+".runs")[0][0]
  lastRun = 999999999
  lastTimeStamp = fetchTable(db[detector].cur, "select CURRENT_TIMESTAMP;")[0][0]
  print lastTimeStamp, type(lastTimeStamp), str(lastTimeStamp)
  boundaries[detector] = [allTimeMaxRun]
  timeStamps[detector] = [fetchTable(db[detector].cur, "select CURRENT_TIMESTAMP;")[0][0]]
  nIntervals = 1
  timeStrs[detector] = []
  while lastRun > allTimeMinRun:
    minRunInInterval = fetchTable(db[detector].cur, "select min(run) from "+detector+".runs where tstart >= (CURRENT_TIMESTAMP - interval '"+str(intervalLength * nIntervals) +"' day);")[0][0]
    minTimeInInterval = fetchTable(db[detector].cur, "select tstart from "+detector+".runs where run = " + str(minRunInInterval))[0][0]
    timeStrs[detector].append(str(minTimeInInterval.strftime("%Y/%m/%d, %H:%M") + " - " +  lastTimeStamp.strftime("%Y/%m/%d, %H:%M") + '\n'))
    lastRun = minRunInInterval
    lastTimeStamp = minTimeInInterval
    boundaries[detector].append(minRunInInterval)
    timeStamps[detector].append(minTimeInInterval)
    nIntervals += 1
  
  print boundaries[detector]
  print timeStamps[detector]
  print len(boundaries[detector]), len(timeStamps[detector])




for detector in fullNames.keys():
  historyPage = open(os.path.join(outputDirs[detector], "history.html"), 'w')
  historyPage.write(html.preventCaching())

  for i in range(1, len(boundaries[detector])):
    historyPage.write(html.heading2(timeStrs[detector][i-1].strip())) 
    historyPage.write('<table border=0  class="fixed" cellpadding="20">')
    print i 
    maxRun = boundaries[detector][i-1]
    minRun = boundaries[detector][i]
    onMonRunsHist =  getCompletedRunsHist(onMonDirs[detector], "OnMon Files", maxRun, minRun, lineStyle=7, lineColor=onMonColor, additionalDir=onMonTriggerDirs[detector])
    dbRunsHist = getDBRunsHist(minRun, maxRun, detector, lineStyle=1, lineColor=dbColor)

    for key, path in paths.items():
      if not detector in key:
        continue
      plotName = path.name+ str(i).zfill(3) + ".png"
      (can,hists) = path.getPlotCanvas(maxRun, minRun, dbRunsHist, onMonRunsHist)
      can.SaveAs(os.path.join(outputDirs[detector], plotName))
      historyPage.write('<td> <center>'+  html.heading3(path.title) + html.link('<img src="' + plotName +  '" width=' + thumbSize + 'px style="border-style: none"/ >', plotName) + '</center></td>' ) #opens table entry 
    
    historyPage.write("</tr>") #closes table row 
    historyPage.write("</table>" + endl)        


  historyPage.close()

shutil.rmtree(webDir)
shutil.move(tmpWebDir, webDir)


shutil.copy(index, webDir)
shutil.copy(index, os.path.join(webDir, "history.html"))
