#!/bin/bash

echo "--- IN COPYOUTFILES.SH"

declare -a files
declare -a dests

echo List files here
ls -l

pushd results

for file in  *.root
  do
  echo "Attempting to transfer $file to $DEST"
  case "$file" in
      *%*) 
      echo "$file contains a % - do not copy"
      continue;;
      *\**) 
      echo "$file contains a \* - do not copy"
      continue;;
      *hist*)
      newfile=${file%.root}_${SAM_PROJECT_NAME}_${PROCESS}.root
      echo "$file contains \"hist\" - rename to $newfile"
      files+=("$file")
      dests+=("${DEST}/${newfile}")
      continue;;
      *) 
      files+=("$file")
      dests+=("${DEST}/${file}")
      continue;;
  esac
done

echo "Copying out all files at once!"

if [ "${#files[@]}" -gt "0" ]; then
    #echo "${#files[@]} files to copy out"
    cmd="ifdh cp "
    let iEnd=(${#files[@]}-1)

    for i in `seq 0 $iEnd`; do
	if [ "$i" -ne "0" ]; then
	    cmd+="\";\""
	fi
	cmd+=" ${files[$i]} ${dests[i]} "
    done
    echo $cmd
    eval $cmd
    #ifdh cp -D--force=gridftp ${files[*]} ${DEST}
fi

popd
