#!/bin/bash
#This script determines various info about the input and output files for the sim reprocessing jobs.


#Find the out file name
in_file=`find ./ -name '*.daq.root' -not -name '*hist*'`
echo "in file is: $in_file"

#Get the base name of the input file
basename=`basename $in_file`
echo "it's basename is: $basename"

#delete it so that there is only one daq file being copied back
rm -f $in_file
echo "delete the in file: rm -f $in_file" 

#Find out what generator was used to make the input file.  Use this to insert the special name into output file name
generator=`samweb -e nova get-metadata ${basename} | grep 'Simulated.generator' | awk '{print $2}'`
sim_rel=`samweb -e nova get-metadata ${basename} | grep 'Simulated.base_release' | awk '{print $2}'`
echo "get some metadata data from the input file: generator: $generator sim_rel: $sim_rel"

#Get the output file
out_file=`find ./ -name 'geantreprocess_daq.root'` #This file name is unique to the geant reprocess job.  Must come up with a better way of handling the output file name.
echo "find the initial output file: $out_file"
special=`sam_metadata_dumper $out_file | grep 'nova.special' | awk '{print $2}' | sed s/\"//g | sed s/,//`
echo "get some metadata from the output file: $special" 

#Get the string for the new output file
new_out=`echo $basename | sed s/${generator}/${generator}_${special}/ | sed s/${sim_rel}/$SRT_BASE_RELEASE/`
echo "add the metadata special field to the output file name and make it like the input filename: $new_out"

echo "do the final move: mv $out_file $new_out"
mv $out_file $new_out


