///
/// \file    RawEventUnpacker.h
/// \brief   Unpack the DAQ data, prepare summaries, and post data
/// \version $Id: RawEventUnpacker.h,v 1.4 2012-07-03 21:58:57 mbaird42 Exp $
/// \author  messier@indiana.edu
///
#ifndef DQSF_DAQEVENTUNPACK_H
#define DQSF_DAQEVENTUNPACK_H

namespace daqdataformats { class RawEvent;      }
namespace daqdataformats { class RawDataBlock;  }
namespace daqdataformats { class RawMicroSlice; }
namespace daqdataformats { class RawNanoSlice;  }

namespace dqsf {
  class DAQEventSummary;
  ///
  /// Unpack the russian dolls that is an online event
  ///
  class DAQEventUnpack {
  public:
    DAQEventUnpack();
    ~DAQEventUnpack();
  public:
    void UnpackRawEvent(daqdataformats::RawEvent& rawevt,
			dqsf::DAQEventSummary&    daqsum);

    void UnpackDataBlock(daqdataformats::RawEvent& rawevt,
			 unsigned int             idata,
			 dqsf::DAQEventSummary&   daqsum);

    void UnpackMicroSlice(daqdataformats::RawDataBlock& datablock,
			  unsigned int            imicro,
			  dqsf::DAQEventSummary&  daqsum);

    void UnpackNanoSlice(daqdataformats::RawMicroSlice& microslice,
			 unsigned int             inano,
			 dqsf::DAQEventSummary&   daqsum);
  private:
  };
}

#endif
////////////////////////////////////////////////////////////////////////
