///
/// \file    TQPad.h
/// \brief   Drawing pad for time or charge histograms
/// \author  messier@indiana.edu
/// \version $Id: TQPad.h,v 1.3 2010-12-14 03:22:16 p-novaart Exp $
///
#ifndef EVD_TQPAD_H
#define EVD_TQPAD_H
#include "RQ_OBJECT.h"
#include "EventDisplay/DrawingPad.h"
namespace evdb { class View2D; }
class TH1F;

namespace evd {
  class TQPad : public DrawingPad{
    RQ_OBJECT("evd::TQPad");
  public:
    TQPad(const char* nm, const char* ti,
	  double x1, double y1,
	  double x2, double y2,
	  const char* opt);
    ~TQPad();
    void Draw();

    void RangeChanged();

  private:
    void BookHistogram();

    int           fTorQ;  ///< 0 = plot shows time, 1 = plot shows charge
    TH1F*         fHisto; ///< 1-D Histogram of time or charge
    evdb::View2D* fView;  ///< Superimpose scale on 1D histo
    
  };
}

#endif
////////////////////////////////////////////////////////////////////////
