/* 
 * File:   GlobalTriggerSimulator.h
 * Author: denis
 *
 * Simulator of a NOvA Global Trigger application
 *
 * Created on February 14, 2012, 6:01 PM
 */

#ifndef _GLOBALTRIGGERSIMULATOR_H
#define	_GLOBALTRIGGERSIMULATOR_H
#include "DAQDataFormats/RawTrigger.h"

// forward declarations
namespace daqdataformats{
	class RawTrigger;
}

namespace mcdatadaq {
    class GlobalTriggerSimulator {
        public:
            GlobalTriggerSimulator();
            ~GlobalTriggerSimulator();

            /// Gets the current trigger
            daqdataformats::RawTrigger* getTrigger();

            /// Generates a new trigger
            daqdataformats::RawTrigger* getNewTrigger();

        private:
            /// Write Trigger Object into output file
            bool writeTrigger();


        private:

            FILE*                      fOutputTriggerFile; ///< File for Triggers

            daqdataformats::RawTrigger fTrigger;         ///< Instance of a Trigger

    };
}
#endif	/* _GLOBALTRIGGERSIMULATOR_H */

