////////////////////////////////////////////////////////////////////////
// \file    ScatterEnergy.h
//          
// \version $Id: ScatterEnergy.h,v 1.1.1 2013/05/15 16:16:41 psihas Exp $
// \author  $Author: psihas $
////////////////////////////////////////////////////////////////////////
#ifndef ScatterEnergy_h
#define ScatterEnergy_h

#include "NumuEnergy/NumuE.h"

namespace numue
{

  class ScatterEnergy {
  public:
    ScatterEnergy(): input0(0.0), input1(0.0), input2(0.0), input3(0.0){}
    ~ScatterEnergy() {}
    double Value(int index,double in0,double in1,double in2,double in3);
    double Value(int index, double* input);
  private:
    double input0;
    double input1;
    double input2;
    double input3;
    double neuron0x3c57c70()const;
    double neuron0x3c57fb0()const;
    double neuron0x3c582f0()const;
    double neuron0x3c58630()const;
    double input0x3c58aa0()const;
    double neuron0x3c58aa0()const;
    double input0x3c58e10()const;
    double neuron0x3c58e10()const;
    double input0x3c59250()const;
    double neuron0x3c59250()const;
    double input0x3c59690()const;
    double neuron0x3c59690()const;
    double input0x3c59ad0()const;
    double neuron0x3c59ad0()const;
    double input0x3c59fa0()const;
    double neuron0x3c59fa0()const;
    double input0x3c5a3e0()const;
    double neuron0x3c5a3e0()const;
    double input0x3c5a820()const;
    double neuron0x3c5a820()const;
    double input0x3c5ac60()const;
    double neuron0x3c5ac60()const;
    double input0x372a490()const;
    double neuron0x372a490()const;
    double input0x3c5b3d0()const;
    double neuron0x3c5b3d0()const;
    double input0x3c5b990()const;
    double neuron0x3c5b990()const;
    double input0x3c5bf50()const;
    double neuron0x3c5bf50()const;
    double input0x3c5c870()const;
    double neuron0x3c5c870()const;
    double input0x3c5ce30()const;
    double neuron0x3c5ce30()const;
    double input0x3c5d3f0()const;
    double neuron0x3c5d3f0()const;
    double input0x3c5d870()const;
    double neuron0x3c5d870()const;
    double input0x3c5dcf0()const;
    double neuron0x3c5dcf0()const;
    double input0x3c5e170()const;
    double neuron0x3c5e170()const;
    double synapse0x3c608b0()const;
    double synapse0x3c58d50()const;
    double synapse0x3c58d90()const;
    double synapse0x3c58dd0()const;
    double synapse0x3c59150()const;
    double synapse0x3c59190()const;
    double synapse0x3c591d0()const;
    double synapse0x3c59210()const;
    double synapse0x3c59590()const;
    double synapse0x3c595d0()const;
    double synapse0x3c59610()const;
    double synapse0x3c59650()const;
    double synapse0x3c599d0()const;
    double synapse0x3c59a10()const;
    double synapse0x3c59a50()const;
    double synapse0x3c59a90()const;
    double synapse0x3c59e10()const;
    double synapse0x372a310()const;
    double synapse0x372a350()const;
    double synapse0x3c59f60()const;
    double synapse0x3c5a2e0()const;
    double synapse0x3c5a320()const;
    double synapse0x3c5a360()const;
    double synapse0x3c5a3a0()const;
    double synapse0x3c5a720()const;
    double synapse0x3c5a760()const;
    double synapse0x3c5a7a0()const;
    double synapse0x3c5a7e0()const;
    double synapse0x3c5ab60()const;
    double synapse0x3c5aba0()const;
    double synapse0x3c5abe0()const;
    double synapse0x3c5ac20()const;
    double synapse0x3c5afa0()const;
    double synapse0x3c608f0()const;
    double synapse0x3c60930()const;
    double synapse0x3c59e50()const;
    double synapse0x3c59f20()const;
    double synapse0x3c5b310()const;
    double synapse0x3c5b350()const;
    double synapse0x3c5b390()const;
    double synapse0x3c5b710()const;
    double synapse0x3c5b750()const;
    double synapse0x3c5b790()const;
    double synapse0x3c5b7d0()const;
    double synapse0x3c5b810()const;
    double synapse0x3c5b850()const;
    double synapse0x3c5b890()const;
    double synapse0x3c5b8d0()const;
    double synapse0x3c5b910()const;
    double synapse0x3c5b950()const;
    double synapse0x3c5bcd0()const;
    double synapse0x3c5bd10()const;
    double synapse0x3c5bd50()const;
    double synapse0x3c5bd90()const;
    double synapse0x3c5bdd0()const;
    double synapse0x3c5be10()const;
    double synapse0x3c5be50()const;
    double synapse0x3c5be90()const;
    double synapse0x3c5bed0()const;
    double synapse0x3c5bf10()const;
    double synapse0x372a160()const;
    double synapse0x372a1a0()const;
    double synapse0x3c5c3a0()const;
    double synapse0x3c5c3e0()const;
    double synapse0x3c5c420()const;
    double synapse0x3c5afe0()const;
    double synapse0x3c5b020()const;
    double synapse0x3c5b060()const;
    double synapse0x3c5b0a0()const;
    double synapse0x3c5b0e0()const;
    double synapse0x3c5cbb0()const;
    double synapse0x3c5cbf0()const;
    double synapse0x3c5cc30()const;
    double synapse0x3c5cc70()const;
    double synapse0x3c5ccb0()const;
    double synapse0x3c5ccf0()const;
    double synapse0x3c5cd30()const;
    double synapse0x3c5cd70()const;
    double synapse0x3c5cdb0()const;
    double synapse0x3c5cdf0()const;
    double synapse0x3c5d170()const;
    double synapse0x3c5d1b0()const;
    double synapse0x3c5d1f0()const;
    double synapse0x3c5d230()const;
    double synapse0x3c5d270()const;
    double synapse0x3c5d2b0()const;
    double synapse0x3c5d2f0()const;
    double synapse0x3c5d330()const;
    double synapse0x3c5d370()const;
    double synapse0x3c5d3b0()const;
    double synapse0x3c5d730()const;
    double synapse0x3c5d770()const;
    double synapse0x3c5d7b0()const;
    double synapse0x3c5d7f0()const;
    double synapse0x3c5d830()const;
    double synapse0x3c5dbb0()const;
    double synapse0x3c5dbf0()const;
    double synapse0x3c5dc30()const;
    double synapse0x3c5dc70()const;
    double synapse0x3c5dcb0()const;
    double synapse0x3c5e030()const;
    double synapse0x3c5e070()const;
    double synapse0x3c5e0b0()const;
    double synapse0x3c5e0f0()const;
    double synapse0x3c5e130()const;
    double synapse0x3c5e4b0()const;
    double synapse0x3c5e4f0()const;
    double synapse0x3c5e530()const;
};

}

#endif // ScatterEnergy_h

