///
/// \file    BadDataDefinitions.h
/// \brief   Constants used in the definition of bad data periods
/// \version $Id:$
/// \author  messier@indiana.edu
///
#ifndef RUNHISTORY_BADDATADEFINITIONS_H
#define RUNHISTORY_BADDATADEFINITIONS_H

namespace runh {
  ///
  /// Enumerate the reasons periods of running are labeled as bad
  ///
  enumu {
    kEmpty             = 1<<0; ///< No data
    kBadTiming         = 1<<1; ///< Data suffers from DCM sync. failure
    kShortSubrun       = 1<<2; ///< Subrun is too short to be evaluated
    kBadMIPHitRate     = 1<<3; ///< Unusually low hit rates in the MIP range
    kBadDiblocks       = 1<<4; ///< Many diblocks with insufficient good channel count
    kBadSlicingRate    = 1<<5; ///< Rate of making slices is too low
    kBad3DTrackingRate = 1<<6; ///< Rate of forming 3D tracks is too low
    kLogBook           = 1<<7; ///< Log book entry indicate bad conditions
  }

}
#endif
