////////////////////////////////////////////////////////////////////////
/// \brief   Reweight information for a single GENIE systematic
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef SRGENIEWEIGHTS_H
#define SRGENIEWEIGHTS_H

namespace caf
{
  /// Reweight information for a single GENIE systematic
  class SRGenieWeights
  {
  public:
    SRGenieWeights();
    ~SRGenieWeights() {}

    float minus2sigma; ///< Reweight for \f$ -2\sigma \f$ shift
    float minus1sigma; ///< Reweight for \f$ -1\sigma \f$ shift
    float plus1sigma;  ///< Reweight for \f$ +1\sigma \f$ shift
    float plus2sigma;  ///< Reweight for \f$ +2\sigma \f$ shift
  };

} // end namespace

#endif // SRGENIEWEIGHTS_H

//////////////////////////////////////////////////////////////////////////////
