////////////////////////////////////////////////////////////////////////
// \file    SRMRCCParent.h
// \brief   An  SRMRCCParent holds information about the slice that was
//          parent to the current slice. It is currently being used by 
//          Muon Removed Charged Current Analysis.
// \author  Kanika Sachdev (ksachdev@physics.umn.edu)
// \date    $Date: 2012-11-19 17:32:23 $
////////////////////////////////////////////////////////////////////////


#ifndef SRMRCCPARENT_H
#define SRMRCCPARENT_H

namespace caf
{

  class SRMRCCParent
  {
  public:
    /// Default constructor
    SRMRCCParent();
    
    /// Default destructor
    virtual ~SRMRCCParent();

    /// Index of the parent slice
    int   slcidx;
   
     /// Efficiency with which this event matched to the parent slice
    float eff;
    /// Purity with which this event matched to the parent slice
    float pur;
    
    virtual void setDefault();

  };// end of class definition

}// End of namespace caf


#endif // SRMRCCPARENT_h
