////////////////////////////////////////////////////////////////////////
// \file    SRSPid.h
// \brief   This class contains the PID pid iformation for a shower.
// \version $Id: SRPid.h,v 1.4 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: Jianming $
// \date    $Date: 2015-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#ifndef SRSPID_H
#define SRSPID_H



namespace caf
{
  /// This class contains the SPID pid information for a shower (slid::ShowerLID objects).
  class SRSPid 
    {
    public:
      ///  Default constructor. 
      SRSPid();
      
      /// Default destuctor.
      ~SRSPid();

      float     annepi0;       ///< ann for e/pi0 separation
      float     annepi0el;       ///< ann with e/pi0 speration for nu-e scattering
      ///< particle PID.
      float     elll;      ///<Electron  ll for longitudinal shower
      float     ellt;      ///<Electron  ll for ltransverse shower
      float     glll;      ///<Gamma  ll for longitudinal shower
      float     gllt;      ///<Gamma  ll for ltransverse shower
      float     mulll;     ///<Muon ll for longitudinal shower
      float     mullt;     ///<Muon ll for ltransverse shower
      float     pi0lll;    ///<Pi0 ll for longitudinal shower
      float     pi0llt;    ///<Pi0 ll for ltransverse shower
      float     plll;      ///<Proton ll for longitudinal shower
      float     pllt;      ///<Proton ll for ltransverse shower
      float     nlll;      ///<Neutron ll for longitudinal shower
      float     nllt;      ///<Neutron ll for ltransverse shower
      float     pilll;     ///<Pion ll for longitudinal shower
      float     pillt;     ///<Pion ll for ltransverse shower

      void setDefault();
    };
  
} // end namespace

#endif // SRSPID_H
//////////////////////////////////////////////////////////////////////////////
