////////////////////////////////////////////////////////////////////////
// \file    SRShowerBranch.h
// \brief   An SRShowerBranch contains vectors of SRShowers.  
//          It is intended for use in the Common Analysis ROOT trees.
//
// \version $Id: SRShowerBranch.h,v 1.5 2012-11-13 22:06:10 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-13 22:06:10 $
////////////////////////////////////////////////////////////////////////
#ifndef SRSHOWERBRANCH_H
#define SRSHOWERBRANCH_H

#include <vector>

#include "StandardRecord/SRShower.h"
#include "StandardRecord/SRShowerLID.h"
#include "StandardRecord/SRShowerPID.h"

namespace caf
{
  /// The SRShowerBranch is a container for SRShowers.  It will contain 
  /// a vector of showers for each shower making algoritihm that is part 
  /// of the standard reconstruction.
  class SRShowerBranch
    {
    public:
      ///  Default constructor for SRTrackBranch. 
      SRShowerBranch();
      
      /// Default destuctor.  
      ~SRShowerBranch();
      
      std::vector<SRShower> shwlid;
      size_t nshwlid;
      
      void fillSizes();
    };
  
} // end namespace

#endif // SRSHOWERBRANCH_H
//////////////////////////////////////////////////////////////////////////////
