////////////////////////////////////////////////////////////////////////
// \file    SRShowerPID.h
// \brief   Shower level PID information 
//          
// \version $Id: SRShowerPID.h,v 1.3 2012-11-13 22:06:10 Jianming Exp $
// \author  $Author: Jianming $
// \date    $Date: 2012-11-13 22:06:10 $
////////////////////////////////////////////////////////////////////////
#ifndef SRSHOWERPID_H
#define SRSHOWERPID_H
#include "StandardRecord/SRShowerPID.h"

#include "TVector3.h"

namespace caf
{
  /// Shower level PID information
  ///
  /// 
  class SRShowerPID
    {
    public:
      ///  Default constructor for SRShower. 
      SRShowerPID();

      ~SRShowerPID();

      float     elll;      ///<Electron  ll for longitudinal shower
      float     ellt;      ///<Electron  ll for ltransverse shower
      float     mulll;     ///<Muon ll for longitudinal shower
      float     mullt;     ///<Muon ll for ltransverse shower
      float     pi0lll;    ///<Pi0 ll for longitudinal shower
      float     pi0llt;    ///<Pi0 ll for ltransverse shower
      float     plll;      ///<Proton ll for longitudinal shower
      float     pllt;      ///<Proton ll for ltransverse shower
      float     nlll;      ///<Neutron ll for longitudinal shower
      float     nllt;      ///<Neutron ll for ltransverse shower
      float     pilll;     ///<Pion ll for longitudinal shower
      float     pillt;     ///<Pion ll for ltransverse shower
      float     annepi0;     ///<e/pi0 seperation for nue analysis
      float     annepi0el;     ///<e/pi0 seperation for nu-e scattering analysis
    };
  
} // end namespace

#endif // SRSHOWERPID_H
//////////////////////////////////////////////////////////////////////////////
