//////////////////////////////////////////////////////////////////////////
/// \brief  Lightweight module to calculate spill-related information
/// \author vahle@wm.edu
/// \date
//////////////////////////////////////////////////////////////////////////
#ifndef SPILLDATA_H
#define SPILLDATA_H

#include <ostream>

namespace sumdata 
{  
  class SpillData {
  public:
    SpillData();
    ~SpillData();
    
    void Print(std::ostream &stream);
    unsigned long int    spilltimesec;
    unsigned long int    spilltimensec;
    unsigned long int    gpsspilltimesec;
    unsigned long int    gpsspilltimensec;
    signed long long int deltaspilltimensec;

    double spillpot;
    double hornI;
    double posx;
    double posy;
    double widthx;
    double widthy;
    bool   goodbeam;
  };

} // end namespace sumdata

#endif //SPILLDATA_H
///////////////////////////////////////////////////////////////////////////////
