////////////////////////////////////////////////////////////////////////
// \file    TimingFitResult.h
// \brief   Store results of TimingFitAlg
// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef TF_TIMINGFITRESULT_H
#define TF_TIMINGFITRESULT_H

namespace tf
{
  /// Store results of TimingFitAlg
  class TimingFitResult
  {
  public:
    TimingFitResult()
      : bestInvSpeed(0),
        bestScore(0), fwdScore(0), revScore(0),
        valid(false)
    {
    }

    double bestInvSpeed; ///< ns/cm
    double bestScore, fwdScore, revScore;
    bool valid; ///< As reported by MINUIT
  };
}

#endif
