#ifndef TRACKFIT_COSMICTRACKSTRUCT_H
#define TRACKFIT_COSMICTRACKSTRUCT_H

typedef struct{
  int run;
  int subrun;
  int event;
  int nevents;
  int ntracks;
} CosmicTrackTree;

typedef struct{
  float efficiency;
  float purity;
  int   pdg;
  float length;
  float momentum;
  float momentumCor;
  float momentumBPF;
  float calorE;
  float dcosX;
  float dcosY;
  float dcosZ;
  float vtxX;
  float vtxY;
  float vtxZ;
  float endX;
  float endY;
  float endZ;
  float deltaVtxPos;
  float deltaEndPos;
  float cosTheta;
  float azimuth;
  float vtxToEdge;
  float endToEdge;
  float cellsPerPlaneX;
  float cellsPerPlaneY;
  float planesX;
  float planesY;
  float xStartPlane;
  float yStartPlane;
  float xEndPlane;
  float yEndPlane;
  float avgResidual;
  float maxResidual;
  float triCellFrac;
  bool  stop;  
  bool  goodVtx;
  bool  isCalibTrk;
} CosmicTrackInfo;


typedef struct{
  float signalFraction;
  float hitFraction;
  float signal;
  float totcell;
  float hitsX;
  float hitsY;
  float signalX;
  float signalY;
} CosmicSignalHitFraction;

typedef struct{
  float pathLength;
  float truePathLength;
  float triCellPathLength;
  float PE;
  float PECorr;
  float w;
  float distFromEnd;
  int   cell;
  int   plane;
  int   module;
  int   view;
} CosmicHitInfo;

#endif // TRACKFIT_COSMICTRACKSTRUCT_H
