//
// Find hits that have been extrapolated outside the detector (far det assumed)
//
void find_bad_hits() 
{
  std::cout << "Hits occur outside the detector in these events:\n";
  hits0->Scan("run:evt","abs(x)>1500||abs(y)>1500||z<0||z>6000");
}

//......................................................................
//
// Plot hit locations - distinguish between detector and interpolated
// hits. "hits0" are in the detector frame. The views are plotted
// twice, once with detector hits drawn first and then with the
// interpolated hits drawn first. This makes sure that one of the
// views has the zoom required to show all the hits and potentially
// catch outlier hits.
//
void plot_hits0(int run, int evt, int trk) 
{
  char cuts1[256], cuts2[256];
  sprintf(cuts1,"run==%d&&evt==%d&&trk==%d&&v==0",run, evt, trk);
  sprintf(cuts2,"run==%d&&evt==%d&&trk==%d&&v==1",run, evt, trk);
  
  TCanvas* c1 = new TCanvas("hits0_xview_1","hits0_xview_1");
  hits0->SetMarkerStyle(20); hits0->Draw("x:z",cuts1);
  hits0->SetMarkerStyle(24); hits0->Draw("x:z",cuts2,"same");

  TCanvas* c2 = new TCanvas("hits0_xview_1","hits0_xview_2");
  hits0->SetMarkerStyle(24); hits0->Draw("x:z",cuts2);
  hits0->SetMarkerStyle(20); hits0->Draw("x:z",cuts1,"same");
  
  TCanvas* c3 = new TCanvas("hits0_yview_1","hits0_yview_1");
  hits0->SetMarkerStyle(20); hits0->Draw("y:z",cuts2);
  hits0->SetMarkerStyle(24); hits0->Draw("y:z",cuts1,"same");

  TCanvas* c4 = new TCanvas("hits0_yview_2","hits0_yview_2");
  hits0->SetMarkerStyle(24); hits0->Draw("y:z",cuts1);
  hits0->SetMarkerStyle(20); hits0->Draw("y:z",cuts2,"same");
}

//......................................................................

void plot_hits1(int run, int evt, int trk) 
{
  char cuts[256];
  sprintf(cuts,"run==%d&&evt==%d&&trk==%d",run, evt, trk);
  TCut xview("v==0");
  TCut yview("v==1");
  
  fit1->SetMarkerColor(kRed);

  static TCanvas* c1 = new TCanvas("hits1_xview_1","hits1_xview_1");
  static TCanvas* c2 = new TCanvas("hits1_xview_2","hits1_xview_2");
  static TCanvas* c3 = new TCanvas("hits1_yview_1","hits1_yview_1");
  static TCanvas* c4 = new TCanvas("hits1_yview_2","hits1_yview_2");
  
  c1->cd();
  hits1->SetMarkerStyle(20); hits1->Draw("x:z",cuts&&xview);
  hits1->SetMarkerStyle(24); hits1->Draw("x:z",cuts&&yview,"same");
  fit1-> SetMarkerStyle(27); fit1-> Draw("x:z",cuts,"same");
  
  c2->cd();
  hits1->SetMarkerStyle(20); hits1->Draw("x:z",cuts&&xview);
  hits1->SetMarkerStyle(24); hits1->Draw("x:z",cuts&&yview,"same");
  fit1-> SetMarkerStyle(27); fit1-> Draw("x:z",cuts,"same");

  c3->cd();
  hits1->SetMarkerStyle(20); hits1->Draw("y:z",cuts&&yview);
  hits1->SetMarkerStyle(24); hits1->Draw("y:z",cuts&&xview,"same");
  fit1-> SetMarkerStyle(28); fit1-> Draw("y:z",cuts,"same");

  c4->cd();
  hits1->SetMarkerStyle(20); hits1->Draw("y:z",cuts&&yview);
  hits1->SetMarkerStyle(24); hits1->Draw("y:z",cuts&&xview,"same");
  fit1-> SetMarkerStyle(28); fit1-> Draw("y:z",cuts,"same");
}

////////////////////////////////////////////////////////////////////////
