void Cut(double x)
{
  TGraph* g = new TGraph;
  g->SetPoint(0, x, 0);
  g->SetPoint(1, x, 1e6);
  g->SetLineColor(kRed);
  g->SetLineStyle(7);
  g->SetLineWidth(2);
  g->Draw("l same");
}

void Grid()
{
  for(int b = 1; b < 22; ++b){
    TLine* l = new TLine(32*b, 0, 32*b, 32*12);
    l->SetLineColor(kGray);
    l->Draw();
  }

  for(int m = 1; m < 12; ++m){
    TLine* l = new TLine(0, 32*m, 64*11, 32*m);
    l->SetLineColor(kGray);
    l->Draw();
  }
}

void plot_outliers()
{
  gROOT->ForceStyle();

  TFile* f = new TFile("outliers_hist.root");

  TH1* hq = f->Get("find/qual");
  hq->SetTitle("Far detector data");
  hq->Draw();

  Cut(0.2);

  gPad->Print("plots/quality.eps");
  gPad->SetLogy();
  gPad->Print("plots/quality_log.eps");


  new TCanvas;
  TH1* hp = f->Get("find/pe");
  hp->SetTitle("Far detector data");
  hp->Draw();

  Cut(4.75);
  Cut(11);

  gPad->Print("plots/pe.eps");
  gPad->SetLogy();
  gPad->Print("plots/pe_log.eps");


  new TCanvas;
  TH2* hex = f->Get("find/emptyX");
  hex->SetTitle("Empty cells - X view");
  hex->Draw("col");
  Grid();
  gPad->Print("plots/map_empty_x.eps");

  new TCanvas;
  TH2* hey = f->Get("find/emptyY");
  hey->SetTitle("Empty cells - Y view");
  hey->Draw("col");
  Grid();
  gPad->Print("plots/map_empty_y.eps");

  new TCanvas;
  TH2* hbx = f->Get("find/badfitX");
  hbx->SetTitle("Bad fits - X view");
  hbx->Draw("col");
  Grid();
  gPad->Print("plots/map_bad_fit_x.eps");

  new TCanvas;
  TH2* hby = f->Get("find/badfitY");
  hby->SetTitle("Bad fits - Y view");
  hby->Draw("col");
  Grid();
  gPad->Print("plots/map_bad_fit_y.eps");

  new TCanvas;
  TH2* hlx = f->Get("find/lowpeX");
  hlx->SetTitle("Low PE cells - X view");
  hlx->Draw("col");
  Grid();
  gPad->Print("plots/map_low_pe_x.eps");

  new TCanvas;
  TH2* hly = f->Get("find/lowpeY");
  hly->SetTitle("Low PE cells - Y view");
  hly->Draw("col");
  Grid();
  gPad->Print("plots/map_low_pe_y.eps");

  new TCanvas;
  TH2* hhx = f->Get("find/highpeX");
  hhx->SetTitle("High PE cells - X view");
  hhx->Draw("col");
  Grid();
  gPad->Print("plots/map_high_pe_x.eps");

  new TCanvas;
  TH2* hhy = f->Get("find/highpeY");
  hhy->SetTitle("High PE cells - Y view");
  hhy->Draw("col");
  Grid();
  gPad->Print("plots/map_high_pe_y.eps");
}
