/////////////////////////////////////////////////////////////////////////////
/// \brief   A DCMSummary contains summary information to calculate dcm timing delays
/// \author  edniner@indiana.edu
/// \date    May 2014
///////////////////////////////////////////////////////////////////////////// 
#include "CalibrationDataProducts/DCMSummary.h"
#include <limits>

 
 namespace caldp 
 {
   DCMSummary::DCMSummary():
   sTime(std::numeric_limits<uint32_t>::max()-1),
   eTime(std::numeric_limits<uint32_t>::min()),
   dcmOffsetCount(kDCMNumMax, std::vector<int>(kDCMNumMax, 0)),
   dcmOffsetSum(kDCMNumMax, std::vector<float>(kDCMNumMax, 0)),
   dcmOffsetSumSquare(kDCMNumMax, std::vector<float>(kDCMNumMax, 0)),
   dcmUse(kDCMNumMax, 0)
   {   }
   
   DCMSummary::~DCMSummary(){  }

   
 } // end namespace calib
