#include "CalibrationUtils/NNfunction.h"
#include <cmath>

double NNfunction::Value(int index,double in0,double in1,double in2,double in3) {
   input0 = (in0 - 0.235123)/0.101448;
   input1 = (in1 - 0.134984)/0.0730359;
   input2 = (in2 - 0.495048)/0.200349;
   input3 = (in3 - 0.531589)/0.211644;
   switch(index) {
     case 0:
         return neuron0xf0ad7b0();
     default:
         return 0.;
   }
}

double NNfunction::Value(int index, double* input) {
   input0 = (input[0] - 0.235123)/0.101448;
   input1 = (input[1] - 0.134984)/0.0730359;
   input2 = (input[2] - 0.495048)/0.200349;
   input3 = (input[3] - 0.531589)/0.211644;
   switch(index) {
     case 0:
         return neuron0xf0ad7b0();
     default:
         return 0.;
   }
}

double NNfunction::neuron0xf0aa7c0() {
   return input0;
}

double NNfunction::neuron0xf0aab00() {
   return input1;
}

double NNfunction::neuron0xf0aae40() {
   return input2;
}

double NNfunction::neuron0xf0ab180() {
   return input3;
}

double NNfunction::input0xf0ab5f0() {
   double input = 0.359328;
   input += synapse0xf069df0();
   input += synapse0xf0ab8a0();
   input += synapse0xf0ab8e0();
   input += synapse0xf0ab920();
   return input;
}

double NNfunction::neuron0xf0ab5f0() {
   double input = input0xf0ab5f0();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0ab960() {
   double input = -0.311275;
   input += synapse0xf0abca0();
   input += synapse0xf0abce0();
   input += synapse0xf0abd20();
   input += synapse0xf0abd60();
   return input;
}

double NNfunction::neuron0xf0ab960() {
   double input = input0xf0ab960();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0abda0() {
   double input = 0.250807;
   input += synapse0xf0ac0e0();
   input += synapse0xf0ac120();
   input += synapse0xf0ac160();
   input += synapse0xf0ac1a0();
   return input;
}

double NNfunction::neuron0xf0abda0() {
   double input = input0xf0abda0();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0ac1e0() {
   double input = -0.489473;
   input += synapse0xf0ac520();
   input += synapse0xf0ac560();
   input += synapse0xf0ac5a0();
   input += synapse0xf0ac5e0();
   return input;
}

double NNfunction::neuron0xf0ac1e0() {
   double input = input0xf0ac1e0();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0ac620() {
   double input = 0.377691;
   input += synapse0xf0ac960();
   input += synapse0xefc9af0();
   input += synapse0xefc9b30();
   input += synapse0xf0acab0();
   return input;
}

double NNfunction::neuron0xf0ac620() {
   double input = input0xf0ac620();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0acaf0() {
   double input = -0.197852;
   input += synapse0xf0ace30();
   input += synapse0xf0ace70();
   input += synapse0xf0aceb0();
   input += synapse0xf0acef0();
   return input;
}

double NNfunction::neuron0xf0acaf0() {
   double input = input0xf0acaf0();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0acf30() {
   double input = 0.103947;
   input += synapse0xf0ad270();
   input += synapse0xf0ad2b0();
   input += synapse0xf0ad2f0();
   input += synapse0xf0ad330();
   return input;
}

double NNfunction::neuron0xf0acf30() {
   double input = input0xf0acf30();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0ad370() {
   double input = -0.296065;
   input += synapse0xf0ad6b0();
   input += synapse0xf0ad6f0();
   input += synapse0xf0ad730();
   input += synapse0xf0ad770();
   return input;
}

double NNfunction::neuron0xf0ad370() {
   double input = input0xf0ad370();
   return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double NNfunction::input0xf0ad7b0() {
   double input = 0.189687;
   input += synapse0xf0adaf0();
   input += synapse0xefca180();
   input += synapse0xf04b810();
   input += synapse0xf04b850();
   input += synapse0xf04b890();
   input += synapse0xf0839e0();
   input += synapse0xf083a20();
   input += synapse0xf083a60();
   return input;
}

double NNfunction::neuron0xf0ad7b0() {
   double input = input0xf0ad7b0();
   return (input * 1)+0;
}

double NNfunction::synapse0xf069df0() {
   return (neuron0xf0aa7c0()*-0.24248);
}

double NNfunction::synapse0xf0ab8a0() {
   return (neuron0xf0aab00()*0.131681);
}

double NNfunction::synapse0xf0ab8e0() {
   return (neuron0xf0aae40()*0.3325);
}

double NNfunction::synapse0xf0ab920() {
   return (neuron0xf0ab180()*0.0884284);
}

double NNfunction::synapse0xf0abca0() {
   return (neuron0xf0aa7c0()*0.214659);
}

double NNfunction::synapse0xf0abce0() {
   return (neuron0xf0aab00()*0.0228902);
}

double NNfunction::synapse0xf0abd20() {
   return (neuron0xf0aae40()*-0.228005);
}

double NNfunction::synapse0xf0abd60() {
   return (neuron0xf0ab180()*-0.0412856);
}

double NNfunction::synapse0xf0ac0e0() {
   return (neuron0xf0aa7c0()*0.281558);
}

double NNfunction::synapse0xf0ac120() {
   return (neuron0xf0aab00()*-0.0466186);
}

double NNfunction::synapse0xf0ac160() {
   return (neuron0xf0aae40()*0.169836);
}

double NNfunction::synapse0xf0ac1a0() {
   return (neuron0xf0ab180()*0.442738);
}

double NNfunction::synapse0xf0ac520() {
   return (neuron0xf0aa7c0()*-0.318015);
}

double NNfunction::synapse0xf0ac560() {
   return (neuron0xf0aab00()*-0.429461);
}

double NNfunction::synapse0xf0ac5a0() {
   return (neuron0xf0aae40()*-0.188192);
}

double NNfunction::synapse0xf0ac5e0() {
   return (neuron0xf0ab180()*-0.448626);
}

double NNfunction::synapse0xf0ac960() {
   return (neuron0xf0aa7c0()*-0.569086);
}

double NNfunction::synapse0xefc9af0() {
   return (neuron0xf0aab00()*-0.239596);
}

double NNfunction::synapse0xefc9b30() {
   return (neuron0xf0aae40()*0.557169);
}

double NNfunction::synapse0xf0acab0() {
   return (neuron0xf0ab180()*0.439114);
}

double NNfunction::synapse0xf0ace30() {
   return (neuron0xf0aa7c0()*-0.220503);
}

double NNfunction::synapse0xf0ace70() {
   return (neuron0xf0aab00()*-0.121961);
}

double NNfunction::synapse0xf0aceb0() {
   return (neuron0xf0aae40()*-0.450759);
}

double NNfunction::synapse0xf0acef0() {
   return (neuron0xf0ab180()*0.227846);
}

double NNfunction::synapse0xf0ad270() {
   return (neuron0xf0aa7c0()*0.563007);
}

double NNfunction::synapse0xf0ad2b0() {
   return (neuron0xf0aab00()*-0.835815);
}

double NNfunction::synapse0xf0ad2f0() {
   return (neuron0xf0aae40()*-0.0646091);
}

double NNfunction::synapse0xf0ad330() {
   return (neuron0xf0ab180()*0.143315);
}

double NNfunction::synapse0xf0ad6b0() {
   return (neuron0xf0aa7c0()*-0.141188);
}

double NNfunction::synapse0xf0ad6f0() {
   return (neuron0xf0aab00()*-0.199195);
}

double NNfunction::synapse0xf0ad730() {
   return (neuron0xf0aae40()*0.373725);
}

double NNfunction::synapse0xf0ad770() {
   return (neuron0xf0ab180()*-0.140144);
}

double NNfunction::synapse0xf0adaf0() {
   return (neuron0xf0ab5f0()*-0.546395);
}

double NNfunction::synapse0xefca180() {
   return (neuron0xf0ab960()*0.209649);
}

double NNfunction::synapse0xf04b810() {
   return (neuron0xf0abda0()*0.407598);
}

double NNfunction::synapse0xf04b850() {
   return (neuron0xf0ac1e0()*0.310039);
}

double NNfunction::synapse0xf04b890() {
   return (neuron0xf0ac620()*0.250305);
}

double NNfunction::synapse0xf0839e0() {
   return (neuron0xf0acaf0()*-0.285082);
}

double NNfunction::synapse0xf083a20() {
   return (neuron0xf0acf30()*-0.280403);
}

double NNfunction::synapse0xf083a60() {
   return (neuron0xf0ad370()*-0.0941887);
}

