#ifndef CosRejFxs_h
#define CosRejFxs_h

#include "RecoBase/Track.h"

namespace cosrej {

  class CosRejFxs {// class for various functions
  public:
    explicit CosRejFxs();
    virtual ~CosRejFxs();

    float getAngle(TVector3 trackdir);  // get cos(theta) of muon angle wrt neutrino angle

    void getFits(const art::Ptr<rb::Track> track, double &slope, double &chisq, double &chisqdiff);
    float getScatt(const art::Ptr<rb::Track> track);
    float getActivity(art::PtrVector< rb::CellHit > const& trackHits, art::PtrVector< rb::CellHit > const& sliceHits);
    float fitslope(const std::vector< double > &l, const std::vector< double > &t, const std::vector< double > &q, double &chisq, double &inter, bool linflag);
    float fitchisq(const std::vector< double > &t, const std::vector< double > &l, int flag, double c);
    bool FScatterEstim(art::Ptr<rb::Track> track, bool& fromTrkEnd, double &angleExt, double &angleSigma, double &angleMax, double &angleSum);
    void getCVVars(const art::Ptr<rb::Track> track, int ncell, bool &strongangle, bool &weakangle, bool &cont, float &cvfd, float &cvbd);
    void getBBC(const art::Ptr<rb::Cluster> slice, int &nhitsoutside);

    /// \name nue variables
    //@{
    double TransverseMomentumFraction(const std::vector<art::Ptr<rb::Prong>>& prongs) const;
    //@}
  };
}

#endif
