#!/bin/bash

umask 022 #Ensure that files are user and group writable by default

#Read arguments
args=("$@")

REL=${args[0]} #first argument should be a software version
export REL=S11.03.03  #only development for the time being

NDAYS=${args[1]} #Look for files onled than $NDAY, should be negative number

export NDAYS=-1



export PATH=$PATH:/nova/app/users/janow/scripts/ #novaart_jobsub 

#Set software and condor 
source /grid/fermiapp/nova/novaart/novasoft/releases/development/setup/setup_novasoft_ifcluster.sh -r $REL
source /grid/fermiapp/nova/condor-scripts/setup_nova_condor.sh
setup art v0_4_3 -qa1 


export SCRIPTDIR=$CONDOR_EXEC

export RAWFILES=/nova/data/novaroot/NDOS/RAWFILES #contails links to files. Links are created after the transfer was succesful.  

export OUTPUTDIR=${CONDOR_TMP}/output # root files temporary  directory. 
export RECODIR=${CONDOR_TMP}/reco # root files temporary  directory.

mkdir -p $OUTPUTDIR/log
mkdir -p $SCRIPTDIR/job
mkdir -p $RECODIR/log
chmod -R a+wrx $OUTPUTDIR
chmod -R a+wrx $RECODIR



if [ -e $OUTPUTDIR/log/last_day.dat ]; then 
rm $OUTPUTDIR/log/last_day.dat
fi


export CURRDIR=$PWD
cd $RAWFILES
#find only files older than $NDAYS days
find . -name 'ndos*raw' -mtime -30   |sort >>$OUTPUTDIR/log/last_day.dat

cd $CURRDIR


#more $OUTPUTDIR/log/last_day.dat

exec 3<> $OUTPUTDIR/log/last_day.dat
while read FILE <&3
  do {
      
      export FILE=`echo $FILE |awk '{print substr($1,3)}'`

      if [ ! -e $OUTPUTDIR/$FILE-$REL.root ]; then

          if [ ! -e  /nova/data/novaroot/NDOS/ART-DEV/ALL/$FILE-$REL.root ]; then
  
	      export FILESIZE=$(stat -L -c%s "$RAWFILES/$FILE")
	      if [ $FILESIZE -ge 1024 ]; then
		  if [ $FILESIZE -le 8147483645 ]; then #chane from 2 to ~8 GB
		      echo "$SHAREDDIR/$FILE-$REL.root"

echo $FILE

export SCRIPTNAME=$SCRIPTDIR/$FILE-$REL-raw2root.sh
if [ ! -e $SCRIPTNAME ]; then
#rm $SCRIPTNAME
#fi

echo "#!/bin/bash"					>> $SCRIPTNAME
echo " "  						>> $SCRIPTNAME
echo "umask 022"					>> $SCRIPTNAME
echo " " 						>> $SCRIPTNAME
echo "source /grid/fermiapp/nova/novaart/novasoft/releases/development/setup/setup_novasoft_ifcluster.sh -r $REL" >> $SCRIPTNAME
echo "export DISPLAY=localhost0.0 " 			>> $SCRIPTNAME
echo "export FHICL_FILE_PATH=$FHICL_FILE_PATH:$SCRIPTDIR/job "	>> $SCRIPTNAME
echo "export FHICL_FILE_PATH=$FHICL_FILE_PATH:/nova/app/users/janow/scripts/DataHandling/job"                   >> $SCRIPTNAME
#echo "cd /nova/app/users/janow/scripts/DataHandling"  >> $SCRIPTNAME
#echo "srt_setup -a"  >> $SCRIPTNAME
#echo "cd -"  >> $SCRIPTNAME
echo "setup art v0_4_3 -qa1"
echo "nova -c rawtorootconvert.fcl -s /nova/data/novaroot/NDOS/RAWFILES/$FILE -o $OUTPUTDIR/$FILE-$REL.root -T $OUTPUTDIR/log/$FILE-$REL-histograms.root    >> $OUTPUTDIR/log/$FILE-$REL.log 2>&1"           >> $SCRIPTNAME
#echo "/grid/fermiapp/minos/scripts/mvn  $OUTPUTDIR/$FILE-$REL.root /nova/data/novaroot/NDOS/ART-DEV "  >> $SCRIPTNAME
#echo "/grid/fermiapp/minos/scripts/mvn  $OUTPUTDIR/log/$FILE-$REL-histograms.root  $OUTPUTDIR/log/$FILE-$REL.log /nova/data/novaroot/NDOS/ART-DEV/log"


chmod a+x $SCRIPTNAME

export curr=$PWD
cd $SCRIPTDIR
novaart_jobsub -g -q  $SCRIPTNAME
#sh -x $SCRIPTNAME
cd $curr
exit
fi

		  fi
		  
	      fi
	  fi
      fi
  }
done


rm $OUTPUTDIR/log/last_day.dat



