////////////////////////////////////////////////////////////////////////
/// \file  NOvARawInputSource.cxx
/// \brief Source to convert raw binary files to root files
///
/// \version $Id: NOvAInputDriverBase.cxx,v 1.19 2012-12-01 07:05:47 bckhouse Exp $
////////////////////////////////////////////////////////////////////////
#include "DAQ2RawDigit/NOvAInputDriverBase.h"
#include "NovaDAQConventions/DAQConventions.h"

namespace daq2raw{

  //------------------------------------------------------------------------------
  // Required constructor.
  NOvAInputDriverBase::NOvAInputDriverBase(std::string gdmlBase)
    : fGDMLBase(gdmlBase)
  {}
  NOvAInputDriverBase::~NOvAInputDriverBase() {}
  
  

  //------------------------------------------------------------------------------
  std::string NOvAInputDriverBase::getDetectorGDML(const int detid) const{
    
    // get the base form of the geometry file for the current detector
    if(!fGDMLBase.empty()) return fGDMLBase;

    //\todo at some point we should query a database to get this, especially
    //\todo when we have instances of only part of a detector working
    std::string detFileBase("");
    if     (detid == novadaq::cnv::kNDOS)
      detFileBase = "ndos-2x3-4block_nomc-xtru-vacuum";
    if     (detid == novadaq::cnv::kNEARDET)
      detFileBase = "neardet-3x3-8block-xtru-vacuum-stagger";
    else if(detid == novadaq::cnv::kFARDET)
      detFileBase = "fardet-12x12-28block-xtru-vacuum-stagger";

    return detFileBase;
  }


}// end of namespace

