#ifndef DQSF_DAQEVENTSUMMARY_H
#define DQSF_DAQEVENTSUMMARY_H

namespace dqsf {
  class DAQEventSummary
  {
  public:
    DAQEventSummary();
    void Clear();
    void Finalize();

  public:
    bool         fEventIncomplete;           ///< Is the event incomplete?
    unsigned int fNemptyDataBlock;           ///< How many empty data blocks?
    unsigned int fNemptyMicroSlice;          ///< How many empty micro slices?
    unsigned int fNdataBlockMissingData;     ///< # of occurances of isMissingData
    unsigned int fNmicroSliceDataNotPresent; ///< # of microslices with !DataPresent

    unsigned int fNtotalNanoSlices;          ///< # of nano slices in the event
    unsigned int fNanoSliceDataNotPresent;   ///< # of nanoslices reporting !DataPresent
    unsigned int fNanoSliceNoLinkStatus;     ///< # of nanoslices reporting !LinkPresent
    unsigned int fNanoSliceBufferEmpty;      ///< # of nanoslices reporting BufferEmpty
    unsigned int fNanoSliceBufferFull;       ///< # of nanoslices reporting BufferFull
    unsigned int fNanoSliceCommError;        ///< # of nanoslices reporting CommError
    unsigned int fNanoSlicePackerError;      ///< # of nanoslices reporting PacketError
    unsigned int fNanoSliceOverflowError;    ///< # of nanoslices reporting OverflowError
    unsigned int fNanoSliceADCError;         ///< # of nanoslices reporting ADCError
  };
}

#endif
