{

  // Load the CAF libraries using some fancy cintex magic
  // This macro is meant to be run using a bare ROOT prompt
  // If you use the cafe command line utility, you can skip this step
  gSystem->Load("libCintex.so");
  Cintex::Enable();
  gSystem->Load("$SRT_PUBLIC_CONTEXT/lib/Linux2.6-GCC-debug/libStandardRecord_dict.so");

  // Open the file object
  TFile* file = new TFile("/nova/data/mc/S13-06-18/genie/nd/nd_r0000001_s01_S13-06-18_v1_genie_1000_fhc_20121129_181943.sim.caf.root", "READ");  

  // Get the tree from the file 
  TTree* tree = file->Get("recTree");
  // Use the tree to draw a histogram, just for kicks, make a canvas for this histogram too. 
  TCanvas* can1 = new TCanvas("nameOfCanvas", "Tree::Draw()");
  tree->Draw("slc.nhit");
  
  // Create a StandardRecord object and associate it with the tree.
  caf::StandardRecord* rec = 0;  
  tree->SetBranchAddress("rec", &rec);

  // Create a histogram for my awesome variable 
  TH1F* myAwesomeHist = new TH1F("myHist", ";Awesome Variable; Number of Slices", 100, 0, 100);

  // Loop over the entries in the tree (slices)
  for(int i = 0; i< tree->GetEntries(); ++i)
  {
    // Get an entry from the tree, this copies it's information to the rec pointer 
    tree->GetEntry(i);
    // Get a variable from the tree, this is mostly unnecessary, could just refer to rec->slc.nhit everywhere 
    int nhit =  rec->slc.nhit;
    // Do my awesome analysis 
    float myAwesomeVar = nhit * 5.3;

   // Add my variable to the histogram 
    myAwesomeHist->Fill(myAwesomeVar);    
  }
    
  TCanvas* can2 = new TCanvas("name", "Awesome Analysis");
  myAwesomeHist->Draw();


}
