#include <string>
#include <iostream>

#include "TFile.h"
#include "TH1.h"

TH1* ColdWarm(TFile&, TFile&, std::string, bool=false, std::string="ChannelPlotsAna");

TH1* ColdWarm(TFile& warm, TFile& cold, std::string hname, bool rescale, 
              std::string dir)
{
  
  
  TH1* hist=(TH1*)(warm.GetDirectory(dir.c_str()))->Get(hname.c_str());
  if (!hist ) {
    std::cout<<"Could not find warm histogram"<<std::endl;
    return 0;
  }
  TH1* hwarm=(TH1*)hist->Clone(Form("%s_Warm",hname.c_str()));
  
  hist=(TH1*)(cold.GetDirectory(dir.c_str()))->Get(hname.c_str());
  if (!hist ) {
    std::cout<<"Could not find cold histogram"<<std::endl;
    return 0;
  }
  TH1* hcold=(TH1*)hist->Clone(Form("%s_Cold",hname.c_str()));
  
  hwarm->SetLineColor(kRed);
  hcold->SetLineColor(kBlue);
  if (rescale) {
    double scale=hwarm->Integral()/hcold->Integral();
    hcold->Scale(scale);
  }
  hcold->Draw();
  hwarm->Draw("sames");
  
  return hcold;
  
}
