////////////////////////////////////////////////////////////////////////
// \file    Segment.h
// \version $Id: Segment.cxx,v 1.6 2012-10-30 23:33:09 bckhouse Exp $
// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#include "DiscreteTracker/Segment.h"

namespace dt
{
  //......................................................................
  bool Segment::operator==(const Segment& rhs) const
  {
    return (left == rhs.left &&
            plane == rhs.plane &&
            cellLo == rhs.cellLo && cellHi == rhs.cellHi);
  }

  //......................................................................
  SubSeg Segment::GetSubSeg(Direction dir) const
  {
    if(dir == kUpstream) return SubSeg(zL, yL0, yL1);
    return SubSeg(zR, yR0, yR1);
  }

  //......................................................................
  std::ostream& operator<<(std::ostream& os, const Segment& seg)
  {
    os << "Seg at " << seg. plane << " from " << seg.cellLo
       << " to " << seg.cellHi << ". Left? " << seg.left << std::endl;
    return os;
  }
} // namespace
