#ifndef EVENTGENERATOR_GENIE_NUMISPILLTIMESTRUCTURE_H
#define EVENTGENERATOR_GENIE_NUMISPILLTIMESTRUCTURE_H
#include <vector>
namespace evgen {
  class NuMISpillTimeStructure {
  public:
    NuMISpillTimeStructure();
    ///
    /// Generate a new random spill time profile
    ///
    void NewSpill();

    ///
    /// Sample a random time from the spill time structure
    /// @returns time in units of nanoseconds
    ///
    double GetTime() const;

    ///
    /// Convert a bin number to a time in nanoseconds
    ///
    double BinToT(unsigned int i) const;

  public:
    unsigned int        fNbatch;          ///< Number of proton batches
    unsigned int        fNbucketPerBatch; ///< Number of RF buckets per batch
    unsigned int        fNfilledBucket;   ///< Number of buckets that are filled
    double              fTbucket;         ///< How many ns are there per bucket?
    double              fBucketSigmaT;    ///< Width of protons inside an RF time bucket (ns)
    double              fBucketSigmaPOT;  ///< bucket-to-bucket variation in #POT (fractional)
    unsigned int        fNbinPerBucket;   ///< Number of time bins to use per bucket
    unsigned int        fNbin;            ///< Total number of bins in time profile
    std::vector<double> fPOTbyBatch;      ///< Relative number of POT in a batch (arb.)
    std::vector<double> fSpillPOT;        ///< POT/bin
    std::vector<double> fSpillPOTI;       ///< Integrated POT
  };
}
#endif // EVENTGENERATOR_GENIE_NUMISPILLTIMESTRUCTURE_H
////////////////////////////////////////////////////////////////////////
