///
/// \brief    Ntuple produced by the HoughValidate module
/// \author   mibaird@indiana.edu
/// \date
///
#ifndef HOUGH_HVALIDATENT_H
#define HOUGH_HVALIDATENT_H

#include <vector>



namespace hough {

  /// Ntuple produced by the HoughValidate module

  class HValidateNt {
  public:

    int run;            ///< run number
    int subrun;         ///< subrun number
    int evt;            ///< event number

    std::vector<int> numHLX;
    std::vector<int> numHLY;
    
    std::vector<double> nuX;
    std::vector<double> nuY;
    std::vector<double> nuZ;
    std::vector<double> nuE;
    
    std::vector<int> nupdg;
    std::vector<int> nuCCNC;

    std::vector<double> perpdist1x;
    std::vector<double> perpdist1y;
    std::vector<double> perpdist2x;
    std::vector<double> perpdist2y;
    std::vector<double> perpdist3x;
    std::vector<double> perpdist3y;
    std::vector<double> perpdist4x;
    std::vector<double> perpdist4y;

    std::vector<double> mcdp1x;
    std::vector<double> mcdp1y;
    std::vector<double> mcdp2x;
    std::vector<double> mcdp2y;
    std::vector<double> mcdp3x;
    std::vector<double> mcdp3y;
    std::vector<double> mcdp4x;
    std::vector<double> mcdp4y;

    std::vector<double> on1x;
    std::vector<double> on2x;
    std::vector<double> on3x;
    std::vector<double> on4x;
    std::vector<double> on1y;
    std::vector<double> on2y;
    std::vector<double> on3y;
    std::vector<double> on4y;

    std::vector<double> rho1x;
    std::vector<double> rho2x;
    std::vector<double> rho3x;
    std::vector<double> rho4x;
    std::vector<double> rho1y;
    std::vector<double> rho2y;
    std::vector<double> rho3y;
    std::vector<double> rho4y;

    std::vector<double> theta1x;
    std::vector<double> theta2x;
    std::vector<double> theta3x;
    std::vector<double> theta4x;
    std::vector<double> theta1y;
    std::vector<double> theta2y;
    std::vector<double> theta3y;
    std::vector<double> theta4y;

    std::vector<double> threshx;
    std::vector<double> threshy;

    std::vector<double> peak1x;
    std::vector<double> peak2x;
    std::vector<double> peak3x;
    std::vector<double> peak4x;
    std::vector<double> peak1y;
    std::vector<double> peak2y;
    std::vector<double> peak3y;
    std::vector<double> peak4y;

    // std::vector<int> numHL;
    // std::vector<int> numVP;

  public:
    HValidateNt();
  };
}

#endif
///////////////////////////////////////////////////////////////////
