#ifndef NumuSandFxs_h
#define NumuSandFxs_h

#include "RecoBase/Track.h"
#include "TrackFit/KalmanGeoHelper.h"

namespace numusand {

  class NumuSandFxs {// class for various functions
  public:
    explicit NumuSandFxs();
    virtual ~NumuSandFxs();

    float getAngle(TVector3 trackdir);  // get cos(theta) of muon angle wrt neutrino angle
    float getScatt(const art::Ptr<rb::Track> track);
    void getActivity(const art::Ptr<rb::Track> track, double &startact, double &endact);
    float fitslope(const std::vector< double > &l, const std::vector< double > &t, const std::vector< double > &q, double &chisq, double &inter, bool linflag);
    float fitchisq(const std::vector< double > &t, const std::vector< double > &l, int flag, double c);
    bool getMissingE(const art::Ptr<rb::Cluster> slice, float &missE1);

  private:
    trk::KalmanGeoHelper*      fKGeo;

  };
}

#endif
