////////////////////////////////////////////////////////////////////////
// \file        QePId.h
// \brief       A pid object for muon QE identification
// \version
// \author      Nicholas Raddatz - raddatz@physics.umn.edu
////////////////////////////////////////////////////////////////////////
#ifndef QEEVENTFINDER_QEPID_H
#define QEEVENTFINDER_QEPID_H

#include "RecoBase/PID.h"

namespace qeef 
{
  class QePId : public rb::PID
  {
  public:
    QePId();
    QePId(int pdg, double val);
    void    SetNtrk(int ntrks);
    void    SetOffTrkE(double E);
    void    SetEdiff(double diff);
    void    SetEdiffZ(double diffZ);
    void    SetDedx(double Dedx);
    int     Mode() const;
    int     Ntrk() const;
    double  OffTrkE() const;
    double  Ediff() const;
    double  EdiffZ() const;
    double  Dedx() const;
    
  protected:
    int     fMode;
    int     fNtrk;
    double  fOffTrkE;
    double  fEdiff;
    double  fEdiffZ;
    double  fDedx;
    
    
  };
};
#endif
