/////////////////////////////////////////////////////////////////////////
/// \brief   TODO
/// \author  bianjm@umn.physics.edu
////////////////////////////////////////////////////////////////////////
#include "RecoJMShower/EID.h"

#include "RecoBase/CellHit.h"

namespace jmshower
{
  //......................................................................  
  void EID::SetANN(double ann)
  {
    fANN = ann;
  }
  double EID::ANN() const
  {
    return fANN;
  }

  void EID::SetANNE(double anne)
  {
    fANNE = anne;
  }
  double EID::ANNE() const
  {
    return fANNE;
  }

  void EID::SetANNNoCos(double ann)
  {
    fANNNoCos = ann;
  }
  double EID::ANNNoCos() const
  {
    return fANNNoCos;
  }

  void EID::SetANNENoCos(double ann)
  {
    fANNENoCos = ann;
  }
  double EID::ANNENoCos() const
  {
    return fANNENoCos;
  }

  void EID::SetDetEnergy(double energy)
  {
    fDetEnergy = energy;
  }
  double EID::DetEnergy() const
  {
    return fDetEnergy;
  }

  void EID::SetEvtNCell(int ncell)// number of cells in a slice
  {
    fEvtNCell = ncell;
  }
  int EID::EvtNCell() const
  {
    return fEvtNCell;
  }

  void EID::SetEvtSumCosTheta(double costheta)
  {
    fEvtSumCosTheta = costheta;
  }
  double EID::EvtSumCosTheta() const
  {
    return fEvtSumCosTheta;
  }


  void EID::SetEvtSumP0(double p)
  {
    fEvtSumP0 = p;
  }
  double EID::EvtSumP0() const
  {
    return fEvtSumP0;
  }
  void EID::SetEvtSumPt0(double pt)
  {
    fEvtSumPt0 = pt;
  }
  double EID::EvtSumPt0() const
  {
    return fEvtSumPt0;
  }




  void EID::SetEvtSumP(double p)
  {
    fEvtSumP = p;
  }
  double EID::EvtSumP() const
  {
    return fEvtSumP;
  }

  void EID::SetEvtSumPt(double pt)
  {
    fEvtSumPt = pt;
  }
  double EID::EvtSumPt() const
  {
    return fEvtSumPt;
  }

  void EID::SetEvtEtot(double etot)
  {
    fEvtEtot = etot;
  }

  double EID::EvtEtot() const
  {
    return fEvtEtot;
  }

  void EID::SetEvtMinX(double m)
  {
    fEvtMinX = m;
  }
  double EID::EvtMinX() const
  {
    return fEvtMinX;
  }

  void EID::SetEvtMinY(double m)
  {
    fEvtMinY = m;
  }
  double EID::EvtMinY() const
  {
    return fEvtMinY;
  }

  void EID::SetEvtMinZ(double m)
  {
    fEvtMinZ = m;
  }
  double EID::EvtMinZ() const
  {
    return fEvtMinZ;
  }

  void EID::SetEvtMaxX(double m)
  {
    fEvtMaxX = m;
  }
  double EID::EvtMaxX() const
  {
    return fEvtMaxX;
  }

  void EID::SetEvtMaxY(double m)
  {
    fEvtMaxY = m;
  }
  double EID::EvtMaxY() const
  {
    return fEvtMaxY;
  }

  void EID::SetEvtMaxZ(double m)
  {
    fEvtMaxZ = m;
  }
  double EID::EvtMaxZ() const
  {
    return fEvtMaxZ;
  }

  void EID::SetEvtGapTNS(double tns)
  {
    fEvtGapTNS = tns;
  }

  double EID::EvtGapTNS() const
  {
    return fEvtGapTNS;
  }

  void EID::SetEvtNCellToEdge(int ncell)// number of cells to edge
  {
    fEvtNCellToEdge = ncell;
  }
  int EID::EvtNCellToEdge() const
  {
    return fEvtNCellToEdge;
  }

  void EID::SetNuEnergy(double energy)
  {
    fNuEnergy = energy;
  }
  double EID::NuEnergy() const
  {
    return fNuEnergy;
  } 

  void EID::SetTrueNuEnergy(double energy)
  {
    fTrueNuEnergy = energy;
  }
  double EID::TrueNuEnergy() const
  {
    return fTrueNuEnergy;
  }

  void EID::SetSh1Energy(double sh1energy)
  {
    fSh1Energy = sh1energy;
  }

  double EID::Sh1Energy() const
  {
    return fSh1Energy;
  }

  void EID::SetSh1ExclEnergy(double sh1exclenergy)
  {
    fSh1ExclEnergy = sh1exclenergy;
  }
  double EID::Sh1ExclEnergy() const
  {
    return fSh1ExclEnergy;
  }

  void EID::SetSh1TotalLength(double sh1totallength)
  {
    fSh1TotalLength = sh1totallength;
  }

  double EID::Sh1TotalLength() const
  {
    return fSh1TotalLength;
  }

  void EID::SetSh1Start(TVector3 sh1start)
  {
    fSh1Start=sh1start;
  }
  TVector3 EID::Sh1Start() const //< Leading shower start point, = vertex when fuzzkyvertex is used
  {
    return fSh1Start;
  }

  void EID::SetSh1Stop(TVector3 sh1stop)
  {
     fSh1Stop = sh1stop;
  }
  TVector3 EID::Sh1Stop() const //< Leading shower stop point
  {
     return fSh1Stop;
  }

  void EID::SetSh1Dir(TVector3 sh1dir)
  {
     fSh1Dir = sh1dir;
  }

  TVector3 EID::Sh1Dir() const //< Leading shower dir
  {
    return fSh1Dir;
  }

  void EID::SetSh1VtxDoca(double doca)
  {
    fSh1VtxDoca = doca;
  }
  double EID::Sh1VtxDoca() const
  {
    return fSh1VtxDoca;
  }
  void EID::SetSh1Gap(double gap)
  {
    fSh1Gap = gap;
  }
  double EID::Sh1Gap() const
  {
    return fSh1Gap;
  }

  void EID::SetSh1NPlane(unsigned int nplane)
  {
    fSh1NPlane = nplane;
  }
  unsigned int EID::Sh1NPlane() const
  {
    return fSh1NPlane;
  }

  void EID::SetSh1XNPlane(unsigned int xnplane)
  {
    fSh1XNPlane = xnplane;
  }
  unsigned int EID::Sh1XNPlane() const
  {
    return fSh1XNPlane;
  }

  void EID::SetSh1YNPlane(unsigned int ynplane)
  {
    fSh1YNPlane = ynplane;
  }
  unsigned int EID::Sh1YNPlane() const
  {
    return fSh1YNPlane;
  }
  void EID::SetSh1NCell(unsigned int ncell)
  {
    fSh1NCell = ncell;
  }
  unsigned int EID::Sh1NCell() const
  {
    return fSh1NCell;
  }
  
  void EID::SetSh1XNCell(unsigned int xncell)
  {
    fSh1XNCell = xncell;
  }
  unsigned int EID::Sh1XNCell() const
  {
    return fSh1XNCell;
  }

  void EID::SetSh1YNCell(unsigned int yncell)
  {
    fSh1YNCell = yncell;
  }
  unsigned int EID::Sh1YNCell() const
  {
    return fSh1YNCell;
  }

  void EID::SetSh1PID(int pid)
  {
    fSh1PID = pid;
  }
  int EID::Sh1PID() const
  {
    return fSh1PID;
  }

  void EID::SetSh1NCellToEdge(int ncell)// number of cells to edge
  {
    fSh1NCellToEdge = ncell;
  }
  int EID::Sh1NCellToEdge() const
  {
    return fSh1NCellToEdge;
  }

  void EID::SetSh1Sh2Dang(double sh1sh2dang)
  {
    fSh1Sh2Dang = sh1sh2dang;
  }

  double EID::Sh1Sh2Dang() const
  {
    return fSh1Sh2Dang;
  }


  void EID::SetSh2Energy(double sh1energy)
  {
    fSh2Energy = sh1energy;
  }

  double EID::Sh2Energy() const
  {
    return fSh2Energy;
  }

  void EID::SetSh2ExclEnergy(double sh1exclenergy)
  {
    fSh2ExclEnergy = sh1exclenergy;
  }
  double EID::Sh2ExclEnergy() const
  {
    return fSh2ExclEnergy;
  }

  void EID::SetSh2TotalLength(double sh1totallength)
  {
    fSh2TotalLength = sh1totallength;
  }

  double EID::Sh2TotalLength() const
  {
    return fSh2TotalLength;
  }

  void EID::SetSh2Start(TVector3 sh1start)
  {
    fSh2Start=sh1start;
  }
  TVector3 EID::Sh2Start() const //< Leading shower start point, = vertex when fuzzkyvertex is used
  {
    return fSh2Start;
  }

  void EID::SetSh2Stop(TVector3 sh1stop)
  {
     fSh2Stop = sh1stop;
  }
  TVector3 EID::Sh2Stop() const //< Leading shower stop point
  {
     return fSh2Stop;
  }

  void EID::SetSh2Dir(TVector3 sh1dir)
  {
     fSh2Dir = sh1dir;
  }

  TVector3 EID::Sh2Dir() const //< Leading shower dir
  {
    return fSh2Dir;
  }

  void EID::SetSh2VtxDoca(double doca)
  {
    fSh2VtxDoca = doca;
  }
  double EID::Sh2VtxDoca() const
  {
    return fSh2VtxDoca;
  }
  void EID::SetSh2Gap(double gap)
  {
    fSh2Gap = gap;
  }
  double EID::Sh2Gap() const
  {
    return fSh2Gap;
  }

  void EID::SetSh2NPlane(unsigned int nplane)
  {
    fSh2NPlane = nplane;
  }
  unsigned int EID::Sh2NPlane() const
  {
    return fSh2NPlane;
  }

  void EID::SetSh2XNPlane(unsigned int xnplane)
  {
    fSh2XNPlane = xnplane;
  }
  unsigned int EID::Sh2XNPlane() const
  {
    return fSh2XNPlane;
  }

  void EID::SetSh2YNPlane(unsigned int ynplane)
  {
    fSh2YNPlane = ynplane;
  }
  unsigned int EID::Sh2YNPlane() const
  {
    return fSh2YNPlane;
  }
  void EID::SetSh2NCell(unsigned int ncell)
  {
    fSh2NCell = ncell;
  }
  unsigned int EID::Sh2NCell() const
  {
    return fSh2NCell;
  }
  
  void EID::SetSh2XNCell(unsigned int xncell)
  {
    fSh2XNCell = xncell;
  }
  unsigned int EID::Sh2XNCell() const
  {
    return fSh2XNCell;
  }

  void EID::SetSh2YNCell(unsigned int yncell)
  {
    fSh2YNCell = yncell;
  }
  unsigned int EID::Sh2YNCell() const
  {
    return fSh2YNCell;
  }

  void EID::SetSh2PID(int pid)
  {
    fSh2PID = pid;
  }
  int EID::Sh2PID() const
  {
    return fSh2PID;
  }

  void EID::SetSh2NCellToEdge(int ncell)// number of cells to edge
  {
    fSh2NCellToEdge = ncell;
  }
  int EID::Sh2NCellToEdge() const
  {
    return fSh2NCellToEdge;
  }

  void EID::SetIsMuon(bool ismuon)
  {
    fIsMuon = ismuon;
  }
  bool EID::IsMuon() const
  {
    return fIsMuon;
  }

  void EID::SetIsInvPhoton(bool isinvphoton)
  {
    fIsInvPhoton = isinvphoton;
  }
  bool EID::IsInvPhoton() const
  {
    return fIsInvPhoton;
  }

  void EID::SetSigOscW(double weight)
  {
    fSigOscW = weight;
  }

  double EID::SigOscW() const
  {
    return fSigOscW;
  }

  void EID::SetBkgOscW(double weight)
  {
    fBkgOscW = weight;
  }

  double EID::BkgOscW() const
  {
    return fBkgOscW; 
  }

  void EID::SetVtx(TVector3 vtx)
  {
    fVtx.SetXYZ(vtx[0],vtx[1],vtx[2]);
  }

  TVector3 EID::Vtx() const
  {
    return fVtx;
  }

  void EID::SetEGLLL(double egLLL)
  {
    fEGLLL=egLLL;
  }

  double EID::EGLLL() const
  {
    return fEGLLL;
  }

  void EID::SetEGLLT(double egLLT)
  {
    fEGLLT=egLLT;
  }

  double EID::EGLLT() const
  {
    return fEGLLT;
  }

  void EID::SetEMuLLL(double emuLLL)
  {
    fEMuLLL=emuLLL;
  }

  double EID::EMuLLL() const
  {
    return fEMuLLL;
  }

  void EID::SetEMuLLT(double emuLLT)
  {
    fEMuLLT=emuLLT;
  }

  double EID::EMuLLT() const
  {
    return fEMuLLT;
  }

  void EID::SetEPi0LLL(double epi0LLL)
  {
    fEPi0LLL=epi0LLL;
  }

  double EID::EPi0LLL() const
  {
    return fEPi0LLL;
  }

  void EID::SetEPi0LLT(double epi0LLT)
  {
    fEPi0LLT=epi0LLT;
  }

  double EID::EPi0LLT() const
  {
    return fEPi0LLT;
  }

  void EID::SetEPLLL(double epLLL)
  {
    fEPLLL = epLLL;
  }

  double EID::EPLLL() const
  {
    return fEPLLL;
  }

  void EID::SetEPLLT(double epLLT)
  {
    fEPLLT=epLLT;
  }

  double EID::EPLLT() const
  {
    return fEPLLT;
  }

  void EID::SetENLLL(double enLLL)
  {
    fENLLL=enLLL;
  }

  double EID::ENLLL() const
  {
    return fENLLL;
  }

  void EID::SetENLLT(double enLLT)
  {
    fENLLT=enLLT;
  }

  double EID::ENLLT() const
  {
    return fENLLT;
  }

  void EID::SetEPiLLL(double epiLLL)
  {
    fEPiLLL=epiLLL;
  }

  double EID::EPiLLL() const
  {
    return fEPiLLL;
  }

  void EID::SetEPiLLT(double epiLLT)
  {
    fEPiLLT=epiLLT;
  }

  double EID::EPiLLT() const
  {
    return fEPiLLT;
  }

  void EID::SetVtxGeV(double vtxgev)
  {
    fVtxGeV=vtxgev;
  }

  double EID::VtxGeV() const
  {
    return fVtxGeV;
  }

  void EID::SetPi0Mass(double pi0mass)
  {
    fPi0Mass=pi0mass;
  }

  double EID::Pi0Mass() const
  {
    return fPi0Mass;
  } 

  void EID::SetShE(double shE)
  {
    fShE=shE;
  }

  double EID::ShE() const
  {
    return fShE;
  } 

  void EID::SetGap(double gap)
  {
    fGap=gap;
  }

  double EID::Gap() const
  {
    return fGap;
  }

  void EID::SetELLL(double eLLL)
  {
    fELLL=eLLL;
  }

  double EID::ELLL() const
  {
    return fELLL;
  }

  void EID::SetELLT(double eLLT)
  {
    fELLT=eLLT;
  }

  double EID::ELLT() const
  {
    return fELLT;
  }

  void EID::SetMuLLL(double muLLL)
  {
    fMuLLL=muLLL;
  }

  double EID::MuLLL() const
  {
    return fMuLLL;
  }

  void EID::SetMuLLT(double muLLT)
  {
    fMuLLT=muLLT;
  }

  double EID::MuLLT() const
  {
    return fMuLLT;
  }

  void EID::SetGLLL(double gLLL)
  {
    fGLLL=gLLL;
  }

  double EID::GLLL() const
  {
    return fGLLL;
  }

  void EID::SetInvGLLL(double invgLLL)
  {
    fInvGLLL=invgLLL;
  }

  double EID::InvGLLL() const
  {
    return fInvGLLL;
  }

  void EID::SetSh1DistToEdge(double dist)
  {
    fSh1DistToEdge = dist;
  }

  double EID::Sh1DistToEdge()const
  {
    return fSh1DistToEdge;
  }


  void EID::SetEEdge2Cell(double eedge2cell)
  {
    fEEdge2Cell = eedge2cell;
  }
  double EID::EEdge2Cell()const  //Energy deposit within 2 cells to detector edges
  {
    return fEEdge2Cell;
  }

  void EID::SetEEdge5Cell(double eedge5cell)
  {
    fEEdge5Cell = eedge5cell;
  }
  double EID::EEdge5Cell()const  //Energy deposit within 5 cells to detector edges
  {
    return fEEdge5Cell;
  }

  void EID::SetEEdge10Cell(double eedge10cell)
  {
    fEEdge10Cell = eedge10cell;
  }
  double EID::EEdge10Cell()const //Energy deposit within 10 cells to detector edges
  {
    return fEEdge10Cell;
  }
}
//......................................................................
