////////////////////////////////////////////////////////////////////////
// \file    LID.cxx
// \brief   A pid object for electron identification based on Jianming Bian's 
//          original EID
// \version 
// \author  Alex Smith - smith@physics.umn.edu
////////////////////////////////////////////////////////////////////////
#include "ShowerLID/LID.h"
#include "TVector3.h"

namespace slid {

  //......................................

  LID::LID(int pdg, double val)
    : rb::PID(pdg, val),
      fVtxE(-5.0), fShwDepE(-5.0), fShwE(-5.0), fNueEnergy(-5.0), fIsMuon(false)
  {
  }// end of constructor

}// end of namespace slid
