////////////////////////////////////////////////////////////////////////
// \file    ShowerPID.h
// \brief   A Shower class that records pid information, inherited from ShowerLID 
//          
// \version 
// \author  Jianming Bian (bianjm@physics.umn.edu)
////////////////////////////////////////////////////////////////////////

#include "ShowerLID/ShowerPID.h"
#include "ShowerLID/DedxDistribution.h"

namespace slid {

  //......................................
  ShowerPID::ShowerPID(const slid::ShowerLID & showerpid)
    : slid::ShowerLID( showerpid),
      fPIDEPi0(-5.0),fPIDEPi0EL(-5.0),
      fDedx0(-5.0), fDedx1(-5.0), fDedx2(-5.0), fDedx3(-5.0), fDedx4(-5.0), fDedx5(-5.0),
      fELLL(-5.0), fELLT(-5.0),
      fGLLL(-5.0), fGLLT(-5.0),
      fMuLLL(-5.0), fMuLLT(-5.0),
      fPi0LLL(-5.0), fPi0LLT(-5.0),
      fPLLL(-5.0), fPLLT(-5.0),
      fNLLL(-5.0), fNLLT(-5.0),
      fPiLLL(-5.0), fPiLLT(-5.0)
  {
  }// end of constructor

}// end of namespace slid
