#include "TMVAClassification_TMlpANN_WithENu.h"
#include <cmath>

double TMVAClassification_TMlpANN_WithENu::Value(int index,double in0,
						 double in1,double in2,
						 double in3,double in4,
						 double in5,double in6,
						 double in7,double in8,
						 double in9,double in10,
						 double in11,double in12,
						 double in13,double in14,
						 double in15,double in16) 
{
  input0 = (in0 - -0.0550692)/0.0401216;
  input1 = (in1 - 0.227147)/0.0486896;
  input2 = (in2 - -0.847642)/0.159025;
  input3 = (in3 - -0.332084)/0.0980543;
  input4 = (in4 - -0.128043)/0.0466083;
  input5 = (in5 - 0.22212)/0.0674152;
  input6 = (in6 - -0.396311)/0.0671607;
  input7 = (in7 - -0.182257)/0.0466444;
  input8 = (in8 - -0.405347)/0.0882584;
  input9 = (in9 - -0.238084)/0.0753826;
  input10 = (in10 - -0.475918)/0.108808;
  input11 = (in11 - -0.322066)/0.0953983;
  input12 = (in12 - -0.997521)/0.0107786;
  input13 = (in13 - -0.945995)/0.0538969;
  input14 = (in14 - -0.869621)/0.117206;
  input15 = (in15 - -0.964486)/0.0147226;
  input16 = (in16 - -0.304665)/0.0283552;
  switch(index) {
  case 0:
    return neuron0x2af165a0();
  default:
    return 0.;
  }
}

double TMVAClassification_TMlpANN_WithENu::Value(int index, double* input) 
{
  input0 = (input[0] - -0.0550692)/0.0401216;
  input1 = (input[1] - 0.227147)/0.0486896;
  input2 = (input[2] - -0.847642)/0.159025;
  input3 = (input[3] - -0.332084)/0.0980543;
  input4 = (input[4] - -0.128043)/0.0466083;
  input5 = (input[5] - 0.22212)/0.0674152;
  input6 = (input[6] - -0.396311)/0.0671607;
  input7 = (input[7] - -0.182257)/0.0466444;
  input8 = (input[8] - -0.405347)/0.0882584;
  input9 = (input[9] - -0.238084)/0.0753826;
  input10 = (input[10] - -0.475918)/0.108808;
  input11 = (input[11] - -0.322066)/0.0953983;
  input12 = (input[12] - -0.997521)/0.0107786;
  input13 = (input[13] - -0.945995)/0.0538969;
  input14 = (input[14] - -0.869621)/0.117206;
  input15 = (input[15] - -0.964486)/0.0147226;
  input16 = (input[16] - -0.304665)/0.0283552;
  switch(index) {
  case 0:
    return neuron0x2af165a0();
  default:
    return 0.;
  }
}

double TMVAClassification_TMlpANN_WithENu::neuron0x28cbe110() 
{
  return input0;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2ec90150() 
{
  return input1;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25592d30() 
{
  return input2;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25587180() 
{
  return input3;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af28830() 
{
  return input4;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af14e10() 
{
  return input5;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af034b0() 
{
  return input6;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2aeef2b0() 
{
  return input7;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255dc050() 
{
  return input8;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255caf90() 
{
  return input9;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255b0660() 
{
  return input10;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2aee3180() 
{
  return input11;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295f6140() 
{
  return input12;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2400e280() 
{
  return input13;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x24009260() 
{
  return input14;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295e7ea0() 
{
  return input15;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295f1f90() 
{
  return input16;
}

double TMVAClassification_TMlpANN_WithENu::input0x295f9040() 
{
  double input = 2.49148;
  input += synapse0x2400c340();
  input += synapse0x274a7030();
  input += synapse0x2c290aa0();
  input += synapse0x29b11950();
  input += synapse0x1fabc330();
  input += synapse0x274c7100();
  input += synapse0x274b0650();
  input += synapse0x2400efe0();
  input += synapse0x274ad030();
  input += synapse0x2573f8a0();
  input += synapse0x2aeeeac0();
  input += synapse0x255dae60();
  input += synapse0x2af1fcd0();
  input += synapse0x26ed8480();
  input += synapse0x2bda1d70();
  input += synapse0x2a778b70();
  input += synapse0x255d5410();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295f9040() 
{
  double input = input0x295f9040();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x295ff450() 
{
  double input = -1.07857;
  input += synapse0x1f9d40a0();
  input += synapse0x282e4b20();
  input += synapse0x2abb0a30();
  input += synapse0x2be56430();
  input += synapse0x29b145f0();
  input += synapse0x274c4b70();
  input += synapse0x29b0fb90();
  input += synapse0x255d2dd0();
  input += synapse0x29b154d0();
  input += synapse0x29ad0890();
  input += synapse0x29b00460();
  input += synapse0x255a9520();
  input += synapse0x296024a0();
  input += synapse0x2a124060();
  input += synapse0x255d6350();
  input += synapse0x29afd7c0();
  input += synapse0x295f91d0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295ff450() 
{
  double input = input0x295ff450();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x295eddf0() 
{
  double input = 1.49064;
  input += synapse0x295ee0a0();
  input += synapse0x295ee0e0();
  input += synapse0x295ee120();
  input += synapse0x295ee160();
  input += synapse0x295ff700();
  input += synapse0x261d4910();
  input += synapse0x29606b90();
  input += synapse0x2af1f700();
  input += synapse0x2ba77360();
  input += synapse0x2c345c00();
  input += synapse0x2b421d20();
  input += synapse0x2b90eef0();
  input += synapse0x295ee1a0();
  input += synapse0x2559db90();
  input += synapse0x2558e180();
  input += synapse0x2558e1c0();
  input += synapse0x2ec949d0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295eddf0() 
{
  double input = input0x295eddf0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x26363cd0() 
{
  double input = 0.180833;
  input += synapse0x26364010();
  input += synapse0x26364050();
  input += synapse0x2ec94a10();
  input += synapse0x26364090();
  input += synapse0x25593070();
  input += synapse0x255930b0();
  input += synapse0x255930f0();
  input += synapse0x255874c0();
  input += synapse0x25587500();
  input += synapse0x25587540();
  input += synapse0x2af28b70();
  input += synapse0x2af28bb0();
  input += synapse0x2af28bf0();
  input += synapse0x2af15150();
  input += synapse0x2af15190();
  input += synapse0x2af151d0();
  input += synapse0x26363e60();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x26363cd0() 
{
  double input = input0x26363cd0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x25596580() 
{
  double input = 1.9233;
  input += synapse0x26363ea0();
  input += synapse0x25596710();
  input += synapse0x255cb2d0();
  input += synapse0x255cb310();
  input += synapse0x255cb350();
  input += synapse0x255b09a0();
  input += synapse0x255b09e0();
  input += synapse0x255b0a20();
  input += synapse0x2aee34c0();
  input += synapse0x2aee3500();
  input += synapse0x2aee3540();
  input += synapse0x295f6480();
  input += synapse0x295f64c0();
  input += synapse0x295f6500();
  input += synapse0x2400e5c0();
  input += synapse0x2400e600();
  input += synapse0x2400e640();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25596580() 
{
  double input = input0x25596580();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af2edd0() 
{
  double input = 0.125296;
  input += synapse0x2af2f080();
  input += synapse0x240095a0();
  input += synapse0x240095e0();
  input += synapse0x24009620();
  input += synapse0x295e81e0();
  input += synapse0x295e8220();
  input += synapse0x295e8260();
  input += synapse0x295f22d0();
  input += synapse0x295f2310();
  input += synapse0x295f2350();
  input += synapse0x2af06dc0();
  input += synapse0x2af06e00();
  input += synapse0x2af06e40();
  input += synapse0x2af06e80();
  input += synapse0x2af06ec0();
  input += synapse0x2af06f00();
  input += synapse0x2af2ef60();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af2edd0() 
{
  double input = input0x2af2edd0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af07050() 
{
  double input = -4.29355;
  input += synapse0x2ec95800();
  input += synapse0x2ec95840();
  input += synapse0x2ec95880();
  input += synapse0x2ec958c0();
  input += synapse0x2ec95900();
  input += synapse0x2ec95940();
  input += synapse0x2ec95980();
  input += synapse0x2ec959c0();
  input += synapse0x2ec95a00();
  input += synapse0x2af2efa0();
  input += synapse0x2af09c00();
  input += synapse0x2af09c40();
  input += synapse0x2af09c80();
  input += synapse0x2af09cc0();
  input += synapse0x2af09d00();
  input += synapse0x2af09d40();
  input += synapse0x2ec95650();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af07050() 
{
  double input = input0x2af07050();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af09e90() 
{
  double input = 2.45102;
  input += synapse0x25907820();
  input += synapse0x25907860();
  input += synapse0x259078a0();
  input += synapse0x259078e0();
  input += synapse0x25907920();
  input += synapse0x25907960();
  input += synapse0x259079a0();
  input += synapse0x259079e0();
  input += synapse0x25907a20();
  input += synapse0x2ec95690();
  input += synapse0x24007460();
  input += synapse0x240074a0();
  input += synapse0x240074e0();
  input += synapse0x24007520();
  input += synapse0x24007560();
  input += synapse0x240075a0();
  input += synapse0x25907670();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af09e90() 
{
  double input = input0x2af09e90();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2aedfd40() 
{
  double input = -0.0480421;
  input += synapse0x2aee0080();
  input += synapse0x2aee00c0();
  input += synapse0x259076b0();
  input += synapse0x2aee0100();
  input += synapse0x240076f0();
  input += synapse0x24007730();
  input += synapse0x24007770();
  input += synapse0x240077b0();
  input += synapse0x240077f0();
  input += synapse0x24007830();
  input += synapse0x2558af30();
  input += synapse0x2558af70();
  input += synapse0x2558afb0();
  input += synapse0x2558aff0();
  input += synapse0x2558b030();
  input += synapse0x2558b070();
  input += synapse0x2aedfed0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2aedfd40() 
{
  double input = input0x2aedfd40();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2558b1c0() 
{
  double input = -3.27741;
  input += synapse0x2aef5bc0();
  input += synapse0x2aef5c00();
  input += synapse0x2aef5c40();
  input += synapse0x2aef5c80();
  input += synapse0x2aef5cc0();
  input += synapse0x2aef5d00();
  input += synapse0x2aef5d40();
  input += synapse0x2aef5d80();
  input += synapse0x2aef5dc0();
  input += synapse0x2aedff10();
  input += synapse0x2ec8e170();
  input += synapse0x2ec8e1b0();
  input += synapse0x2ec8e1f0();
  input += synapse0x2ec8e230();
  input += synapse0x2ec8e270();
  input += synapse0x2ec8e2b0();
  input += synapse0x2aef5a10();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2558b1c0() 
{
  double input = input0x2558b1c0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2ec8e400() 
{
  double input = -2.43781;
  input += synapse0x2558a6a0();
  input += synapse0x2558a6e0();
  input += synapse0x2558a720();
  input += synapse0x2558a760();
  input += synapse0x2558a7a0();
  input += synapse0x2558a7e0();
  input += synapse0x2558a820();
  input += synapse0x2558a860();
  input += synapse0x2558a8a0();
  input += synapse0x2aef5a50();
  input += synapse0x2af00ce0();
  input += synapse0x2af00d20();
  input += synapse0x2af00d60();
  input += synapse0x2af00da0();
  input += synapse0x2af00de0();
  input += synapse0x2af00e20();
  input += synapse0x2558a4f0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2ec8e400() 
{
  double input = input0x2ec8e400();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af00f70() 
{
  double input = 3.46383;
  input += synapse0x2aedbfc0();
  input += synapse0x2aedc000();
  input += synapse0x2aedc040();
  input += synapse0x2aedc080();
  input += synapse0x2aedc0c0();
  input += synapse0x2aedc100();
  input += synapse0x2aedc140();
  input += synapse0x2aedc180();
  input += synapse0x2aedc1c0();
  input += synapse0x2558a530();
  input += synapse0x296044d0();
  input += synapse0x29604510();
  input += synapse0x29604550();
  input += synapse0x29604590();
  input += synapse0x296045d0();
  input += synapse0x29604610();
  input += synapse0x2aedbe10();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af00f70() 
{
  double input = input0x2af00f70();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x29604760() 
{
  double input = -1.52921;
  input += synapse0x2af2ab50();
  input += synapse0x2af2ab90();
  input += synapse0x2af2abd0();
  input += synapse0x2af2ac10();
  input += synapse0x2af2ac50();
  input += synapse0x2af2ac90();
  input += synapse0x2af2acd0();
  input += synapse0x2af2ad10();
  input += synapse0x2af2ad50();
  input += synapse0x2af2ad90();
  input += synapse0x2aedbe50();
  input += synapse0x23ff88c0();
  input += synapse0x23ff8900();
  input += synapse0x23ff8940();
  input += synapse0x23ff8980();
  input += synapse0x23ff89c0();
  input += synapse0x2af2a9a0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x29604760() 
{
  double input = input0x29604760();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x23ff8b10() 
{
  double input = 0.382665;
  input += synapse0x2af2a040();
  input += synapse0x2af2a080();
  input += synapse0x2af2a0c0();
  input += synapse0x2af2a100();
  input += synapse0x2af2a140();
  input += synapse0x2af2a180();
  input += synapse0x2af2a1c0();
  input += synapse0x2af2a200();
  input += synapse0x2af2a240();
  input += synapse0x2af2a280();
  input += synapse0x2af2a9e0();
  input += synapse0x23ff8ca0();
  input += synapse0x295ebb10();
  input += synapse0x295ebb50();
  input += synapse0x295ebb90();
  input += synapse0x295ebbd0();
  input += synapse0x2af29e90();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x23ff8b10() 
{
  double input = input0x23ff8b10();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x295ebd20() 
{
  double input = 0.231647;
  input += synapse0x255922e0();
  input += synapse0x25592320();
  input += synapse0x25592360();
  input += synapse0x255923a0();
  input += synapse0x255923e0();
  input += synapse0x25592420();
  input += synapse0x25592460();
  input += synapse0x255924a0();
  input += synapse0x255924e0();
  input += synapse0x25592520();
  input += synapse0x25592560();
  input += synapse0x2af29ed0();
  input += synapse0x255925a0();
  input += synapse0x295fc060();
  input += synapse0x295fc0a0();
  input += synapse0x295fc0e0();
  input += synapse0x295ebeb0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295ebd20() 
{
  double input = input0x295ebd20();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x295fc230() 
{
  double input = 0.880866;
  input += synapse0x295ebef0();
  input += synapse0x295fc450();
  input += synapse0x2559db00();
  input += synapse0x2559db40();
  input += synapse0x2ec90370();
  input += synapse0x2ec903b0();
  input += synapse0x25592f50();
  input += synapse0x25592f90();
  input += synapse0x255873a0();
  input += synapse0x255873e0();
  input += synapse0x2af28a50();
  input += synapse0x2af28a90();
  input += synapse0x2af15030();
  input += synapse0x2af15070();
  input += synapse0x2af036d0();
  input += synapse0x2af03710();
  input += synapse0x2aeef4d0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x295fc230() 
{
  double input = input0x295fc230();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2ec8ab20() 
{
  double input = -0.14535;
  input += synapse0x2ec8acb0();
  input += synapse0x2ec8acf0();
  input += synapse0x2ec8ad30();
  input += synapse0x2ec8ad70();
  input += synapse0x2ec8adb0();
  input += synapse0x2ec8adf0();
  input += synapse0x2ec8ae30();
  input += synapse0x2ec8ae70();
  input += synapse0x2ec8aeb0();
  input += synapse0x2ec8aef0();
  input += synapse0x2aeef510();
  input += synapse0x2aee33a0();
  input += synapse0x2aee33e0();
  input += synapse0x295f6360();
  input += synapse0x295f63a0();
  input += synapse0x2400e4a0();
  input += synapse0x2400e4e0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2ec8ab20() 
{
  double input = input0x2ec8ab20();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2cb55340() 
{
  double input = 1.95677;
  input += synapse0x2cb554d0();
  input += synapse0x2cb55510();
  input += synapse0x2cb55550();
  input += synapse0x2cb55590();
  input += synapse0x2cb555d0();
  input += synapse0x2cb55610();
  input += synapse0x295f21b0();
  input += synapse0x295f21f0();
  input += synapse0x255dc270();
  input += synapse0x255dc2b0();
  input += synapse0x255d65a0();
  input += synapse0x255d65e0();
  input += synapse0x255d6620();
  input += synapse0x255d6660();
  input += synapse0x255d66a0();
  input += synapse0x255d66e0();
  input += synapse0x24009480();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2cb55340() 
{
  double input = input0x2cb55340();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255d6830() 
{
  double input = 0.790699;
  input += synapse0x255a3490();
  input += synapse0x255a34d0();
  input += synapse0x255a3510();
  input += synapse0x255a3550();
  input += synapse0x255a3590();
  input += synapse0x255a35d0();
  input += synapse0x255a3610();
  input += synapse0x255a3650();
  input += synapse0x255a3690();
  input += synapse0x240094c0();
  input += synapse0x255a36d0();
  input += synapse0x26011980();
  input += synapse0x260119c0();
  input += synapse0x26011a00();
  input += synapse0x26011a40();
  input += synapse0x26011a80();
  input += synapse0x255a32e0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255d6830() 
{
  double input = input0x255d6830();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x26011bd0() 
{
  double input = -1.68267;
  input += synapse0x25c8c910();
  input += synapse0x25c8c950();
  input += synapse0x25c8c990();
  input += synapse0x25c8c9d0();
  input += synapse0x25c8ca10();
  input += synapse0x25c8ca50();
  input += synapse0x25c8ca90();
  input += synapse0x25c8cad0();
  input += synapse0x25c8cb10();
  input += synapse0x255a3320();
  input += synapse0x25c8cb50();
  input += synapse0x26011d60();
  input += synapse0x29602620();
  input += synapse0x29602660();
  input += synapse0x296026a0();
  input += synapse0x296026e0();
  input += synapse0x25c8c760();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x26011bd0() 
{
  double input = input0x26011bd0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x29602830() 
{
  double input = 0.695353;
  input += synapse0x255c8190();
  input += synapse0x255c81d0();
  input += synapse0x255c8210();
  input += synapse0x255c8250();
  input += synapse0x255c8290();
  input += synapse0x255c82d0();
  input += synapse0x255c8310();
  input += synapse0x255c8350();
  input += synapse0x255c8390();
  input += synapse0x255c83d0();
  input += synapse0x255c8410();
  input += synapse0x25c8c7a0();
  input += synapse0x255c8450();
  input += synapse0x255b5b90();
  input += synapse0x255b5bd0();
  input += synapse0x255b5c10();
  input += synapse0x296029c0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x29602830() 
{
  double input = input0x29602830();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255b5d60() 
{
  double input = 1.30162;
  input += synapse0x255979f0();
  input += synapse0x25597a30();
  input += synapse0x25597a70();
  input += synapse0x25597ab0();
  input += synapse0x25597af0();
  input += synapse0x25597b30();
  input += synapse0x25597b70();
  input += synapse0x25597bb0();
  input += synapse0x25597bf0();
  input += synapse0x25597c30();
  input += synapse0x25597c70();
  input += synapse0x255b5f80();
  input += synapse0x29602a00();
  input += synapse0x25597cb0();
  input += synapse0x2541af30();
  input += synapse0x2541af70();
  input += synapse0x255b5ef0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255b5d60() 
{
  double input = input0x255b5d60();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255bd660() 
{
  double input = -0.346829;
  input += synapse0x255bd7f0();
  input += synapse0x255bd830();
  input += synapse0x255bd870();
  input += synapse0x255bd8b0();
  input += synapse0x255bd8f0();
  input += synapse0x255bd930();
  input += synapse0x255bd970();
  input += synapse0x255bd9b0();
  input += synapse0x255bd9f0();
  input += synapse0x255bda30();
  input += synapse0x255b5f30();
  input += synapse0x26363f80();
  input += synapse0x26363fc0();
  input += synapse0x2ec95770();
  input += synapse0x2ec957b0();
  input += synapse0x25907790();
  input += synapse0x259077d0();
  input += synapse0x2aedfff0();
  input += synapse0x2aee0030();
  input += synapse0x2aef5b30();
  input += synapse0x2aef5b70();
  input += synapse0x2558a610();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255bd660() 
{
  double input = input0x255bd660();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255a82d0() 
{
  double input = -0.305746;
  input += synapse0x255a8460();
  input += synapse0x255a84a0();
  input += synapse0x255a84e0();
  input += synapse0x255a8520();
  input += synapse0x255a8560();
  input += synapse0x2558a650();
  input += synapse0x255a85a0();
  input += synapse0x25592250();
  input += synapse0x25592290();
  input += synapse0x259bbdd0();
  input += synapse0x259bbe10();
  input += synapse0x255b0880();
  input += synapse0x255b08c0();
  input += synapse0x295fc3c0();
  input += synapse0x295fc400();
  input += synapse0x255a3400();
  input += synapse0x255a3440();
  input += synapse0x25c8c880();
  input += synapse0x25c8c8c0();
  input += synapse0x255c8100();
  input += synapse0x255c8140();
  input += synapse0x25597960();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255a82d0() 
{
  double input = input0x255a82d0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255a2430() 
{
  double input = 0.594101;
  input += synapse0x255a2650();
  input += synapse0x255a2690();
  input += synapse0x255a26d0();
  input += synapse0x255979a0();
  input += synapse0x255a2710();
  input += synapse0x2ec90490();
  input += synapse0x2ec904d0();
  input += synapse0x2ec90510();
  input += synapse0x255dc390();
  input += synapse0x255dc3d0();
  input += synapse0x255dc410();
  input += synapse0x2af037f0();
  input += synapse0x2af03830();
  input += synapse0x2af03870();
  input += synapse0x2ec94c70();
  input += synapse0x2ec94cb0();
  input += synapse0x2541b2e0();
  input += synapse0x2541b320();
  input += synapse0x2ec94e00();
  input += synapse0x2ec94e40();
  input += synapse0x2ec94e80();
  input += synapse0x2ec94ec0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255a2430() 
{
  double input = input0x255a2430();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2ec94f00() 
{
  double input = 0.619978;
  input += synapse0x2b0f7340();
  input += synapse0x2b0f7380();
  input += synapse0x2b0f73c0();
  input += synapse0x2b0f7400();
  input += synapse0x2b0f7440();
  input += synapse0x2b0f7480();
  input += synapse0x2b0f74c0();
  input += synapse0x2b0f7500();
  input += synapse0x2b0f7540();
  input += synapse0x2b0f7580();
  input += synapse0x253c0f30();
  input += synapse0x253c0f70();
  input += synapse0x253c0fb0();
  input += synapse0x253c0ff0();
  input += synapse0x253c1030();
  input += synapse0x253c1070();
  input += synapse0x2b0f7190();
  input += synapse0x2b0f71d0();
  input += synapse0x253c11c0();
  input += synapse0x253c1200();
  input += synapse0x253c1240();
  input += synapse0x253c1280();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2ec94f00() 
{
  double input = input0x2ec94f00();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x25c32760() 
{
  double input = 0.0750658;
  input += synapse0x25c32aa0();
  input += synapse0x25c32ae0();
  input += synapse0x25c32b20();
  input += synapse0x25c32b60();
  input += synapse0x253c12c0();
  input += synapse0x253c1300();
  input += synapse0x25853b50();
  input += synapse0x25853b90();
  input += synapse0x25853bd0();
  input += synapse0x25853c10();
  input += synapse0x25853c50();
  input += synapse0x25853c90();
  input += synapse0x25853cd0();
  input += synapse0x25853d10();
  input += synapse0x25853d50();
  input += synapse0x25853d90();
  input += synapse0x25c328f0();
  input += synapse0x25c32930();
  input += synapse0x25853ee0();
  input += synapse0x25853f20();
  input += synapse0x26366750();
  input += synapse0x26366790();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25c32760() 
{
  double input = input0x25c32760();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x263667d0() 
{
  double input = 0.265731;
  input += synapse0x26366b10();
  input += synapse0x26366b50();
  input += synapse0x26288610();
  input += synapse0x26288650();
  input += synapse0x26288690();
  input += synapse0x262886d0();
  input += synapse0x26288710();
  input += synapse0x26288750();
  input += synapse0x26288790();
  input += synapse0x262887d0();
  input += synapse0x26288810();
  input += synapse0x26288850();
  input += synapse0x26288890();
  input += synapse0x262888d0();
  input += synapse0x26288910();
  input += synapse0x26288950();
  input += synapse0x26366960();
  input += synapse0x263669a0();
  input += synapse0x26288990();
  input += synapse0x262889d0();
  input += synapse0x26288a10();
  input += synapse0x240142f0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x263667d0() 
{
  double input = input0x263667d0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x24014330() 
{
  double input = 0.986824;
  input += synapse0x240145e0();
  input += synapse0x255d75f0();
  input += synapse0x255d7630();
  input += synapse0x255d7670();
  input += synapse0x255d76b0();
  input += synapse0x255d76f0();
  input += synapse0x255d7730();
  input += synapse0x255d7770();
  input += synapse0x255d77b0();
  input += synapse0x255d77f0();
  input += synapse0x255d7830();
  input += synapse0x255d7870();
  input += synapse0x255d78b0();
  input += synapse0x255d78f0();
  input += synapse0x255d7930();
  input += synapse0x27493780();
  input += synapse0x240144c0();
  input += synapse0x24014500();
  input += synapse0x274938d0();
  input += synapse0x27493910();
  input += synapse0x27493950();
  input += synapse0x27493990();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x24014330() 
{
  double input = input0x24014330();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255c9030() 
{
  double input = 1.14931;
  input += synapse0x255c9370();
  input += synapse0x255c93b0();
  input += synapse0x255c93f0();
  input += synapse0x255c9430();
  input += synapse0x274939d0();
  input += synapse0x27493a10();
  input += synapse0x27493a50();
  input += synapse0x255c05e0();
  input += synapse0x255c0620();
  input += synapse0x255c0660();
  input += synapse0x255c06a0();
  input += synapse0x255c06e0();
  input += synapse0x255c0720();
  input += synapse0x255c0760();
  input += synapse0x255c07a0();
  input += synapse0x255c07e0();
  input += synapse0x255c91c0();
  input += synapse0x255c9200();
  input += synapse0x255c0930();
  input += synapse0x255c0970();
  input += synapse0x255c09b0();
  input += synapse0x255b4bd0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255c9030() 
{
  double input = input0x255c9030();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255b4c10() 
{
  double input = -0.393796;
  input += synapse0x255b4f50();
  input += synapse0x255b4f90();
  input += synapse0x255b4fd0();
  input += synapse0x255a42a0();
  input += synapse0x255a42e0();
  input += synapse0x255a4320();
  input += synapse0x255a4360();
  input += synapse0x255a43a0();
  input += synapse0x255a43e0();
  input += synapse0x255a4420();
  input += synapse0x255a4460();
  input += synapse0x255a44a0();
  input += synapse0x255a44e0();
  input += synapse0x255a4520();
  input += synapse0x255a4560();
  input += synapse0x255a45a0();
  input += synapse0x255b4da0();
  input += synapse0x255b4de0();
  input += synapse0x255a45e0();
  input += synapse0x255a4620();
  input += synapse0x255a4660();
  input += synapse0x255a46a0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255b4c10() 
{
  double input = input0x255b4c10();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255989a0() 
{
  double input = -0.139691;
  input += synapse0x2ec95cc0();
  input += synapse0x2ec95d00();
  input += synapse0x2ec95d40();
  input += synapse0x2ec95d80();
  input += synapse0x2ec95dc0();
  input += synapse0x2ec95e00();
  input += synapse0x2ec95e40();
  input += synapse0x2ec95e80();
  input += synapse0x2ec95ec0();
  input += synapse0x2ec95f00();
  input += synapse0x2ec95f40();
  input += synapse0x2ec95f80();
  input += synapse0x2ec95fc0();
  input += synapse0x2ec96000();
  input += synapse0x25598c50();
  input += synapse0x25598c90();
  input += synapse0x25598b30();
  input += synapse0x25598b70();
  input += synapse0x25bd7ef0();
  input += synapse0x25bd7f30();
  input += synapse0x25bd7f70();
  input += synapse0x25bd7fb0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255989a0() 
{
  double input = input0x255989a0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x25bd7ff0() 
{
  double input = 0.385605;
  input += synapse0x25367050();
  input += synapse0x25367090();
  input += synapse0x253670d0();
  input += synapse0x25367110();
  input += synapse0x25367150();
  input += synapse0x25367190();
  input += synapse0x253671d0();
  input += synapse0x25367210();
  input += synapse0x25367250();
  input += synapse0x25367290();
  input += synapse0x253672d0();
  input += synapse0x25367310();
  input += synapse0x260114f0();
  input += synapse0x26011530();
  input += synapse0x26011570();
  input += synapse0x260115b0();
  input += synapse0x25bd8180();
  input += synapse0x25bd81c0();
  input += synapse0x26011700();
  input += synapse0x26011740();
  input += synapse0x26011780();
  input += synapse0x260117c0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25bd7ff0() 
{
  double input = input0x25bd7ff0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x25a70160() 
{
  double input = 0.613873;
  input += synapse0x25a704a0();
  input += synapse0x25a704e0();
  input += synapse0x25a70520();
  input += synapse0x25a70560();
  input += synapse0x26011800();
  input += synapse0x26011840();
  input += synapse0x26011880();
  input += synapse0x260118c0();
  input += synapse0x26179f60();
  input += synapse0x26179fa0();
  input += synapse0x26179fe0();
  input += synapse0x2617a020();
  input += synapse0x2617a060();
  input += synapse0x2617a0a0();
  input += synapse0x2617a0e0();
  input += synapse0x2617a120();
  input += synapse0x25a702f0();
  input += synapse0x25a70330();
  input += synapse0x2617a270();
  input += synapse0x2617a2b0();
  input += synapse0x2617a2f0();
  input += synapse0x2617a330();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x25a70160() 
{
  double input = input0x25a70160();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255dd5a0() 
{
  double input = 0.0310081;
  input += synapse0x255dd8e0();
  input += synapse0x255dd920();
  input += synapse0x255dd960();
  input += synapse0x255dd9a0();
  input += synapse0x255d9530();
  input += synapse0x255d9570();
  input += synapse0x255d95b0();
  input += synapse0x255d95f0();
  input += synapse0x255d9630();
  input += synapse0x255d9670();
  input += synapse0x255d96b0();
  input += synapse0x255d96f0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255dd5a0() 
{
  double input = input0x255dd5a0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x255d9730() 
{
  double input = -0.738278;
  input += synapse0x255af210();
  input += synapse0x255af250();
  input += synapse0x255af290();
  input += synapse0x255af2d0();
  input += synapse0x255af310();
  input += synapse0x255af350();
  input += synapse0x255af390();
  input += synapse0x255af3d0();
  input += synapse0x255af410();
  input += synapse0x255af450();
  input += synapse0x255af490();
  input += synapse0x255af4d0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x255d9730() 
{
  double input = input0x255d9730();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x259bc1d0() 
{
  double input = 0.767379;
  input += synapse0x259bc510();
  input += synapse0x259bc550();
  input += synapse0x259bc590();
  input += synapse0x259bc5d0();
  input += synapse0x2558c380();
  input += synapse0x2558c3c0();
  input += synapse0x2558c400();
  input += synapse0x2558c440();
  input += synapse0x2558c480();
  input += synapse0x2558c4c0();
  input += synapse0x2558c500();
  input += synapse0x2558c540();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x259bc1d0() 
{
  double input = input0x259bc1d0();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2558c580() 
{
  double input = -0.332136;
  input += synapse0x2af024e0();
  input += synapse0x2af02520();
  input += synapse0x2af02560();
  input += synapse0x2af025a0();
  input += synapse0x2af025e0();
  input += synapse0x2af02620();
  input += synapse0x2af02660();
  input += synapse0x2af026a0();
  input += synapse0x2af026e0();
  input += synapse0x2af02720();
  input += synapse0x2af02760();
  input += synapse0x2af027a0();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2558c580() 
{
  double input = input0x2558c580();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2559e790() 
{
  double input = 0.438809;
  input += synapse0x2559ead0();
  input += synapse0x2559eb10();
  input += synapse0x2559eb50();
  input += synapse0x2559eb90();
  input += synapse0x2af27740();
  input += synapse0x2af27780();
  input += synapse0x2af277c0();
  input += synapse0x2af27800();
  input += synapse0x2af27840();
  input += synapse0x2af27880();
  input += synapse0x2af278c0();
  input += synapse0x2af27900();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2559e790() 
{
  double input = input0x2559e790();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af27940() 
{
  double input = 0.0302949;
  input += synapse0x255d4b40();
  input += synapse0x255d4b80();
  input += synapse0x255d4bc0();
  input += synapse0x255d4c00();
  input += synapse0x255d4c40();
  input += synapse0x255d4c80();
  input += synapse0x255d4cc0();
  input += synapse0x255d4d00();
  input += synapse0x255d4d40();
  input += synapse0x255d4d80();
  input += synapse0x255d4dc0();
  input += synapse0x255d4e00();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af27940() 
{
  double input = input0x2af27940();
  return ((input < -709. ? 0. : (1/(1+exp(-input)))) * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::input0x2af165a0() 
{
  double input = -0.20072;
  input += synapse0x2af168e0();
  input += synapse0x2af16920();
  input += synapse0x2af16960();
  input += synapse0x2af169a0();
  input += synapse0x295f8f10();
  input += synapse0x295f8f50();
  return input;
}

double TMVAClassification_TMlpANN_WithENu::neuron0x2af165a0() 
{
  double input = input0x2af165a0();
  return (input * 1)+0;
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400c340() 
{
  return (neuron0x28cbe110()*0.149561);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274a7030() 
{
  return (neuron0x2ec90150()*0.185958);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2c290aa0() 
{
  return (neuron0x25592d30()*0.14012);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29b11950() 
{
  return (neuron0x25587180()*0.261212);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x1fabc330() 
{
  return (neuron0x2af28830()*-0.0793771);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274c7100() 
{
  return (neuron0x2af14e10()*-0.00417712);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274b0650() 
{
  return (neuron0x2af034b0()*-0.189518);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400efe0() 
{
  return (neuron0x2aeef2b0()*0.150651);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274ad030() 
{
  return (neuron0x255dc050()*-0.0583678);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2573f8a0() 
{
  return (neuron0x255caf90()*0.0254681);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aeeeac0() 
{
  return (neuron0x255b0660()*0.0791973);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dae60() 
{
  return (neuron0x2aee3180()*0.0385681);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af1fcd0() 
{
  return (neuron0x295f6140()*0.141626);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26ed8480() 
{
  return (neuron0x2400e280()*0.350104);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2bda1d70() 
{
  return (neuron0x24009260()*-0.120993);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2a778b70() 
{
  return (neuron0x295e7ea0()*-0.0272584);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d5410() 
{
  return (neuron0x295f1f90()*-2.59688);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x1f9d40a0() 
{
  return (neuron0x28cbe110()*-0.280623);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x282e4b20() 
{
  return (neuron0x2ec90150()*0.216703);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2abb0a30() 
{
  return (neuron0x25592d30()*0.347955);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2be56430() 
{
  return (neuron0x25587180()*0.158624);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29b145f0() 
{
  return (neuron0x2af28830()*0.382228);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274c4b70() 
{
  return (neuron0x2af14e10()*0.332763);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29b0fb90() 
{
  return (neuron0x2af034b0()*-0.374183);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d2dd0() 
{
  return (neuron0x2aeef2b0()*0.249937);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29b154d0() 
{
  return (neuron0x255dc050()*0.0530167);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29ad0890() 
{
  return (neuron0x255caf90()*-0.0576897);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29b00460() 
{
  return (neuron0x255b0660()*-0.80436);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a9520() 
{
  return (neuron0x2aee3180()*0.56359);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296024a0() 
{
  return (neuron0x295f6140()*-3.08813);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2a124060() 
{
  return (neuron0x2400e280()*-0.216205);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d6350() 
{
  return (neuron0x24009260()*1.2901);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29afd7c0() 
{
  return (neuron0x295e7ea0()*1.83734);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f91d0() 
{
  return (neuron0x295f1f90()*-0.472579);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ee0a0() 
{
  return (neuron0x28cbe110()*-0.0901411);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ee0e0() 
{
  return (neuron0x2ec90150()*0.171372);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ee120() 
{
  return (neuron0x25592d30()*-0.196799);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ee160() 
{
  return (neuron0x25587180()*-0.287741);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ff700() 
{
  return (neuron0x2af28830()*6.37264e-05);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x261d4910() 
{
  return (neuron0x2af14e10()*0.197586);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29606b90() 
{
  return (neuron0x2af034b0()*-0.395846);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af1f700() 
{
  return (neuron0x2aeef2b0()*-0.295332);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ba77360() 
{
  return (neuron0x255dc050()*0.547901);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2c345c00() 
{
  return (neuron0x255caf90()*-0.348546);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b421d20() 
{
  return (neuron0x255b0660()*-0.494599);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b90eef0() 
{
  return (neuron0x2aee3180()*-0.478123);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ee1a0() 
{
  return (neuron0x295f6140()*-0.116284);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559db90() 
{
  return (neuron0x2400e280()*1.38139);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558e180() 
{
  return (neuron0x24009260()*-0.166448);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558e1c0() 
{
  return (neuron0x295e7ea0()*-0.370331);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec949d0() 
{
  return (neuron0x295f1f90()*0.311699);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26364010() 
{
  return (neuron0x28cbe110()*0.81359);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26364050() 
{
  return (neuron0x2ec90150()*-0.511796);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94a10() 
{
  return (neuron0x25592d30()*-1.59344);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26364090() 
{
  return (neuron0x25587180()*0.929051);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25593070() 
{
  return (neuron0x2af28830()*1.33612);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255930b0() 
{
  return (neuron0x2af14e10()*1.40829);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255930f0() 
{
  return (neuron0x2af034b0()*-1.51884);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255874c0() 
{
  return (neuron0x2aeef2b0()*-2.26964);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25587500() 
{
  return (neuron0x255dc050()*0.21273);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25587540() 
{
  return (neuron0x255caf90()*-0.730243);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af28b70() 
{
  return (neuron0x255b0660()*-0.856197);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af28bb0() 
{
  return (neuron0x2aee3180()*-1.01713);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af28bf0() 
{
  return (neuron0x295f6140()*0.511192);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af15150() 
{
  return (neuron0x2400e280()*-0.065482);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af15190() 
{
  return (neuron0x24009260()*0.657564);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af151d0() 
{
  return (neuron0x295e7ea0()*-0.0799016);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26363e60() 
{
  return (neuron0x295f1f90()*-0.125512);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26363ea0() 
{
  return (neuron0x28cbe110()*-0.607025);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25596710() 
{
  return (neuron0x2ec90150()*-0.111819);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255cb2d0() 
{
  return (neuron0x25592d30()*-1.72537);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255cb310() 
{
  return (neuron0x25587180()*-2.4974);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255cb350() 
{
  return (neuron0x2af28830()*-1.20495);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b09a0() 
{
  return (neuron0x2af14e10()*-0.333686);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b09e0() 
{
  return (neuron0x2af034b0()*4.63672);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b0a20() 
{
  return (neuron0x2aeef2b0()*0.43289);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee34c0() 
{
  return (neuron0x255dc050()*-1.70287);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee3500() 
{
  return (neuron0x255caf90()*0.620284);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee3540() 
{
  return (neuron0x255b0660()*-0.281658);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f6480() 
{
  return (neuron0x2aee3180()*-0.166073);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f64c0() 
{
  return (neuron0x295f6140()*-0.0359497);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f6500() 
{
  return (neuron0x2400e280()*-0.10379);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400e5c0() 
{
  return (neuron0x24009260()*-0.423266);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400e600() 
{
  return (neuron0x295e7ea0()*-0.512942);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400e640() 
{
  return (neuron0x295f1f90()*-0.148754);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2f080() 
{
  return (neuron0x28cbe110()*0.211841);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240095a0() 
{
  return (neuron0x2ec90150()*-0.773826);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240095e0() 
{
  return (neuron0x25592d30()*-1.44447);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24009620() 
{
  return (neuron0x25587180()*0.610747);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295e81e0() 
{
  return (neuron0x2af28830()*-0.40265);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295e8220() 
{
  return (neuron0x2af14e10()*-0.396);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295e8260() 
{
  return (neuron0x2af034b0()*-0.783219);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f22d0() 
{
  return (neuron0x2aeef2b0()*0.0519413);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f2310() 
{
  return (neuron0x255dc050()*0.00059672);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f2350() 
{
  return (neuron0x255caf90()*0.222582);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06dc0() 
{
  return (neuron0x255b0660()*0.67197);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06e00() 
{
  return (neuron0x2aee3180()*0.0144136);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06e40() 
{
  return (neuron0x295f6140()*-0.0256827);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06e80() 
{
  return (neuron0x2400e280()*-0.0926827);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06ec0() 
{
  return (neuron0x24009260()*1.28093);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af06f00() 
{
  return (neuron0x295e7ea0()*0.0104999);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ef60() 
{
  return (neuron0x295f1f90()*-2.34475);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95800() 
{
  return (neuron0x28cbe110()*2.04661);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95840() 
{
  return (neuron0x2ec90150()*0.922893);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95880() 
{
  return (neuron0x25592d30()*0.0260814);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec958c0() 
{
  return (neuron0x25587180()*-0.443058);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95900() 
{
  return (neuron0x2af28830()*-2.84393);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95940() 
{
  return (neuron0x2af14e10()*-2.15093);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95980() 
{
  return (neuron0x2af034b0()*-0.772016);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec959c0() 
{
  return (neuron0x2aeef2b0()*0.312408);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95a00() 
{
  return (neuron0x255dc050()*-0.370808);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2efa0() 
{
  return (neuron0x255caf90()*0.0556652);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09c00() 
{
  return (neuron0x255b0660()*0.317926);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09c40() 
{
  return (neuron0x2aee3180()*0.160659);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09c80() 
{
  return (neuron0x295f6140()*0.29561);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09cc0() 
{
  return (neuron0x2400e280()*-0.0647385);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09d00() 
{
  return (neuron0x24009260()*0.189824);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af09d40() 
{
  return (neuron0x295e7ea0()*0.240018);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95650() 
{
  return (neuron0x295f1f90()*0.196795);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907820() 
{
  return (neuron0x28cbe110()*0.0516543);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907860() 
{
  return (neuron0x2ec90150()*0.255644);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259078a0() 
{
  return (neuron0x25592d30()*2.34225);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259078e0() 
{
  return (neuron0x25587180()*0.809591);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907920() 
{
  return (neuron0x2af28830()*0.1662);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907960() 
{
  return (neuron0x2af14e10()*-0.317867);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259079a0() 
{
  return (neuron0x2af034b0()*0.332884);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259079e0() 
{
  return (neuron0x2aeef2b0()*1.43488);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907a20() 
{
  return (neuron0x255dc050()*-0.136563);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95690() 
{
  return (neuron0x255caf90()*0.368268);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007460() 
{
  return (neuron0x255b0660()*0.64624);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240074a0() 
{
  return (neuron0x2aee3180()*-0.0797883);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240074e0() 
{
  return (neuron0x295f6140()*-0.575004);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007520() 
{
  return (neuron0x2400e280()*1.25198);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007560() 
{
  return (neuron0x24009260()*0.585016);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240075a0() 
{
  return (neuron0x295e7ea0()*0.211571);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907670() 
{
  return (neuron0x295f1f90()*-0.453414);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee0080() 
{
  return (neuron0x28cbe110()*0.613078);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee00c0() 
{
  return (neuron0x2ec90150()*0.734681);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259076b0() 
{
  return (neuron0x25592d30()*0.13085);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee0100() 
{
  return (neuron0x25587180()*0.750294);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240076f0() 
{
  return (neuron0x2af28830()*1.03658);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007730() 
{
  return (neuron0x2af14e10()*0.094309);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007770() 
{
  return (neuron0x2af034b0()*0.571208);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240077b0() 
{
  return (neuron0x2aeef2b0()*-0.61462);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240077f0() 
{
  return (neuron0x255dc050()*0.493448);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24007830() 
{
  return (neuron0x255caf90()*-0.497884);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558af30() 
{
  return (neuron0x255b0660()*-0.330045);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558af70() 
{
  return (neuron0x2aee3180()*-0.160303);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558afb0() 
{
  return (neuron0x295f6140()*1.19555);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558aff0() 
{
  return (neuron0x2400e280()*0.173589);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558b030() 
{
  return (neuron0x24009260()*0.43289);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558b070() 
{
  return (neuron0x295e7ea0()*-0.788063);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedfed0() 
{
  return (neuron0x295f1f90()*0.705133);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5bc0() 
{
  return (neuron0x28cbe110()*-0.0988112);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5c00() 
{
  return (neuron0x2ec90150()*-0.333606);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5c40() 
{
  return (neuron0x25592d30()*-0.625746);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5c80() 
{
  return (neuron0x25587180()*0.458357);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5cc0() 
{
  return (neuron0x2af28830()*-0.100604);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5d00() 
{
  return (neuron0x2af14e10()*-0.00523957);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5d40() 
{
  return (neuron0x2af034b0()*0.503105);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5d80() 
{
  return (neuron0x2aeef2b0()*-0.0229484);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5dc0() 
{
  return (neuron0x255dc050()*-0.314771);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedff10() 
{
  return (neuron0x255caf90()*-0.173843);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e170() 
{
  return (neuron0x255b0660()*0.465716);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e1b0() 
{
  return (neuron0x2aee3180()*0.481475);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e1f0() 
{
  return (neuron0x295f6140()*-0.0534728);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e230() 
{
  return (neuron0x2400e280()*-0.0525672);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e270() 
{
  return (neuron0x24009260()*-0.211674);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8e2b0() 
{
  return (neuron0x295e7ea0()*1.21821);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5a10() 
{
  return (neuron0x295f1f90()*-3.00755);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a6a0() 
{
  return (neuron0x28cbe110()*0.0447531);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a6e0() 
{
  return (neuron0x2ec90150()*-0.810833);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a720() 
{
  return (neuron0x25592d30()*-1.9627);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a760() 
{
  return (neuron0x25587180()*1.19292);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a7a0() 
{
  return (neuron0x2af28830()*1.71691);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a7e0() 
{
  return (neuron0x2af14e10()*0.690304);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a820() 
{
  return (neuron0x2af034b0()*-2.90013);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a860() 
{
  return (neuron0x2aeef2b0()*-0.976601);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a8a0() 
{
  return (neuron0x255dc050()*-0.673481);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5a50() 
{
  return (neuron0x255caf90()*-0.708148);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00ce0() 
{
  return (neuron0x255b0660()*-0.58796);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00d20() 
{
  return (neuron0x2aee3180()*-0.777089);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00d60() 
{
  return (neuron0x295f6140()*-0.129692);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00da0() 
{
  return (neuron0x2400e280()*-0.452064);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00de0() 
{
  return (neuron0x24009260()*-0.872846);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af00e20() 
{
  return (neuron0x295e7ea0()*-0.536618);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a4f0() 
{
  return (neuron0x295f1f90()*-2.41916);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedbfc0() 
{
  return (neuron0x28cbe110()*0.0911663);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc000() 
{
  return (neuron0x2ec90150()*-0.34788);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc040() 
{
  return (neuron0x25592d30()*2.91234);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc080() 
{
  return (neuron0x25587180()*-0.23323);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc0c0() 
{
  return (neuron0x2af28830()*-0.318301);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc100() 
{
  return (neuron0x2af14e10()*-1.03502);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc140() 
{
  return (neuron0x2af034b0()*-1.43336);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc180() 
{
  return (neuron0x2aeef2b0()*-0.810908);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedc1c0() 
{
  return (neuron0x255dc050()*1.0829);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a530() 
{
  return (neuron0x255caf90()*-0.488608);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296044d0() 
{
  return (neuron0x255b0660()*1.50702);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29604510() 
{
  return (neuron0x2aee3180()*0.39767);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29604550() 
{
  return (neuron0x295f6140()*-0.208877);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29604590() 
{
  return (neuron0x2400e280()*0.0964241);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296045d0() 
{
  return (neuron0x24009260()*-0.593175);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29604610() 
{
  return (neuron0x295e7ea0()*0.777124);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedbe10() 
{
  return (neuron0x295f1f90()*1.16866);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ab50() 
{
  return (neuron0x28cbe110()*-2.81831);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ab90() 
{
  return (neuron0x2ec90150()*-0.0130656);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2abd0() 
{
  return (neuron0x25592d30()*-0.243722);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ac10() 
{
  return (neuron0x25587180()*-1.36009);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ac50() 
{
  return (neuron0x2af28830()*-0.486827);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ac90() 
{
  return (neuron0x2af14e10()*0.0509849);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2acd0() 
{
  return (neuron0x2af034b0()*2.57802);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ad10() 
{
  return (neuron0x2aeef2b0()*0.378807);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ad50() 
{
  return (neuron0x255dc050()*-0.195639);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2ad90() 
{
  return (neuron0x255caf90()*-0.85613);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedbe50() 
{
  return (neuron0x255b0660()*-0.420231);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff88c0() 
{
  return (neuron0x2aee3180()*-0.209828);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff8900() 
{
  return (neuron0x295f6140()*-0.217171);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff8940() 
{
  return (neuron0x2400e280()*0.104931);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff8980() 
{
  return (neuron0x24009260()*0.0521339);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff89c0() 
{
  return (neuron0x295e7ea0()*-0.0204402);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a9a0() 
{
  return (neuron0x295f1f90()*0.25973);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a040() 
{
  return (neuron0x28cbe110()*-0.577626);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a080() 
{
  return (neuron0x2ec90150()*-0.000465509);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a0c0() 
{
  return (neuron0x25592d30()*0.197237);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a100() 
{
  return (neuron0x25587180()*0.439926);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a140() 
{
  return (neuron0x2af28830()*0.534674);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a180() 
{
  return (neuron0x2af14e10()*-0.0318959);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a1c0() 
{
  return (neuron0x2af034b0()*0.264186);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a200() 
{
  return (neuron0x2aeef2b0()*0.292547);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a240() 
{
  return (neuron0x255dc050()*-0.707314);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a280() 
{
  return (neuron0x255caf90()*0.0597376);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af2a9e0() 
{
  return (neuron0x255b0660()*0.993581);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x23ff8ca0() 
{
  return (neuron0x2aee3180()*0.0440946);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebb10() 
{
  return (neuron0x295f6140()*-0.252564);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebb50() 
{
  return (neuron0x2400e280()*-3.47807);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebb90() 
{
  return (neuron0x24009260()*0.130895);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebbd0() 
{
  return (neuron0x295e7ea0()*0.109116);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af29e90() 
{
  return (neuron0x295f1f90()*-0.0834024);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255922e0() 
{
  return (neuron0x28cbe110()*-0.841398);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592320() 
{
  return (neuron0x2ec90150()*0.170843);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592360() 
{
  return (neuron0x25592d30()*1.14077);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255923a0() 
{
  return (neuron0x25587180()*-0.0793608);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255923e0() 
{
  return (neuron0x2af28830()*-1.67219);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592420() 
{
  return (neuron0x2af14e10()*-0.37311);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592460() 
{
  return (neuron0x2af034b0()*-1.38209);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255924a0() 
{
  return (neuron0x2aeef2b0()*0.78707);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255924e0() 
{
  return (neuron0x255dc050()*-0.536975);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592520() 
{
  return (neuron0x255caf90()*-0.205265);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592560() 
{
  return (neuron0x255b0660()*0.329801);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af29ed0() 
{
  return (neuron0x2aee3180()*-0.0307206);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255925a0() 
{
  return (neuron0x295f6140()*-0.0829784);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc060() 
{
  return (neuron0x2400e280()*-0.315988);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc0a0() 
{
  return (neuron0x24009260()*0.0513285);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc0e0() 
{
  return (neuron0x295e7ea0()*-2.42239);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebeb0() 
{
  return (neuron0x295f1f90()*-1.29729);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295ebef0() 
{
  return (neuron0x28cbe110()*-0.0853456);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc450() 
{
  return (neuron0x2ec90150()*0.45699);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559db00() 
{
  return (neuron0x25592d30()*-0.517898);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559db40() 
{
  return (neuron0x25587180()*0.430757);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec90370() 
{
  return (neuron0x2af28830()*-0.319333);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec903b0() 
{
  return (neuron0x2af14e10()*0.553995);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592f50() 
{
  return (neuron0x2af034b0()*0.958226);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592f90() 
{
  return (neuron0x2aeef2b0()*-0.126902);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255873a0() 
{
  return (neuron0x255dc050()*-0.4664);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255873e0() 
{
  return (neuron0x255caf90()*0.502647);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af28a50() 
{
  return (neuron0x255b0660()*2.16944);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af28a90() 
{
  return (neuron0x2aee3180()*0.324953);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af15030() 
{
  return (neuron0x295f6140()*-0.71758);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af15070() 
{
  return (neuron0x2400e280()*-0.197301);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af036d0() 
{
  return (neuron0x24009260()*-1.41751);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af03710() 
{
  return (neuron0x295e7ea0()*-0.73108);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aeef4d0() 
{
  return (neuron0x295f1f90()*1.73196);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8acb0() 
{
  return (neuron0x28cbe110()*-0.317503);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8acf0() 
{
  return (neuron0x2ec90150()*0.286937);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8ad30() 
{
  return (neuron0x25592d30()*-0.743219);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8ad70() 
{
  return (neuron0x25587180()*1.50218);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8adb0() 
{
  return (neuron0x2af28830()*0.641341);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8adf0() 
{
  return (neuron0x2af14e10()*0.362667);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8ae30() 
{
  return (neuron0x2af034b0()*0.114134);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8ae70() 
{
  return (neuron0x2aeef2b0()*0.156981);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8aeb0() 
{
  return (neuron0x255dc050()*0.222413);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec8aef0() 
{
  return (neuron0x255caf90()*0.11769);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aeef510() 
{
  return (neuron0x255b0660()*1.69568);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee33a0() 
{
  return (neuron0x2aee3180()*0.361797);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee33e0() 
{
  return (neuron0x295f6140()*0.863268);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f6360() 
{
  return (neuron0x2400e280()*0.196563);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f63a0() 
{
  return (neuron0x24009260()*0.157231);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400e4a0() 
{
  return (neuron0x295e7ea0()*0.534645);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2400e4e0() 
{
  return (neuron0x295f1f90()*0.00818346);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb554d0() 
{
  return (neuron0x28cbe110()*-1.4386);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb55510() 
{
  return (neuron0x2ec90150()*-0.223193);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb55550() 
{
  return (neuron0x25592d30()*3.47819);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb55590() 
{
  return (neuron0x25587180()*1.10843);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb555d0() 
{
  return (neuron0x2af28830()*0.115928);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2cb55610() 
{
  return (neuron0x2af14e10()*0.208505);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f21b0() 
{
  return (neuron0x2af034b0()*0.176601);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f21f0() 
{
  return (neuron0x2aeef2b0()*0.0362012);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dc270() 
{
  return (neuron0x255dc050()*-2.02732);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dc2b0() 
{
  return (neuron0x255caf90()*-0.479211);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d65a0() 
{
  return (neuron0x255b0660()*3.38063);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d65e0() 
{
  return (neuron0x2aee3180()*0.246129);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d6620() 
{
  return (neuron0x295f6140()*-0.389879);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d6660() 
{
  return (neuron0x2400e280()*0.123668);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d66a0() 
{
  return (neuron0x24009260()*0.613722);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d66e0() 
{
  return (neuron0x295e7ea0()*0.572545);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24009480() 
{
  return (neuron0x295f1f90()*0.164922);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3490() 
{
  return (neuron0x28cbe110()*-0.44287);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a34d0() 
{
  return (neuron0x2ec90150()*-1.02123);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3510() 
{
  return (neuron0x25592d30()*-1.20294);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3550() 
{
  return (neuron0x25587180()*-0.938186);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3590() 
{
  return (neuron0x2af28830()*0.233598);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a35d0() 
{
  return (neuron0x2af14e10()*0.176498);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3610() 
{
  return (neuron0x2af034b0()*0.460824);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3650() 
{
  return (neuron0x2aeef2b0()*0.707544);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3690() 
{
  return (neuron0x255dc050()*-0.149122);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240094c0() 
{
  return (neuron0x255caf90()*0.486013);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a36d0() 
{
  return (neuron0x255b0660()*-0.653127);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011980() 
{
  return (neuron0x2aee3180()*1.24302);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x260119c0() 
{
  return (neuron0x295f6140()*-0.0927258);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011a00() 
{
  return (neuron0x2400e280()*-0.206736);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011a40() 
{
  return (neuron0x24009260()*0.176769);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011a80() 
{
  return (neuron0x295e7ea0()*1.58895);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a32e0() 
{
  return (neuron0x295f1f90()*1.43222);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c910() 
{
  return (neuron0x28cbe110()*0.714203);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c950() 
{
  return (neuron0x2ec90150()*2.80868);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c990() 
{
  return (neuron0x25592d30()*0.488054);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c9d0() 
{
  return (neuron0x25587180()*2.38314);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8ca10() 
{
  return (neuron0x2af28830()*-0.0195997);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8ca50() 
{
  return (neuron0x2af14e10()*-0.140957);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8ca90() 
{
  return (neuron0x2af034b0()*-2.74445);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8cad0() 
{
  return (neuron0x2aeef2b0()*-5.46404);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8cb10() 
{
  return (neuron0x255dc050()*-1.68543);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3320() 
{
  return (neuron0x255caf90()*-0.0710186);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8cb50() 
{
  return (neuron0x255b0660()*0.210332);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011d60() 
{
  return (neuron0x2aee3180()*-1.29413);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29602620() 
{
  return (neuron0x295f6140()*0.520327);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29602660() 
{
  return (neuron0x2400e280()*0.0459894);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296026a0() 
{
  return (neuron0x24009260()*-0.135757);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296026e0() 
{
  return (neuron0x295e7ea0()*-0.625834);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c760() 
{
  return (neuron0x295f1f90()*0.0394627);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8190() 
{
  return (neuron0x28cbe110()*0.439357);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c81d0() 
{
  return (neuron0x2ec90150()*0.0524584);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8210() 
{
  return (neuron0x25592d30()*1.63342);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8250() 
{
  return (neuron0x25587180()*1.63854);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8290() 
{
  return (neuron0x2af28830()*-0.397055);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c82d0() 
{
  return (neuron0x2af14e10()*0.330339);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8310() 
{
  return (neuron0x2af034b0()*0.227779);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8350() 
{
  return (neuron0x2aeef2b0()*1.01009);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8390() 
{
  return (neuron0x255dc050()*-0.215774);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c83d0() 
{
  return (neuron0x255caf90()*0.485952);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8410() 
{
  return (neuron0x255b0660()*1.78745);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c7a0() 
{
  return (neuron0x2aee3180()*0.125797);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8450() 
{
  return (neuron0x295f6140()*0.316822);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5b90() 
{
  return (neuron0x2400e280()*-0.0147683);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5bd0() 
{
  return (neuron0x24009260()*-1.27197);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5c10() 
{
  return (neuron0x295e7ea0()*0.472567);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x296029c0() 
{
  return (neuron0x295f1f90()*-0.42907);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255979f0() 
{
  return (neuron0x28cbe110()*0.332922);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597a30() 
{
  return (neuron0x2ec90150()*1.54008);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597a70() 
{
  return (neuron0x25592d30()*-0.225682);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597ab0() 
{
  return (neuron0x25587180()*0.266063);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597af0() 
{
  return (neuron0x2af28830()*-0.144684);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597b30() 
{
  return (neuron0x2af14e10()*0.138633);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597b70() 
{
  return (neuron0x2af034b0()*-0.321872);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597bb0() 
{
  return (neuron0x2aeef2b0()*-0.0515506);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597bf0() 
{
  return (neuron0x255dc050()*0.0568784);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597c30() 
{
  return (neuron0x255caf90()*-0.291525);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597c70() 
{
  return (neuron0x255b0660()*0.418969);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5f80() 
{
  return (neuron0x2aee3180()*-0.431246);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x29602a00() 
{
  return (neuron0x295f6140()*-0.378518);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597cb0() 
{
  return (neuron0x2400e280()*0.0640307);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2541af30() 
{
  return (neuron0x24009260()*-0.387671);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2541af70() 
{
  return (neuron0x295e7ea0()*0.139086);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5ef0() 
{
  return (neuron0x295f1f90()*0.405977);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd7f0() 
{
  return (neuron0x295f9040()*0.863644);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd830() 
{
  return (neuron0x295ff450()*-0.368329);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd870() 
{
  return (neuron0x295eddf0()*-0.34198);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd8b0() 
{
  return (neuron0x26363cd0()*0.030408);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd8f0() 
{
  return (neuron0x25596580()*0.859402);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd930() 
{
  return (neuron0x2af2edd0()*-0.382777);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd970() 
{
  return (neuron0x2af07050()*0.0961289);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd9b0() 
{
  return (neuron0x2af09e90()*0.372213);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bd9f0() 
{
  return (neuron0x2aedfd40()*0.390551);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255bda30() 
{
  return (neuron0x2558b1c0()*0.0728128);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b5f30() 
{
  return (neuron0x2ec8e400()*-1.39849);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26363f80() 
{
  return (neuron0x2af00f70()*-0.219016);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26363fc0() 
{
  return (neuron0x29604760()*-0.227619);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95770() 
{
  return (neuron0x23ff8b10()*-0.293321);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec957b0() 
{
  return (neuron0x295ebd20()*-0.128793);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25907790() 
{
  return (neuron0x295fc230()*0.291021);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259077d0() 
{
  return (neuron0x2ec8ab20()*0.00579155);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aedfff0() 
{
  return (neuron0x2cb55340()*0.270902);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aee0030() 
{
  return (neuron0x255d6830()*0.481521);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5b30() 
{
  return (neuron0x26011bd0()*-1.17207);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2aef5b70() 
{
  return (neuron0x29602830()*0.339507);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a610() 
{
  return (neuron0x255b5d60()*0.089718);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a8460() 
{
  return (neuron0x295f9040()*0.0620718);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a84a0() 
{
  return (neuron0x295ff450()*-0.902545);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a84e0() 
{
  return (neuron0x295eddf0()*-0.111216);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a8520() 
{
  return (neuron0x26363cd0()*-1.39356);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a8560() 
{
  return (neuron0x25596580()*0.75051);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558a650() 
{
  return (neuron0x2af2edd0()*-0.926333);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a85a0() 
{
  return (neuron0x2af07050()*-0.0270394);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592250() 
{
  return (neuron0x2af09e90()*2.1522);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25592290() 
{
  return (neuron0x2aedfd40()*-0.353998);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bbdd0() 
{
  return (neuron0x2558b1c0()*-0.585878);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bbe10() 
{
  return (neuron0x2ec8e400()*-2.05101);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b0880() 
{
  return (neuron0x2af00f70()*0.418138);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b08c0() 
{
  return (neuron0x29604760()*-0.871828);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc3c0() 
{
  return (neuron0x23ff8b10()*0.976721);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295fc400() 
{
  return (neuron0x295ebd20()*0.769074);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3400() 
{
  return (neuron0x295fc230()*0.857987);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a3440() 
{
  return (neuron0x2ec8ab20()*1.12895);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c880() 
{
  return (neuron0x2cb55340()*1.49093);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c8c8c0() 
{
  return (neuron0x255d6830()*0.685262);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8100() 
{
  return (neuron0x26011bd0()*-3.19342);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c8140() 
{
  return (neuron0x29602830()*1.62369);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25597960() 
{
  return (neuron0x255b5d60()*0.599631);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a2650() 
{
  return (neuron0x295f9040()*0.575624);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a2690() 
{
  return (neuron0x295ff450()*-0.965659);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a26d0() 
{
  return (neuron0x295eddf0()*1.23365);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255979a0() 
{
  return (neuron0x26363cd0()*0.203351);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a2710() 
{
  return (neuron0x25596580()*-0.10096);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec90490() 
{
  return (neuron0x2af2edd0()*-0.138089);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec904d0() 
{
  return (neuron0x2af07050()*0.549314);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec90510() 
{
  return (neuron0x2af09e90()*0.545274);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dc390() 
{
  return (neuron0x2aedfd40()*0.936464);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dc3d0() 
{
  return (neuron0x2558b1c0()*0.102074);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dc410() 
{
  return (neuron0x2ec8e400()*-1.2827);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af037f0() 
{
  return (neuron0x2af00f70()*0.361826);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af03830() 
{
  return (neuron0x29604760()*-0.795919);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af03870() 
{
  return (neuron0x23ff8b10()*0.450531);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94c70() 
{
  return (neuron0x295ebd20()*1.66788);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94cb0() 
{
  return (neuron0x295fc230()*-0.906293);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2541b2e0() 
{
  return (neuron0x2ec8ab20()*0.39904);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2541b320() 
{
  return (neuron0x2cb55340()*-0.0387831);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94e00() 
{
  return (neuron0x255d6830()*1.36789);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94e40() 
{
  return (neuron0x26011bd0()*-1.65126);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94e80() 
{
  return (neuron0x29602830()*-0.715653);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec94ec0() 
{
  return (neuron0x255b5d60()*-0.644905);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7340() 
{
  return (neuron0x295f9040()*1.06377);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7380() 
{
  return (neuron0x295ff450()*-0.333085);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f73c0() 
{
  return (neuron0x295eddf0()*-0.495193);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7400() 
{
  return (neuron0x26363cd0()*0.774657);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7440() 
{
  return (neuron0x25596580()*-1.2187);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7480() 
{
  return (neuron0x2af2edd0()*-0.00101942);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f74c0() 
{
  return (neuron0x2af07050()*-1.84468);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7500() 
{
  return (neuron0x2af09e90()*-1.34195);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7540() 
{
  return (neuron0x2aedfd40()*-0.253074);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7580() 
{
  return (neuron0x2558b1c0()*-2.24553);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c0f30() 
{
  return (neuron0x2ec8e400()*-0.0876804);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c0f70() 
{
  return (neuron0x2af00f70()*1.33043);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c0fb0() 
{
  return (neuron0x29604760()*-1.3993);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c0ff0() 
{
  return (neuron0x23ff8b10()*-0.816089);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1030() 
{
  return (neuron0x295ebd20()*-0.259809);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1070() 
{
  return (neuron0x295fc230()*-0.732369);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f7190() 
{
  return (neuron0x2ec8ab20()*-1.56943);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2b0f71d0() 
{
  return (neuron0x2cb55340()*0.837815);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c11c0() 
{
  return (neuron0x255d6830()*0.775757);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1200() 
{
  return (neuron0x26011bd0()*1.73948);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1240() 
{
  return (neuron0x29602830()*0.204489);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1280() 
{
  return (neuron0x255b5d60()*1.83325);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c32aa0() 
{
  return (neuron0x295f9040()*0.294609);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c32ae0() 
{
  return (neuron0x295ff450()*0.776451);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c32b20() 
{
  return (neuron0x295eddf0()*1.3648);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c32b60() 
{
  return (neuron0x26363cd0()*1.08592);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c12c0() 
{
  return (neuron0x25596580()*0.974654);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253c1300() 
{
  return (neuron0x2af2edd0()*-0.45092);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853b50() 
{
  return (neuron0x2af07050()*-0.612539);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853b90() 
{
  return (neuron0x2af09e90()*-1.70561);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853bd0() 
{
  return (neuron0x2aedfd40()*-0.451381);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853c10() 
{
  return (neuron0x2558b1c0()*-0.445462);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853c50() 
{
  return (neuron0x2ec8e400()*-0.969442);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853c90() 
{
  return (neuron0x2af00f70()*-2.43351);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853cd0() 
{
  return (neuron0x29604760()*0.827799);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853d10() 
{
  return (neuron0x23ff8b10()*-0.451808);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853d50() 
{
  return (neuron0x295ebd20()*-2.56884);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853d90() 
{
  return (neuron0x295fc230()*0.652635);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c328f0() 
{
  return (neuron0x2ec8ab20()*-0.705874);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25c32930() 
{
  return (neuron0x2cb55340()*-4.30222);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853ee0() 
{
  return (neuron0x255d6830()*2.48451);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25853f20() 
{
  return (neuron0x26011bd0()*-0.088416);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26366750() 
{
  return (neuron0x29602830()*-2.27987);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26366790() 
{
  return (neuron0x255b5d60()*0.30463);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26366b10() 
{
  return (neuron0x295f9040()*0.23448);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26366b50() 
{
  return (neuron0x295ff450()*0.00373334);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288610() 
{
  return (neuron0x295eddf0()*0.220272);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288650() 
{
  return (neuron0x26363cd0()*-0.285423);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288690() 
{
  return (neuron0x25596580()*0.382695);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x262886d0() 
{
  return (neuron0x2af2edd0()*0.426875);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288710() 
{
  return (neuron0x2af07050()*-0.223773);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288750() 
{
  return (neuron0x2af09e90()*0.127051);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288790() 
{
  return (neuron0x2aedfd40()*-0.174151);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x262887d0() 
{
  return (neuron0x2558b1c0()*0.27614);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288810() 
{
  return (neuron0x2ec8e400()*0.571786);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288850() 
{
  return (neuron0x2af00f70()*-0.643435);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288890() 
{
  return (neuron0x29604760()*0.820026);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x262888d0() 
{
  return (neuron0x23ff8b10()*0.1887);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288910() 
{
  return (neuron0x295ebd20()*0.403981);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288950() 
{
  return (neuron0x295fc230()*-0.0994915);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26366960() 
{
  return (neuron0x2ec8ab20()*0.627209);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x263669a0() 
{
  return (neuron0x2cb55340()*0.143044);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288990() 
{
  return (neuron0x255d6830()*0.580929);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x262889d0() 
{
  return (neuron0x26011bd0()*-0.789937);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26288a10() 
{
  return (neuron0x29602830()*0.236195);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240142f0() 
{
  return (neuron0x255b5d60()*-0.0325666);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240145e0() 
{
  return (neuron0x295f9040()*-2.25892);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d75f0() 
{
  return (neuron0x295ff450()*-1.75972);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7630() 
{
  return (neuron0x295eddf0()*2.92386);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7670() 
{
  return (neuron0x26363cd0()*0.96277);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d76b0() 
{
  return (neuron0x25596580()*-2.65076);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d76f0() 
{
  return (neuron0x2af2edd0()*1.99894);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7730() 
{
  return (neuron0x2af07050()*3.29983);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7770() 
{
  return (neuron0x2af09e90()*0.949732);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d77b0() 
{
  return (neuron0x2aedfd40()*-1.47562);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d77f0() 
{
  return (neuron0x2558b1c0()*2.8739);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7830() 
{
  return (neuron0x2ec8e400()*0.116835);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7870() 
{
  return (neuron0x2af00f70()*-0.85093);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d78b0() 
{
  return (neuron0x29604760()*1.7075);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d78f0() 
{
  return (neuron0x23ff8b10()*1.22928);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d7930() 
{
  return (neuron0x295ebd20()*-0.00776995);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493780() 
{
  return (neuron0x295fc230()*1.98919);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x240144c0() 
{
  return (neuron0x2ec8ab20()*0.629597);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x24014500() 
{
  return (neuron0x2cb55340()*0.132871);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274938d0() 
{
  return (neuron0x255d6830()*-1.32445);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493910() 
{
  return (neuron0x26011bd0()*1.58172);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493950() 
{
  return (neuron0x29602830()*0.520021);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493990() 
{
  return (neuron0x255b5d60()*-3.20482);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c9370() 
{
  return (neuron0x295f9040()*1.7798);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c93b0() 
{
  return (neuron0x295ff450()*0.774628);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c93f0() 
{
  return (neuron0x295eddf0()*0.746882);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c9430() 
{
  return (neuron0x26363cd0()*0.675421);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x274939d0() 
{
  return (neuron0x25596580()*1.47127);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493a10() 
{
  return (neuron0x2af2edd0()*0.0293844);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x27493a50() 
{
  return (neuron0x2af07050()*0.514443);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c05e0() 
{
  return (neuron0x2af09e90()*-0.125113);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0620() 
{
  return (neuron0x2aedfd40()*0.9065);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0660() 
{
  return (neuron0x2558b1c0()*0.651899);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c06a0() 
{
  return (neuron0x2ec8e400()*0.223151);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c06e0() 
{
  return (neuron0x2af00f70()*0.731308);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0720() 
{
  return (neuron0x29604760()*-0.158941);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0760() 
{
  return (neuron0x23ff8b10()*-0.435581);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c07a0() 
{
  return (neuron0x295ebd20()*1.34508);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c07e0() 
{
  return (neuron0x295fc230()*-0.808679);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c91c0() 
{
  return (neuron0x2ec8ab20()*0.781663);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c9200() 
{
  return (neuron0x2cb55340()*-0.0302183);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0930() 
{
  return (neuron0x255d6830()*-0.102863);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c0970() 
{
  return (neuron0x26011bd0()*0.839787);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255c09b0() 
{
  return (neuron0x29602830()*-0.049443);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4bd0() 
{
  return (neuron0x255b5d60()*0.363133);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4f50() 
{
  return (neuron0x295f9040()*-1.23966);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4f90() 
{
  return (neuron0x295ff450()*-1.43206);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4fd0() 
{
  return (neuron0x295eddf0()*0.842951);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a42a0() 
{
  return (neuron0x26363cd0()*-0.203794);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a42e0() 
{
  return (neuron0x25596580()*-0.31504);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4320() 
{
  return (neuron0x2af2edd0()*-0.185167);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4360() 
{
  return (neuron0x2af07050()*-0.237879);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a43a0() 
{
  return (neuron0x2af09e90()*0.870718);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a43e0() 
{
  return (neuron0x2aedfd40()*-1.01431);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4420() 
{
  return (neuron0x2558b1c0()*-0.645839);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4460() 
{
  return (neuron0x2ec8e400()*-1.15241);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a44a0() 
{
  return (neuron0x2af00f70()*-0.37375);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a44e0() 
{
  return (neuron0x29604760()*0.995385);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4520() 
{
  return (neuron0x23ff8b10()*0.128689);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4560() 
{
  return (neuron0x295ebd20()*-0.321025);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a45a0() 
{
  return (neuron0x295fc230()*-0.190633);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4da0() 
{
  return (neuron0x2ec8ab20()*-0.641323);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255b4de0() 
{
  return (neuron0x2cb55340()*-0.0574464);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a45e0() 
{
  return (neuron0x255d6830()*0.0839182);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4620() 
{
  return (neuron0x26011bd0()*-0.595952);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a4660() 
{
  return (neuron0x29602830()*-0.13841);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255a46a0() 
{
  return (neuron0x255b5d60()*-1.14775);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95cc0() 
{
  return (neuron0x295f9040()*0.302745);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95d00() 
{
  return (neuron0x295ff450()*1.79523);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95d40() 
{
  return (neuron0x295eddf0()*-0.966842);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95d80() 
{
  return (neuron0x26363cd0()*0.840545);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95dc0() 
{
  return (neuron0x25596580()*-0.740501);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95e00() 
{
  return (neuron0x2af2edd0()*-0.564303);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95e40() 
{
  return (neuron0x2af07050()*0.379054);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95e80() 
{
  return (neuron0x2af09e90()*-1.27511);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95ec0() 
{
  return (neuron0x2aedfd40()*0.483486);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95f00() 
{
  return (neuron0x2558b1c0()*1.03053);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95f40() 
{
  return (neuron0x2ec8e400()*0.619709);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95f80() 
{
  return (neuron0x2af00f70()*-2.59667);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec95fc0() 
{
  return (neuron0x29604760()*0.339811);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2ec96000() 
{
  return (neuron0x23ff8b10()*-0.705472);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25598c50() 
{
  return (neuron0x295ebd20()*-0.546402);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25598c90() 
{
  return (neuron0x295fc230()*0.386715);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25598b30() 
{
  return (neuron0x2ec8ab20()*0.349125);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25598b70() 
{
  return (neuron0x2cb55340()*-2.28697);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd7ef0() 
{
  return (neuron0x255d6830()*0.425011);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd7f30() 
{
  return (neuron0x26011bd0()*0.383821);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd7f70() 
{
  return (neuron0x29602830()*-0.399628);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd7fb0() 
{
  return (neuron0x255b5d60()*0.340141);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367050() 
{
  return (neuron0x295f9040()*-0.58701);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367090() 
{
  return (neuron0x295ff450()*-0.405557);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253670d0() 
{
  return (neuron0x295eddf0()*0.336959);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367110() 
{
  return (neuron0x26363cd0()*-0.629696);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367150() 
{
  return (neuron0x25596580()*-0.865644);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367190() 
{
  return (neuron0x2af2edd0()*-0.236005);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253671d0() 
{
  return (neuron0x2af07050()*0.186393);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367210() 
{
  return (neuron0x2af09e90()*0.692067);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367250() 
{
  return (neuron0x2aedfd40()*0.070482);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367290() 
{
  return (neuron0x2558b1c0()*-0.330636);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x253672d0() 
{
  return (neuron0x2ec8e400()*-0.21656);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25367310() 
{
  return (neuron0x2af00f70()*0.669106);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x260114f0() 
{
  return (neuron0x29604760()*0.699022);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011530() 
{
  return (neuron0x23ff8b10()*0.450002);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011570() 
{
  return (neuron0x295ebd20()*-0.632529);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x260115b0() 
{
  return (neuron0x295fc230()*0.582202);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd8180() 
{
  return (neuron0x2ec8ab20()*1.02545);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25bd81c0() 
{
  return (neuron0x2cb55340()*0.556392);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011700() 
{
  return (neuron0x255d6830()*0.110331);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011740() 
{
  return (neuron0x26011bd0()*1.1606);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011780() 
{
  return (neuron0x29602830()*1.06341);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x260117c0() 
{
  return (neuron0x255b5d60()*-0.0204543);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a704a0() 
{
  return (neuron0x295f9040()*0.150038);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a704e0() 
{
  return (neuron0x295ff450()*0.371381);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a70520() 
{
  return (neuron0x295eddf0()*0.374895);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a70560() 
{
  return (neuron0x26363cd0()*0.0636202);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011800() 
{
  return (neuron0x25596580()*0.3272);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011840() 
{
  return (neuron0x2af2edd0()*0.157246);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26011880() 
{
  return (neuron0x2af07050()*-0.104035);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x260118c0() 
{
  return (neuron0x2af09e90()*0.355405);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26179f60() 
{
  return (neuron0x2aedfd40()*0.139264);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26179fa0() 
{
  return (neuron0x2558b1c0()*0.459997);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x26179fe0() 
{
  return (neuron0x2ec8e400()*-0.0856298);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a020() 
{
  return (neuron0x2af00f70()*0.215327);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a060() 
{
  return (neuron0x29604760()*0.568767);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a0a0() 
{
  return (neuron0x23ff8b10()*0.672432);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a0e0() 
{
  return (neuron0x295ebd20()*0.12544);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a120() 
{
  return (neuron0x295fc230()*0.277705);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a702f0() 
{
  return (neuron0x2ec8ab20()*-0.0463761);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x25a70330() 
{
  return (neuron0x2cb55340()*0.594127);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a270() 
{
  return (neuron0x255d6830()*0.377444);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a2b0() 
{
  return (neuron0x26011bd0()*0.585909);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a2f0() 
{
  return (neuron0x29602830()*-0.0184051);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2617a330() 
{
  return (neuron0x255b5d60()*-0.0101496);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dd8e0() 
{
  return (neuron0x255bd660()*0.84486);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dd920() 
{
  return (neuron0x255a82d0()*2.93871);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dd960() 
{
  return (neuron0x255a2430()*-2.18785);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255dd9a0() 
{
  return (neuron0x2ec94f00()*3.60349);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d9530() 
{
  return (neuron0x25c32760()*-4.74393);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d9570() 
{
  return (neuron0x263667d0()*0.668665);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d95b0() 
{
  return (neuron0x24014330()*-6.17928);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d95f0() 
{
  return (neuron0x255c9030()*0.317978);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d9630() 
{
  return (neuron0x255b4c10()*-0.618785);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d9670() 
{
  return (neuron0x255989a0()*-2.37506);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d96b0() 
{
  return (neuron0x25bd7ff0()*-1.75259);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d96f0() 
{
  return (neuron0x25a70160()*-0.602975);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af210() 
{
  return (neuron0x255bd660()*-0.258955);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af250() 
{
  return (neuron0x255a82d0()*-0.67151);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af290() 
{
  return (neuron0x255a2430()*-0.274886);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af2d0() 
{
  return (neuron0x2ec94f00()*-0.82773);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af310() 
{
  return (neuron0x25c32760()*0.536021);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af350() 
{
  return (neuron0x263667d0()*-1.11177);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af390() 
{
  return (neuron0x24014330()*-0.25968);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af3d0() 
{
  return (neuron0x255c9030()*-0.0402911);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af410() 
{
  return (neuron0x255b4c10()*0.632458);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af450() 
{
  return (neuron0x255989a0()*0.347848);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af490() 
{
  return (neuron0x25bd7ff0()*-0.124798);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255af4d0() 
{
  return (neuron0x25a70160()*-0.736223);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bc510() 
{
  return (neuron0x255bd660()*-0.288275);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bc550() 
{
  return (neuron0x255a82d0()*0.290481);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bc590() 
{
  return (neuron0x255a2430()*0.93737);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x259bc5d0() 
{
  return (neuron0x2ec94f00()*0.0663538);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c380() 
{
  return (neuron0x25c32760()*0.19632);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c3c0() 
{
  return (neuron0x263667d0()*0.274496);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c400() 
{
  return (neuron0x24014330()*0.103451);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c440() 
{
  return (neuron0x255c9030()*0.816837);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c480() 
{
  return (neuron0x255b4c10()*0.0996777);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c4c0() 
{
  return (neuron0x255989a0()*-0.338964);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c500() 
{
  return (neuron0x25bd7ff0()*0.163001);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2558c540() 
{
  return (neuron0x25a70160()*0.296754);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af024e0() 
{
  return (neuron0x255bd660()*-0.184261);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02520() 
{
  return (neuron0x255a82d0()*-1.00885);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02560() 
{
  return (neuron0x255a2430()*-1.00434);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af025a0() 
{
  return (neuron0x2ec94f00()*-0.499104);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af025e0() 
{
  return (neuron0x25c32760()*-0.344121);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02620() 
{
  return (neuron0x263667d0()*-0.188159);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02660() 
{
  return (neuron0x24014330()*0.396536);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af026a0() 
{
  return (neuron0x255c9030()*-0.842816);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af026e0() 
{
  return (neuron0x255b4c10()*-0.140253);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02720() 
{
  return (neuron0x255989a0()*0.390867);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af02760() 
{
  return (neuron0x25bd7ff0()*0.187611);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af027a0() 
{
  return (neuron0x25a70160()*0.00675843);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559ead0() 
{
  return (neuron0x255bd660()*0.383247);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559eb10() 
{
  return (neuron0x255a82d0()*-1.36741);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559eb50() 
{
  return (neuron0x255a2430()*0.275583);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2559eb90() 
{
  return (neuron0x2ec94f00()*-1.10234);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27740() 
{
  return (neuron0x25c32760()*0.983256);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27780() 
{
  return (neuron0x263667d0()*0.641866);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af277c0() 
{
  return (neuron0x24014330()*2.38591);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27800() 
{
  return (neuron0x255c9030()*-0.0732908);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27840() 
{
  return (neuron0x255b4c10()*-0.0322235);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27880() 
{
  return (neuron0x255989a0()*0.956987);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af278c0() 
{
  return (neuron0x25bd7ff0()*-0.167172);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af27900() 
{
  return (neuron0x25a70160()*0.42413);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4b40() 
{
  return (neuron0x255bd660()*0.416166);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4b80() 
{
  return (neuron0x255a82d0()*0.672095);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4bc0() 
{
  return (neuron0x255a2430()*0.239226);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4c00() 
{
  return (neuron0x2ec94f00()*0.588809);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4c40() 
{
  return (neuron0x25c32760()*-0.458073);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4c80() 
{
  return (neuron0x263667d0()*-0.405955);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4cc0() 
{
  return (neuron0x24014330()*-1.12254);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4d00() 
{
  return (neuron0x255c9030()*0.811314);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4d40() 
{
  return (neuron0x255b4c10()*-0.318424);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4d80() 
{
  return (neuron0x255989a0()*-0.409107);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4dc0() 
{
  return (neuron0x25bd7ff0()*0.336132);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x255d4e00() 
{
  return (neuron0x25a70160()*-0.783345);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af168e0() 
{
  return (neuron0x255dd5a0()*1.59606);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af16920() 
{
  return (neuron0x255d9730()*-0.413989);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af16960() 
{
  return (neuron0x259bc1d0()*-1.38418);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x2af169a0() 
{
  return (neuron0x2558c580()*0.0418774);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f8f10() 
{
  return (neuron0x2559e790()*1.38814);
}

double TMVAClassification_TMlpANN_WithENu::synapse0x295f8f50() 
{
  return (neuron0x2af27940()*0.525632);
}

