#ifndef LIDTrainingDedx_h
#define LIDTrainingDedx_h

#include <string.h>

#include "TChain.h"
#include "TH1D.h"

//#include "ShowerLID/DedxDistribution.h"

class TH1D;
class TChain;

namespace slidt{

  static const int kNumXYRegion = 4;
  static const int kNumEnergyBin = 11;
  static const int kNumLongitudinalPlane = 200;
  static const int kNumTransversePlane = 20;
  static const double kEnergyBins[] = {0.00, 0.25, 0.75, 1.25, 1.75, 2.25, 2.75, 3.25, 3.75, 4.25, 4.75, 5.25};


  void FillHists( const char*   infnames, 
		  const char*   treename,
		  const char*   outDir,
		  const int     inPdg,
		  const float   inDangLower,
		  const float   inDangUpper,
		  const int*    inNuPdg   = NULL,
		  const int*    inNuMode  = NULL,
		  const int*    inNuCC    = NULL,
		  const double* eTrueFrac = NULL);
  
  
  TChain *fChain;

  TH1D* hlongdedx[kNumXYRegion][kNumEnergyBin][kNumLongitudinalPlane];
  TH1D* htransdedx[kNumXYRegion][kNumEnergyBin][kNumTransversePlane];

  int    showerTrueNuCCNC;
  int    showerTrueNuMode;
  int    showerTrueNuPdg;
  int    showerTruePdg;
  int    showerNPlane;
  double showerTrueDang;
  double showerStart[3];
  double showerStop[3];
  double showerPlaneDedx[200];
  double showerTransCellDedx[20];
  double showerEnergy;
  double showerTrueP4[4];
  double showerDir[3];
  double showerIsFid;

  bool fActivated = false;
  bool fInitialized = false;
  void ActivateBranches();//TChain &chain);
  void SaveHists( const int inPdg, 
		  const std::string outDir, 
		  const int* inNuMode=NULL );
  void InitializeHists();
  void Reset();
  //  };

}// end of namespace

#endif
