
#include "ShowerLID/train/LIDTrainingDedx.h"
#include "TSystem.h"
#include "TCanvas.h"
using namespace slidt;

int main(){

  char pPath[] = "/nova/ana/users/ksachdev/lidtraining/test/";
  //  pPath = getenv ("_CONDOR_SCRATCH_DIR");

  char treename[]     = "lidtrain/fShower";
  char swapfiles[]    = "/nova/ana/users/edniner/LIDTraining/round6/Swap/*.hist.root";
  char nonswapfiles[] = "/nova/ana/users/edniner/LIDTraining/round6/Nonswap/*.hist.root";

  double electronTrueEFrac = 0.2;
  int elecpdg = 12;
  int ccnc    = 0;
  int qe  = 0;
  int res = 1;
  int dis = 2;
  int coh = 3;

  // Make dedx histograms for electron
  FillHists(swapfiles,
  	    treename,
  	    pPath,
  	    11, 0.0, 10.0,
  	    &elecpdg, NULL, &ccnc, &electronTrueEFrac);

  // Make dedx histograms for qe electron
  FillHists(swapfiles,
  	    treename,
  	    pPath,
  	    11, 0.0, 10.0,
  	    &elecpdg, &qe, &ccnc, &electronTrueEFrac);
  
  // Make dedx histograms for dis electron
  FillHists(swapfiles,
  	    treename,
  	    pPath,
  	    11, 0.0, 10.0,
  	    &elecpdg, &dis, &ccnc, &electronTrueEFrac);

  // Make dedx histograms for resonance electron
  FillHists(swapfiles,
  	    treename,
  	    pPath,
  	    11, 0.0, 10.0,
  	    &elecpdg, &res, &ccnc, &electronTrueEFrac);

  // Make dedx histograms for coherent electron
  FillHists(swapfiles,
  	    treename,
  	    pPath,
  	    11, 0.0, 10.0,
  	    &elecpdg, &coh, &ccnc, &electronTrueEFrac);

  // Make dedx histograms for photon
    FillHists(nonswapfiles,
	      treename,
	      pPath,
	      22, 0.0, 10.0);

  // Make dedx histograms for muon
  FillHists(nonswapfiles,
  	    treename,
  	    pPath,
  	    13, 0.0, 10.0);

  // Make dedx histograms for neutron
  FillHists(nonswapfiles,
  	    treename,
  	    pPath,
  	    2112, 0.0, 20);
  
  // Make dedx histograms for proton
  FillHists(nonswapfiles,
  	    treename,
  	    pPath,
  	    2212, 0.0, 20);

  // Make dedx histograms for charged pion
  FillHists(nonswapfiles,
  	    treename,
  	    pPath,
  	    211, 0.0, 20);

  // Make dedx histograms for pi0

  FillHists(nonswapfiles,
	    treename,
	    pPath,
	    111, 0.0, 100.0);

  return(0);
}// end of macro
