////////////////////////////////////////////////////////////////////////
/// \brief  Store +/-1,2sigma shifts for all GENIE reweighting systematics
/// \author Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#include "Simulation/GENIEReweightTable.h"

namespace rwgt
{
  void GENIEReweightTable::SetWeights(unsigned int i,
                                      double m2, double m1,
                                      double p1, double p2)
  {
    if(i >= fMinus2Sigma.size()){
      fMinus2Sigma.resize(i+1, 1);
      fMinus1Sigma.resize(i+1, 1);
      fPlus1Sigma.resize(i+1, 1);
      fPlus2Sigma.resize(i+1, 1);
    }

    fMinus2Sigma[i] = m2;
    fMinus1Sigma[i] = m1;
    fPlus1Sigma[i] = p1;
    fPlus2Sigma[i] = p2;
  }
}
