////////////////////////////////////////////////////////////////////////
/// \brief   Description of a particle passed to Geant4
///
/// \author  seligman@nevis.columbia.edu
/// \date
////////////////////////////////////////////////////////////////////////
#include "Simulation/Particle.h"

#include <climits>
#include <iostream>
#include <iterator>

#include "TDatabasePDG.h"
#include "TParticlePDG.h"
#include "TLorentzVector.h"
#include "TVector3.h"

namespace sim 
{
  // static variables
  
  /// How do we indicate an uninitialized variable?  I don't want to
  /// use "0" for PDG, because that's potentially a valid value.
  /// Instead, let the compiler give us a value.  The following
  /// template (from climits) evaluates the lower possible negative
  /// number that you can store in an int.
  
  const int Particle::s_uninitialized = std::numeric_limits<int>::min();
  
  //...................................................................
  Particle::Particle()
  {
  }
  
  //...................................................................
  /// Standard constructor.
  Particle::Particle(const int trackId, 
		     const int pdg, 
		     const std::string process,
		     const int mother, 
		     const double mass,
		     const int status)
    : simb::MCParticle(trackId, pdg, process, mother, mass, status)
  {
  }

  //...................................................................
  Particle::~Particle() 
  {
  }
    
} // end namespace sim
//////////////////////////////////////////////////////////////////////////
