#include "art/Persistency/Common/Wrapper.h" 
#include "art/Persistency/Common/Assns.h" 
#include "art/Persistency/Common/Ptr.h"

// Only include objects that we would like to be able to put into the event.
// Do not include the objects they contain internally.
//
#include "SimulationBase/MCTruth.h"
#include "Simulation/FilterFlags.h"
#include "Simulation/FLSHitList.h"
#include "Simulation/GENIEReweightTable.h"
#include "Simulation/Particle.h"
#include "Simulation/PhotonSignal.h"
#include "GeometryObjects/CellUniqueId.h"

template class std::vector<sim::FilterFlags >;
template class std::vector<sim::FLSHitList  >;
template class std::vector<sim::Particle    >;
template class std::vector<sim::PhotonSignal>;

template class std::pair< art::Ptr<simb::MCTruth>,     art::Ptr<sim::Particle>     >;
template class std::pair< art::Ptr<sim::Particle>,     art::Ptr<simb::MCTruth>     >;
template class art::Assns<simb::MCTruth,     sim::Particle,     void>;
template class art::Assns<sim::Particle,     simb::MCTruth,     void>;
template class art::Wrapper< art::Assns<simb::MCTruth,     sim::Particle,     void> >;
template class art::Wrapper< art::Assns<sim::Particle,     simb::MCTruth,     void> >;

template class art::Wrapper< std::vector<sim::FilterFlags>  >;
template class art::Wrapper< std::vector<sim::FLSHitList >  >;
template class art::Wrapper< std::vector<sim::Particle   >  >;
template class art::Wrapper< std::vector<sim::PhotonSignal> >;


template class std::vector<rwgt::GENIEReweightTable>;
template class art::Wrapper<rwgt::GENIEReweightTable>;
template class art::Wrapper< std::vector<rwgt::GENIEReweightTable> >;

template class std::pair<art::Ptr<simb::MCTruth>, art::Ptr<rwgt::GENIEReweightTable> >;
template class std::pair<art::Ptr<rwgt::GENIEReweightTable>, art::Ptr<simb::MCTruth> >;

template class art::Assns<simb::MCTruth, rwgt::GENIEReweightTable, void>;
template class art::Assns<rwgt::GENIEReweightTable, simb::MCTruth, void>;

template class art::Wrapper<art::Assns<simb::MCTruth, rwgt::GENIEReweightTable, void> >;
template class art::Wrapper<art::Assns<rwgt::GENIEReweightTable, simb::MCTruth, void> >;
