////////////////////////////////////////////////////////////////////////
// \file    SRBPFEnergy.cxx
// \brief   This is a class for the BreakPointFitter energy estimator
//          output in the standard record.
// \author  $Author: mbaird42 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRBPFEnergy.h"

namespace caf 
{
  
  SRBPFEnergy::SRBPFEnergy():
  E1(std::numeric_limits<float>::signaling_NaN()),
  Eres1(std::numeric_limits<float>::signaling_NaN()),
  E2(std::numeric_limits<float>::signaling_NaN()),
  Eres2(std::numeric_limits<float>::signaling_NaN()),
  E3(std::numeric_limits<float>::signaling_NaN()),
  Eres3(std::numeric_limits<float>::signaling_NaN()),
  EventID(std::numeric_limits<float>::signaling_NaN()),
  PMuon(std::numeric_limits<float>::signaling_NaN()),
  DirZMuon(std::numeric_limits<float>::signaling_NaN()),
  N3DProngs(std::numeric_limits<float>::signaling_NaN()),
  EFuzzyK3D(std::numeric_limits<float>::signaling_NaN()),
  ERemain(std::numeric_limits<float>::signaling_NaN()),
  SumPE(std::numeric_limits<float>::signaling_NaN())
  {   }
  
  
  SRBPFEnergy::~SRBPFEnergy(){  }
  
  void SRBPFEnergy::setDefault()
  {
    E1        = -5.0;
    Eres1     = -5.0;
    E2        = -5.0;
    Eres2     = -5.0;
    E3        = -5.0;
    Eres3     = -5.0;
    EventID   = -5.0;
    PMuon     = -5.0;
    DirZMuon  = -5.0;
    N3DProngs = -5.0;
    EFuzzyK3D = -5.0;
    ERemain   = -5.0;
    SumPE     = -5.0;
  }
} // end namespace caf
////////////////////////////////////////////////////////////////////////
