////////////////////////////////////////////////////////////////////////
// \file    SRContain.cxx
// \brief   Class to store containment related variables.
// \author  $Author: bays $
// \date    $Date: 2014-09-22 14:11:00 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRContain.h"

namespace caf
{

  SRContain::SRContain():
  numucontain (std::numeric_limits<bool>::signaling_NaN()),
  nuecontain  (std::numeric_limits<bool>::signaling_NaN()),
  missE       (std::numeric_limits<float>::signaling_NaN()),
  nplanestofront  (std::numeric_limits<int>::signaling_NaN()),
  nplanestoback   (std::numeric_limits<int>::signaling_NaN()),
  vtxdist     (std::numeric_limits<float>::signaling_NaN()),
  enddist     (std::numeric_limits<float>::signaling_NaN()),
  cosfwddist  (std::numeric_limits<float>::signaling_NaN()),
  cosfwdcell  (std::numeric_limits<int>::signaling_NaN()),
  cosfwdcellnd(std::numeric_limits<int>::signaling_NaN()),
  cosfwdair   (std::numeric_limits<float>::signaling_NaN()),
  cosfwdsteel (std::numeric_limits<float>::signaling_NaN()),
  cosbakdist  (std::numeric_limits<float>::signaling_NaN()),
  cosbakcell  (std::numeric_limits<int>::signaling_NaN()),
  cosbakcellnd(std::numeric_limits<int>::signaling_NaN()),
  cosbakair   (std::numeric_limits<float>::signaling_NaN()),
  cosbaksteel (std::numeric_limits<float>::signaling_NaN()),
  kalfwddist  (std::numeric_limits<float>::signaling_NaN()),
  kalfwdcell  (std::numeric_limits<int>::signaling_NaN()),
  kalfwdcellnd(std::numeric_limits<int>::signaling_NaN()),
  kalfwdair   (std::numeric_limits<float>::signaling_NaN()),
  kalfwdsteel (std::numeric_limits<float>::signaling_NaN()),
  kalbakdist  (std::numeric_limits<float>::signaling_NaN()),
  kalbakcell  (std::numeric_limits<int>::signaling_NaN()),
  kalbakcellnd(std::numeric_limits<int>::signaling_NaN()),
  kalbakair   (std::numeric_limits<float>::signaling_NaN()),
  kalbaksteel (std::numeric_limits<float>::signaling_NaN()),
  cosyposattrans (std::numeric_limits<float>::signaling_NaN()),
  kalyposattrans (std::numeric_limits<float>::signaling_NaN()),
  xmin2       (std::numeric_limits<float>::signaling_NaN()),
  ymin2       (std::numeric_limits<float>::signaling_NaN()),
  zmin2       (std::numeric_limits<float>::signaling_NaN()),
  xmax2       (std::numeric_limits<float>::signaling_NaN()),
  ymax2       (std::numeric_limits<float>::signaling_NaN()),
  zmax2       (std::numeric_limits<float>::signaling_NaN()),
  xmint       (std::numeric_limits<float>::signaling_NaN()),
  ymint       (std::numeric_limits<float>::signaling_NaN()),
  zmint       (std::numeric_limits<float>::signaling_NaN()),
  xmaxt       (std::numeric_limits<float>::signaling_NaN()),
  ymaxt       (std::numeric_limits<float>::signaling_NaN()),
  zmaxt       (std::numeric_limits<float>::signaling_NaN())

  {   }


  SRContain::~SRContain(){  }

  void SRContain::setDefault()
  {
    numucontain = false;
    nuecontain  = false;
    missE       = -5;
    nplanestofront = -5;
    nplanestoback  = -5;
    cosfwddist  = -5;
    cosfwdcell  = -5;
    cosfwdcellnd= -5;
    cosfwdair   = -5;
    cosfwdsteel = -5;
    cosbakdist  = -5;
    cosbakcell  = -5;
    cosbakcellnd= -5;
    cosbakair   = -5;
    cosbaksteel = -5;
    kalfwddist  = -5;
    kalfwdcell  = -5;
    kalfwdcellnd= -5;
    kalfwdair   = -5;
    kalfwdsteel = -5;
    kalbakdist  = -5;
    kalbakcell  = -5;
    kalbakcellnd= -5;
    kalbakair   = -5;
    kalbaksteel = -5;
    cosyposattrans = -5;
    kalyposattrans = -5;
    xmin2       = -5;
    ymin2       = -5;
    zmin2       = -5;
    xmax2       = -5;
    ymax2       = -5;
    zmax2       = -5;
    xmint       = -5;
    ymint       = -5;
    zmint       = -5;
    xmaxt       = -5;
    ymaxt       = -5;
    zmaxt       = -5;
   }
} // end namespace caf
////////////////////////////////////////////////////////////////////////
