////////////////////////////////////////////////////////////////////////
// \brief   An SRCosmic adds information about a cosmic object to the Truth branch
// \author  gsdavies@iastate.edu
// \date    February 2012
////////////////////////////////////////////////////////////////////////
#include "StandardRecord/SRCosmic.h"


namespace caf 
{
  
  SRCosmic::SRCosmic():
    pdg(-1),
    E(std::numeric_limits<float>::signaling_NaN()),
    visE(std::numeric_limits<float>::signaling_NaN()),
    visEinslc(std::numeric_limits<float>::signaling_NaN()),
    eff(std::numeric_limits<float>::signaling_NaN()),
    pur(std::numeric_limits<float>::signaling_NaN()),
    nhitslc(-1),
    nhittot(-1),
    time(std::numeric_limits<float>::signaling_NaN()),
    p(std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN()),
    penter(std::numeric_limits<float>::signaling_NaN(),
           std::numeric_limits<float>::signaling_NaN(),
           std::numeric_limits<float>::signaling_NaN(),
           std::numeric_limits<float>::signaling_NaN()),
    vtx(std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN(),
        std::numeric_limits<float>::signaling_NaN()),
    azimuth(std::numeric_limits<float>::signaling_NaN()),
    zenith(std::numeric_limits<float>::signaling_NaN()),
    enter(std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN(),
          std::numeric_limits<float>::signaling_NaN()),
    exit(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN()),
    stop(std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN(),
         std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
