////////////////////////////////////////////////////////////////////////
// \file    SRELid.cxx
// \brief   This class contains the output of the LIDBuilder module.
// \version $Id: SRJMEid.cxx,v 1.3 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRELid.h"

#include<limits>


namespace caf 
{
  
  SRELid ::SRELid():
  ann(std::numeric_limits<float>::signaling_NaN()),
  anne(std::numeric_limits<int>::signaling_NaN()),
  shwlid(),
  shwpid()
  {  }
 
  
  SRELid::~SRELid(){  }
  
  void SRELid::setDefault()
  {
    ann      = -5; 
    anne   = -5;
  }

  void SRELid::fillSizes()
  {
    nshwlid = shwlid.size();
    nshwpid = shwpid.size();
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
