////////////////////////////////////////////////////////////////////////
// \file    SRELid.h
// \brief   This class contains the output of the LIDBuilder module.
// \version $Id: SRLid.h,v 1.4 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#ifndef SRELID_H
#define SRELID_H

#include "StandardRecord/SRSLid.h"
#include "StandardRecord/SRSPid.h"
#include <vector>
#include "stdlib.h"

namespace caf
{
  /// This class contains the output of the LIDBuilder module (slid::lid objects).
  class SRELid 
    {
    public:
      ///  Default constructor. 
      SRELid();
      
      /// Default destuctor.
      ~SRELid();

      float     ann;       ///< ann output for the slice, currently the same as most energetic shower 
      float     anne;      ///< ann output with energy for the slice, currently the same as the most energetic shower

      std::vector<SRSLid> shwlid; ///< vector of shower pid objects for all showers in the slice
      std::vector<SRSPid> shwpid; ///< Anothervector of shower pid objects for all showers in the slice

      size_t nshwlid; ///< number of shower lid objects (size of vector)
      size_t nshwpid; ///< number of shower showerpid objects (size of vector)
      

      
      void setDefault();
      void fillSizes();
    };
  
} // end namespace

#endif // SRELID_H
//////////////////////////////////////////////////////////////////////////////
