////////////////////////////////////////////////////////////////////////
// \file    SRHeader.cxx
// \brief   An  SRHeader contains identity information for a slice.
// \version $Id: SRHeader.cxx,v 1.4 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRHeader.h"

#include <limits>


namespace caf
{
  SRHeader::SRHeader():
  run(std::numeric_limits<int>::signaling_NaN()),
  subrun(std::numeric_limits<int>::signaling_NaN()),
  cycle(std::numeric_limits<int>::signaling_NaN()),
  evt(std::numeric_limits<int>::signaling_NaN()),
  subevt(std::numeric_limits<int>::signaling_NaN()),
  ismc(false),
  det(std::numeric_limits<Det_t>::signaling_NaN()),
  blind(false),
  filt(false),
  dibfirst(std::numeric_limits<int>::signaling_NaN()),
  diblast(std::numeric_limits<int>::signaling_NaN()),
  dibmask(std::numeric_limits<int>::signaling_NaN()),
  maskstatus(std::numeric_limits<int>::signaling_NaN()),
  year(std::numeric_limits<int>::signaling_NaN()),
  month(std::numeric_limits<int>::signaling_NaN()),
  day(std::numeric_limits<int>::signaling_NaN()),
  doy(std::numeric_limits<int>::signaling_NaN()),
  hour(std::numeric_limits<int>::signaling_NaN()),
  minute(std::numeric_limits<int>::signaling_NaN()),
  second(std::numeric_limits<int>::signaling_NaN()),
  subevtstarttime(std::numeric_limits<float>::signaling_NaN()),
  subevtendtime(std::numeric_limits<float>::signaling_NaN()),
  subevtmeantime(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRHeader::~SRHeader(){  }

  void SRHeader::setDefault()
  {
    cycle = -5;
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
