////////////////////////////////////////////////////////////////////////
// \file    SRMRCCParent.cxx
// \brief   This class contains the parent slice information. Currently
//          only being used  by the Muon Removed Charged Current analysis
// \author  Kanika Sachdev (ksachdev@physics.umn.edu)
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////


#include "StandardRecord/SRMRCCParent.h"

#include<limits>

namespace caf
{

  SRMRCCParent::SRMRCCParent():
    slcidx( std::numeric_limits<int>::signaling_NaN() ),
    eff(    std::numeric_limits<int>::signaling_NaN() ),
    pur(    std::numeric_limits<int>::signaling_NaN() )
  { }
  

  SRMRCCParent::~SRMRCCParent(){ }

  void SRMRCCParent::setDefault()
  {
    slcidx     = -5;
    eff        = -5;
    pur        = -5;

  }// end of setDefault

}// end of namespace caf

