////////////////////////////////////////////////////////////////////////
// \file    SRProng.cxx
// \brief   An SRProng is a high level reconstructed object.  It knows its 
//          direction and start point, but does not own its cell hits.
// \version $Id: SRProng.cxx,v 1.3 2012-11-19 17:32:22 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRMichelE.h"


namespace caf 
{
  
  SRMichelE::SRMichelE() : 
    trkkalman(),
    trkdiscrete(),
    trkcosmic(),
    slc()
  {}
  SRMichelE::~SRMichelE(){}

  void SRMichelE::fillSizes(){
    nkalman    = trkkalman.size();
    ndiscrete  = trkdiscrete.size();
    ncosmic    = trkcosmic.size();
    nslc       = slc.size();
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
