////////////////////////////////////////////////////////////////////////
// \file    SRMuId.cxx
// \brief   This class contains the LLH muon PID output.  
// \version $Id: SRMuId.cxx,v 1.2 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////

#include<limits>
#include "StandardRecord/SRMuId.h"




namespace caf 
{
  
  SRMuId::SRMuId():
  pdg(std::numeric_limits<int>::signaling_NaN()),
  pid(std::numeric_limits<float>::signaling_NaN()),
  scatllh(std::numeric_limits<float>::signaling_NaN()),
  dedxllh(std::numeric_limits<float>::signaling_NaN()),
  len(std::numeric_limits<float>::signaling_NaN()),
  measfrac(std::numeric_limits<float>::signaling_NaN()),
  cont(std::numeric_limits<int>::signaling_NaN())
  {  }
  
  
  SRMuId::~SRMuId(){  }

  void SRMuId::setDefault()
  {
    pdg        = -5;
    pid        = -5;
    scatllh    = -5;
    dedxllh    = -5;
    len        = -5;
    measfrac   = -5;
    cont       = -5;
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
