////////////////////////////////////////////////////////////////////////
// \file    SRMuId.h
// \brief   This class contains the LLH muon PID output.  
// \version $Id: SRMuId.h,v 1.1 2012-10-04 21:50:48 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-10-04 21:50:48 $
////////////////////////////////////////////////////////////////////////
#ifndef SRMUID_H
#define SRMUID_H

namespace caf
{
  /// This class contains the LLH muon PID  output.  
  class SRMuId
    {
    public:
      ///  Default constructor. 
      SRMuId();
      
      /// Default destuctor.
      virtual ~SRMuId();

      int     pdg;        ///< PDG code of identified track, pion or muon 
      float 	pid;        ///< PID value output by kNN 
      float 	scatllh;    ///< Log-likelihood value from scattering angle
      float 	dedxllh;    ///< Log-likelihood value from dE/dx
      float 	len;        ///< Track length of identified track 
      float     measfrac;   ///< Fraction of planes used to measure dE/dx
      int       cont;       ///< True if track is contained as defined by ReMId

      virtual void setDefault();
    };
  
} // end namespace

#endif // SRMUID_H
//////////////////////////////////////////////////////////////////////////////
