////////////////////////////////////////////////////////////////////////
// \file    SRQepid.h
// \brief   This class contains the QE muon CC PID (QeMId) output.  
// \version $Id: SRQepid.h,v 1.1 2013-02-10 22:43:57 raddatz Exp $  
// \author  $Author: raddatz $
// \date    $Date: 2012-11-19 22:43:57 $
////////////////////////////////////////////////////////////////////////
#ifndef SRQEPID_H
#define SRQEPID_H

#include <iostream>	



namespace caf
{
  /// This class contains the reco muon PID (ReMId) output.  
  class SRQepid
    {
    public:
      ///  Default constructor. 
      SRQepid();
      
      /// Default destuctor.
      ~SRQepid();

      int       pdg;        ///< PDG code of slice
      int       mode;       ///< Neutrino mode of slice
      int       ntrk;       ///< Number of tracks used by qepid
      float 	  pid;      ///< PID value of output kNN
      float 	  offE;     ///< Ratio of energy not assoicated with tracks to energy on tracks
      float 	  ediff;    ///< Difference in energy between QE angle energy formula and weighted fit, normalized to fit energy
      float 	  ediffz;   ///< Difference in energy between QE angle energy formula and weighted fit, normalized to error in QE angle energy formula
      float     dedx;       ///< Ratio of average dE/dx in non-muon track to muon identified track
  
      void setDefault();
      
    };
  
} // end namespace

#endif // SRQEMID_H
//////////////////////////////////////////////////////////////////////////////
