////////////////////////////////////////////////////////////////////////
// \file    SRLem.cxx
// \brief   This class contains the LEM EID output.  
// \version $Id: SRRemid.cxx,v 1.5 2012-12-10 19:57:37 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-10 19:57:37 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRRemid.h"

#include <limits>


namespace caf 
{
  
  SRRemid::SRRemid():
    pdg(-1),
    pid(std::numeric_limits<float>::signaling_NaN()),
    scatllh(std::numeric_limits<float>::signaling_NaN()),
    dedxllh(std::numeric_limits<float>::signaling_NaN()),
    len(std::numeric_limits<float>::signaling_NaN()),
    measfrac(std::numeric_limits<float>::signaling_NaN()),
    cont(-1),
    nmuid(-1),
    bestidx(-1)

  {  }
  
  
  SRRemid::~SRRemid(){  }

  void SRRemid::fillSizes()
  {
    nmuid = muid.size();
  }

  void SRRemid::setDefault()
  {
    pdg       = -5;
    pid       = -5;
    scatllh   = -5;
    dedxllh   = -5;
    len       = -5;
    measfrac  = -5;
    cont      = -5;

    muid.clear();
    nmuid     = 0;
    bestidx   = 999;

  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
