////////////////////////////////////////////////////////////////////////
// \file    SRSPid.cxx
// \brief   This class contains the output of the LIDBuilder module.
// \version $Id: SRJMEid.cxx,v 1.3 2012-11-19 17:32:22 Jianming Bian Exp $  
// \author  $Author: Jianming Bian $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSPid.h"

#include<limits>


namespace caf 
{
  
  SRSPid ::SRSPid():
  annepi0(std::numeric_limits<float>::signaling_NaN()),
  annepi0el(std::numeric_limits<float>::signaling_NaN()),
  elll(std::numeric_limits<float>::signaling_NaN()),
  ellt(std::numeric_limits<float>::signaling_NaN()),
  glll(std::numeric_limits<float>::signaling_NaN()),
  gllt(std::numeric_limits<float>::signaling_NaN()),
  mulll(std::numeric_limits<float>::signaling_NaN()),
  mullt(std::numeric_limits<float>::signaling_NaN()),
  pi0lll(std::numeric_limits<float>::signaling_NaN()),
  pi0llt(std::numeric_limits<float>::signaling_NaN()),
  plll(std::numeric_limits<float>::signaling_NaN()),
  pllt(std::numeric_limits<float>::signaling_NaN()),
  nlll(std::numeric_limits<float>::signaling_NaN()),
  nllt(std::numeric_limits<float>::signaling_NaN()),
  pilll(std::numeric_limits<float>::signaling_NaN()),
  pillt(std::numeric_limits<float>::signaling_NaN())
  {  }
 
  
  SRSPid::~SRSPid(){  }
  
  void SRSPid::setDefault()
  {
    annepi0      = -5.0; 
    annepi0el    = -5.0;
    elll    = -5;
    ellt    = -5;
    glll    = -5;
    gllt    = -5;
    mulll   = -5;
    mullt   = -5;
    pi0lll  = -5;
    pi0llt  = -5;
    plll    = -5;
    pllt    = -5;
    nlll    = -5;
    nllt    = -5;
    pilll   = -5;
    pillt   = -5;
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
