#ifndef SRSLCME_H
#define SRSLCME_H

#include "TVector3.h"
#include "StandardRecord/SRProng.h"// for plane_proj enumeration with kX, kY, kXorY

namespace caf
{
  
  /// The SRSlcME represents output from SlcMEFilter.
  class SRSlcME
    {
    public:
      SRSlcME();

      ~SRSlcME(){  };

      float           mid;           ///< Output of Michel Electron Identifier LL
      unsigned short  nhit;          ///< Number of hits in Michel cluster
      unsigned short  nretriggers;   ///< Number of hits in ME cluster that are retriggers of cells in parent slice
      unsigned short  nmatches;      ///< Number of Slices this ME is matched to
      float           calE;          ///< Calorimetric Energy of ME (GeV)
      float           pe;            ///< Total PE in the ME cluster
      float           adc;           ///< Total ADC in the ME cluster
      float           adcretriggers; ///< Total ADC on retriggered hits
      float           deltat;        ///< Time delay between ME and parent slice (ns)
      float           disttoslc;     ///< Minimum distance between hits in ME and parent (cm)
      bool            assocwithslc;  ///< Bool identifier meant to correctly associate ME's that have multiple potential parent slices
      TVector3        meanpos;       ///< Mean XYZ of ME cluster

    };
  
} // end namespace

#endif // SRMICHELE_H
//////////////////////////////////////////////////////////////////////////////
