////////////////////////////////////////////////////////////////////////
// \file    SRTrackBranch.cxx
// \brief   An SRTrackBranch contains vectors of SRTracks.  
//          It is intended for use in the Common Analysis ROOT trees.
//
// \version $Id: SRTrackBranch.cxx,v 1.3 2012-11-19 17:32:22 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRTrackBranch.h"


namespace caf 
{
  
  SRTrackBranch::SRTrackBranch():
  kalman(),
  kalman2d(),
  discrete(),
  discrete2d()
  {   }
  
  
  SRTrackBranch::~SRTrackBranch()
  {  }
  
  void SRTrackBranch::fillSizes()
  {  
    nkalman     = kalman.size();
    nkalman2d   = kalman2d.size();
    ndiscrete   = discrete.size();
    ndiscrete2d = discrete2d.size();
    ncosmic     = cosmic.size();
  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
