////////////////////////////////////////////////////////////////////////
// \file    SRTrueMichelE.cxx
// \brief   An SRTrueMichelE represents a Michel electron.  The SRTruth 
//          object contains a vector of these.  SRNeutrino and SRCosmic
//          inherit from SRTruth. 
// \author  rocco
// \date    June 14, 2013
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRTrueMichelE.h"


namespace caf 
{
  
  SRTrueMichelE::SRTrueMichelE():
  E         (std::numeric_limits<float>::signaling_NaN()),      
  visE      (std::numeric_limits<float>::signaling_NaN()),
  mustop    (std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN()),
  p         (std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN(),
             std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
