////////////////////////////////////////////////////////////////////////
/// \brief   An  SRTruth represents basic boilerplate for particle truth
///          information. Reworked to hold common parameters for SRCosmic
///          and SRNeutrino to inherit from.
/// \author  Dominick Rocco
/// \date    June 2012
////////////////////////////////////////////////////////////////////////


#include "StandardRecord/SRTruth.h"


namespace caf 
{
  
  SRTruth::SRTruth():
  pdg(std::numeric_limits<int>::signaling_NaN()),
  E(std::numeric_limits<float>::signaling_NaN()),
  visE(std::numeric_limits<float>::signaling_NaN()),
  visEinslc(std::numeric_limits<float>::signaling_NaN()),
  eff(std::numeric_limits<float>::signaling_NaN()),
  pur(std::numeric_limits<float>::signaling_NaN()),
  nhitslc(std::numeric_limits<unsigned int>::signaling_NaN()),
  nhittot(std::numeric_limits<unsigned int>::signaling_NaN()),

  time(std::numeric_limits<float>::signaling_NaN()),
  p(std::numeric_limits<float>::signaling_NaN(),
    std::numeric_limits<float>::signaling_NaN(),
    std::numeric_limits<float>::signaling_NaN(),
    std::numeric_limits<float>::signaling_NaN()),
  vtx(std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN(),
      std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
      
} // end namespace caf
////////////////////////////////////////////////////////////////////////
