////////////////////////////////////////////////////////////////////////
// \file    SRVertex.h
// \brief   An  SRVertex is a collection of tracks and showers.
// \version $Id: SRVertex.h,v 1.4 2012-11-19 17:32:23 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:23 $
////////////////////////////////////////////////////////////////////////
#ifndef SRVERTEX_H
#define SRVERTEX_H

#include "TVector3.h"

namespace caf
{
  /// The SRVertex is a simple representation of a collection of 
  /// showers and tracks that make up an interaction.  This class is 
  /// meant to be used in Common Analysis Files as 
  /// part of the StandardRecord.
  class SRVertex
    {
    public:
      SRVertex();
      
      /// Default destuctor.
      virtual ~SRVertex();

      float      time;    ///< Time      [ns]
      TVector3   vtx;     ///< Vertex position in detector coordinates. [cm]

      virtual void setDefault();
    };
  
} // end namespace

#endif // SRVERTEX_H
//////////////////////////////////////////////////////////////////////////////
