//////////////////////////////////////////////////////////////////////////
///
/// \brief  Spill level data quality flags
/// \author xbbu@fnal.gov
/// \date 11/10/2014
///
//////////////////////////////////////////////////////////////////////////
#include "SummaryData/EventQuality.h"

namespace sumdata
{
  //.....................................................................
  EventQuality::EventQuality():
    nmissingdcms(0),
    fracdcm3hits(0.0),
    nouttimehits(0),
    nnoisyapds(0),
    nmicroslices(0),
    dcmedgematchfrac(0)
  {
  }
  
  //.........................................................................
  EventQuality::~EventQuality()
  {
  }

  //.........................................................................
  void EventQuality::Print(std::ostream &stream)
  {
    stream << "This spill has: \n";
    stream << nmissingdcms << " missing DCMS\n";
    stream << fracdcm3hits << " fraction of DCM3 hits in the horizontal modules\n";
    stream << nouttimehits << " out-of-time hits\n";
    stream << nnoisyapds << " noisy APDs\n";
    stream << nmicroslices << " micro slices\n";
    stream << dcmedgematchfrac << " fraction of DCM edge crossings that match in the adjacent DCM";
  }

} // end namespace sumdata
////////////////////////////////////////////////////////////////////////////
