#include "ZukCluster/HoughPair.h"

#include <cmath>

zcl::HoughPair::HoughPair(TVector3 p1, TVector3 p2) {
  _dist = sqrt( (p1.X()-p2.X())*(p1.X()-p2.X())+(p1.Y()-p2.Y())*(p1.Y()-p2.Y()) );
  _cosv = (p2.Y()-p1.Y())/_dist;
  _doca = (p2.X()*p1.Y() - p1.X()*p2.Y())/_dist;

  //It is time sorted, t1<=t2:
  _vpro = (p2.Z()-p1.Z())/_dist;

  //This is tricky: operation needed for uniqueness of the track
  if (p1.X()>p2.X()) {
    _doca = -_doca;
    _cosv = -_cosv;
    _vpro = -_vpro;
  }

  else if (p1.X()==p2.X()) {
    _doca = p1.X();
    _cosv = -1;
  }
}
